!******************************************************************************!
!                                                                              !
!    fill_couplings2.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings2.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 14:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl2()
      coupl(nGC_1058) = -sqrt(2d0)*(cb*yup2 - sb*yup1)/2d0
      coupl(nGC_1059) = -sqrt(2d0)*cb/2d0
      coupl(nGC_1056) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1057) = cima*ee*(cb**2d0 + sb**2d0)
      coupl(nGC_1054) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1055) = sqrt(2d0)*cima*(ca*ye1 + sa*ye2)/2d0
      coupl(nGC_1052) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_1053) = -12d0*ca*cima*sa*(-ca**2d0*l2 + ca**2d0*l3 + ca**2d0*l4&
                         + ca**2d0*l5 + l1*sa**2d0 - l3*sa**2d0 - l4*sa**2d0 - &
                        l5*sa**2d0)
      coupl(nGC_1050) = -3d0*cima*sa**4d0
      coupl(nGC_1051) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_898) = cima*(ca*cb**2d0*l1*vev1 + ca*cb*l4*sb*vev2 + ca*cb*l5* &
                       sb*vev2 + ca*l3*sb**2d0*vev1 + cb**2d0*l3*sa*vev2 + cb* &
                       l4*sa*sb*vev1 + cb*l5*sa*sb*vev1 + l2*sa*sb**2d0*vev2)
      coupl(nGC_899) = -cb*cima*sb*(ca*vev1 - sa*vev2)
      coupl(nGC_892) = -cima*(ca*cb**2d0*l3 + ca*l2*sb**2d0 - cb*l4*sa*sb - cb*&
                       l5*sa*sb)
      coupl(nGC_893) = cima*(-ca*cb*l4*sb - ca*cb*l5*sb + cb**2d0*l1*sa + l3*sa&
                       *sb**2d0)
      coupl(nGC_890) = -sqrt(2d0)*cb/2d0
      coupl(nGC_891) = -cima*(ca*cb**2d0*l4*vev1 + ca*cb**2d0*l5*vev1 + 2d0*ca*&
                       cb*l2*sb*vev2 - 2d0*ca*cb*l3*sb*vev2 - ca*l4*sb**2d0*   &
                       vev1 - ca*l5*sb**2d0*vev1 - cb**2d0*l4*sa*vev2 - cb**2d0&
                       *l5*sa*vev2 + 2d0*cb*l1*sa*sb*vev1 - 2d0*cb*l3*sa*sb*   &
                       vev1 + l4*sa*sb**2d0*vev2 + l5*sa*sb**2d0*vev2)
      coupl(nGC_896) = -cb*cima*sb*(ca*vev1 - sa*vev2)
      coupl(nGC_897) = -cima*(ca*cb**2d0*vev2 - sa*sb**2d0*vev1)
      coupl(nGC_894) = -ca*cima*sb**2d0*vev2
      coupl(nGC_895) = cb**2d0*cima*sa*vev1
      coupl(nGC_48) = ca*cb**3d0*l4/2d0 - ca*cb**3d0*l5/2d0 + ca*cb*l4*sb**2d0/&
                      2d0 - ca*cb*l5*sb**2d0/2d0 + cb**2d0*l4*sa*sb/2d0 - cb** &
                      2d0*l5*sa*sb/2d0 + l4*sa*sb**3d0/2d0 - l5*sa*sb**3d0/2d0
      coupl(nGC_49) = -ca*cb**3d0*l4/2d0 + ca*cb**3d0*l5/2d0 - ca*cb*l4*sb**2d0&
                      /2d0 + ca*cb*l5*sb**2d0/2d0 - cb**2d0*l4*sa*sb/2d0 + cb**&
                      2d0*l5*sa*sb/2d0 - l4*sa*sb**3d0/2d0 + l5*sa*sb**3d0/2d0
      coupl(nGC_44) = -2d0*cb**3d0*cima*l2*sb + 2d0*cb**3d0*cima*l3*sb + 2d0*cb&
                      **3d0*cima*l4*sb + 2d0*cb**3d0*cima*l5*sb + 2d0*cb*cima* &
                      l1*sb**3d0 - 2d0*cb*cima*l3*sb**3d0 - 2d0*cb*cima*l4*sb**&
                      3d0 - 2d0*cb*cima*l5*sb**3d0
      coupl(nGC_45) = 2d0*cb**3d0*cima*l1*sb - 2d0*cb**3d0*cima*l3*sb - 2d0*cb &
                      **3d0*cima*l4*sb - 2d0*cb**3d0*cima*l5*sb - 2d0*cb*cima* &
                      l2*sb**3d0 + 2d0*cb*cima*l3*sb**3d0 + 2d0*cb*cima*l4*sb**&
                      3d0 + 2d0*cb*cima*l5*sb**3d0
      coupl(nGC_46) = -3d0*cb**3d0*cima*l2*sb + 3d0*cb**3d0*cima*l3*sb + 3d0*cb&
                      **3d0*cima*l4*sb + 3d0*cb**3d0*cima*l5*sb + 3d0*cb*cima* &
                      l1*sb**3d0 - 3d0*cb*cima*l3*sb**3d0 - 3d0*cb*cima*l4*sb**&
                      3d0 - 3d0*cb*cima*l5*sb**3d0
      coupl(nGC_47) = 3d0*cb**3d0*cima*l1*sb - 3d0*cb**3d0*cima*l3*sb - 3d0*cb &
                      **3d0*cima*l4*sb - 3d0*cb**3d0*cima*l5*sb - 3d0*cb*cima* &
                      l2*sb**3d0 + 3d0*cb*cima*l3*sb**3d0 + 3d0*cb*cima*l4*sb**&
                      3d0 + 3d0*cb*cima*l5*sb**3d0
      coupl(nGC_40) = ca*cb**2d0*l4*sb/2d0 - ca*cb**2d0*l5*sb/2d0 + ca*l4*sb** &
                      3d0/2d0 - ca*l5*sb**3d0/2d0 - cb**3d0*l4*sa/2d0 + cb**3d0&
                      *l5*sa/2d0 - cb*l4*sa*sb**2d0/2d0 + cb*l5*sa*sb**2d0/2d0
      coupl(nGC_41) = -ca*cb**2d0*l4*sb/2d0 + ca*cb**2d0*l5*sb/2d0 - ca*l4*sb**&
                      3d0/2d0 + ca*l5*sb**3d0/2d0 + cb**3d0*l4*sa/2d0 - cb**3d0&
                      *l5*sa/2d0 + cb*l4*sa*sb**2d0/2d0 - cb*l5*sa*sb**2d0/2d0
      coupl(nGC_42) = -cb**3d0*cima*l2*sb + cb**3d0*cima*l3*sb + cb**3d0*cima* &
                      l4*sb + cb**3d0*cima*l5*sb + cb*cima*l1*sb**3d0 - cb*cima&
                      *l3*sb**3d0 - cb*cima*l4*sb**3d0 - cb*cima*l5*sb**3d0
      coupl(nGC_43) = cb**3d0*cima*l1*sb - cb**3d0*cima*l3*sb - cb**3d0*cima*l4&
                      *sb - cb**3d0*cima*l5*sb - cb*cima*l2*sb**3d0 + cb*cima* &
                      l3*sb**3d0 + cb*cima*l4*sb**3d0 + cb*cima*l5*sb**3d0
      coupl(nGC_405) = ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw&
                       **2d0)
      coupl(nGC_407) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*( &
                       ca*vev2 - sa*vev1)/(cw**2d0*sw**3d0)
      coupl(nGC_401) = -cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev1 + sa*   &
                       vev2)/(2d0*cw**2d0*sw**2d0)
      coupl(nGC_403) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*(ca&
                       *vev2 - sa*vev1)/(cw**3d0*sw**2d0)
      coupl(nGC_625) = -coupl(nGC_82)
      coupl(nGC_1602) = -cb*cima*ee**2d0/(2d0*cw)
      coupl(nGC_1600) = cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*cw**2d0)
      coupl(nGC_621) = -coupl(nGC_68)
      coupl(nGC_1606) = cMW*cima*ee*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(  &
                        2d0*cw*sw**2d0)
      coupl(nGC_623) = -2d0*coupl(nGC_78)
      coupl(nGC_1604) = -cima*ee*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)/(4d0* &
                        cMW*cw*sw)
      coupl(nGC_1609) = cMZ*cima*ee*(cw - sw)*(cw + sw)*(ca*cb + sa*sb)/(2d0*cw&
                        *sw**2d0)
      coupl(nGC_1608) = -cMZ*cima*ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0* &
                        cw*sw)
      coupl(nGC_629) = -coupl(nGC_179)
      coupl(nGC_1484) = -cMW*ee*(cb**2d0 + sb**2d0)/(2d0*sw)
      coupl(nGC_1119) = -sqrt(2d0)*sb/2d0
      coupl(nGC_1118) = -sqrt(2d0)*(cb*ye1 + sb*ye2)/2d0
      coupl(nGC_1117) = sqrt(2d0)*cb/2d0
      coupl(nGC_1116) = sqrt(2d0)*sb/2d0
      coupl(nGC_1115) = sqrt(2d0)*cb/2d0
      coupl(nGC_1113) = cima*sb
      coupl(nGC_1112) = cb*cima
      coupl(nGC_1111) = cima*(cb*yc2 - sb*yc1)
      coupl(nGC_1110) = sqrt(2d0)*sb/2d0
      coupl(nGC_1593) = -ee*(cw - sw)*(cw + sw)*(ca*cb + sa*sb)/(2d0*cw**2d0*sw)
      coupl(nGC_1592) = -ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
      coupl(nGC_1591) = ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
      coupl(nGC_1590) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/( &
                        cw*sw**2d0)
      coupl(nGC_1597) = cima*ee*(cb**2d0 + sb**2d0)/(2d0*cMW)
      coupl(nGC_1596) = cMW*cima*ee*(cb**2d0 + sb**2d0)
      coupl(nGC_1595) = ee*(cw - sw)*(cw + sw)*(ca*cb + sa*sb)/(2d0*cw*sw**2d0)
      coupl(nGC_1594) = -ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
      coupl(nGC_1599) = cima*ee**2d0*sb/(2d0*cw)
      coupl(nGC_959) = -sqrt(2d0)*(cb*ydo2 - sb*ydo1)/2d0
      coupl(nGC_958) = cima*(2d0*ca*cb*sb*vev1 + ca*sb**2d0*vev2 - cb**2d0*sa* &
                       vev1 - 2d0*cb*sa*sb*vev2)
      coupl(nGC_123) = -cb**3d0*l4*vev1/2d0 + cb**3d0*l5*vev1/2d0 - cb**2d0*l4*&
                       sb*vev2/2d0 + cb**2d0*l5*sb*vev2/2d0 - cb*l4*sb**2d0*   &
                       vev1/2d0 + cb*l5*sb**2d0*vev1/2d0 - l4*sb**3d0*vev2/2d0 &
                        + l5*sb**3d0*vev2/2d0
      coupl(nGC_953) = -ca*cb**2d0*cima*vev2
      coupl(nGC_952) = cima*(2d0*ca*cb*l5*sb + cb**2d0*l3*sa + cb**2d0*l4*sa - &
                       cb**2d0*l5*sa + l1*sa*sb**2d0)
      coupl(nGC_951) = -cima*(ca*cb**2d0*l2 + ca*l3*sb**2d0 + ca*l4*sb**2d0 -  &
                       ca*l5*sb**2d0 + 2d0*cb*l5*sa*sb)
      coupl(nGC_950) = 2d0*cima*(ca*cb**2d0*l5*vev1 + ca*cb*l2*sb*vev2 - ca*cb*&
                       l3*sb*vev2 - ca*cb*l4*sb*vev2 + ca*cb*l5*sb*vev2 - ca*l5&
                       *sb**2d0*vev1 - cb**2d0*l5*sa*vev2 + cb*l1*sa*sb*vev1 - &
                       cb*l3*sa*sb*vev1 - cb*l4*sa*sb*vev1 + cb*l5*sa*sb*vev1  &
                        + l5*sa*sb**2d0*vev2)
      coupl(nGC_957) = cima*(ca*cb**2d0*l3*vev1 + ca*cb**2d0*l4*vev1 - ca*cb** &
                       2d0*l5*vev1 - 2d0*ca*cb*l5*sb*vev2 + ca*l1*sb**2d0*vev1 &
                        + cb**2d0*l2*sa*vev2 - 2d0*cb*l5*sa*sb*vev1 + l3*sa*sb &
                       **2d0*vev2 + l4*sa*sb**2d0*vev2 - l5*sa*sb**2d0*vev2)
      coupl(nGC_956) = -cima*(ca*sb**2d0*vev2 - cb**2d0*sa*vev1)
      coupl(nGC_955) = -cima*(ca*sb**2d0*vev2 - cb**2d0*sa*vev1)
      coupl(nGC_954) = cima*sa*sb**2d0*vev1
      coupl(nGC_1029) = sqrt(2d0)*sb/2d0
      coupl(nGC_1028) = sqrt(2d0)*cb/2d0
      coupl(nGC_1023) = sqrt(2d0)*cb/2d0
      coupl(nGC_1022) = -sqrt(2d0)*sb/2d0
      coupl(nGC_1021) = -sqrt(2d0)*(cb*yd12x2 + sb*ys2)/2d0
      coupl(nGC_1020) = cima*ee
      coupl(nGC_1027) = sqrt(2d0)*(cb*ydo2 - sb*ydo1)/2d0
      coupl(nGC_1026) = 2d0*cima*gs**2d0
      coupl(nGC_1025) = -gs
      coupl(nGC_1024) = 2d0*cima*ee**2d0
      coupl(nGC_1337) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1336) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
      coupl(nGC_1335) = -(cb**2d0 + sb**2d0)*(ca*cb + sa*sb)/2d0
      coupl(nGC_1334) = (cb**2d0 + sb**2d0)*(ca*cb + sa*sb)/2d0
      coupl(nGC_1333) = (cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
      coupl(nGC_1332) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1331) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1330) = -sqrt(2d0)*cima*(ca*yt2 - sa*yt1)/2d0
      coupl(nGC_881) = sb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
      coupl(nGC_880) = -cb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
      coupl(nGC_883) = (cb**2d0 + sb**2d0)*(cb*vev2 - sb*vev1)/2d0
      coupl(nGC_882) = (cb**2d0 + sb**2d0)*(l4 - l5)*(cb*vev1 + sb*vev2)/2d0
      coupl(nGC_885) = cb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
      coupl(nGC_884) = -(cb**2d0 + sb**2d0)*(cb*vev2 - sb*vev1)/2d0
      coupl(nGC_887) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(cb*vev1 + sb*vev2)/2d0
      coupl(nGC_886) = -sb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
      coupl(nGC_39) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca**&
                      2d0*cb**2d0*cima*l5 - ca**2d0*cima*l2*sb**2d0 + 4d0*ca*cb&
                      *cima*l5*sa*sb - cb**2d0*cima*l1*sa**2d0 - cima*l3*sa**  &
                      2d0*sb**2d0 - cima*l4*sa**2d0*sb**2d0 + cima*l5*sa**2d0* &
                      sb**2d0
      coupl(nGC_38) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca**&
                      2d0*cb**2d0*cima*l5 - ca**2d0*cima*l1*sb**2d0 + 4d0*ca*cb&
                      *cima*l5*sa*sb - cb**2d0*cima*l2*sa**2d0 - cima*l3*sa**  &
                      2d0*sb**2d0 - cima*l4*sa**2d0*sb**2d0 + cima*l5*sa**2d0* &
                      sb**2d0
      coupl(nGC_31) = -ca**2d0*cb**2d0*cima*l2 - ca**2d0*cima*l3*sb**2d0 - ca**&
                      2d0*cima*l4*sb**2d0 + ca**2d0*cima*l5*sb**2d0 - 4d0*ca*cb&
                      *cima*l5*sa*sb - cb**2d0*cima*l3*sa**2d0 - cb**2d0*cima* &
                      l4*sa**2d0 + cb**2d0*cima*l5*sa**2d0 - cima*l1*sa**2d0*sb&
                      **2d0
      coupl(nGC_30) = -ca**2d0*cb**2d0*cima*l2 - ca**2d0*cima*l3*sb**2d0 - 2d0*&
                      ca*cb*cima*l4*sa*sb - 2d0*ca*cb*cima*l5*sa*sb - cb**2d0* &
                      cima*l3*sa**2d0 - cima*l1*sa**2d0*sb**2d0
      coupl(nGC_33) = -ca**2d0*cb**2d0*cima*l1 - ca**2d0*cima*l3*sb**2d0 - ca**&
                      2d0*cima*l4*sb**2d0 + ca**2d0*cima*l5*sb**2d0 - 4d0*ca*cb&
                      *cima*l5*sa*sb - cb**2d0*cima*l3*sa**2d0 - cb**2d0*cima* &
                      l4*sa**2d0 + cb**2d0*cima*l5*sa**2d0 - cima*l2*sa**2d0*sb&
                      **2d0
      coupl(nGC_32) = -ca**2d0*cb**2d0*cima*l1 - ca**2d0*cima*l3*sb**2d0 - 2d0*&
                      ca*cb*cima*l4*sa*sb - 2d0*ca*cb*cima*l5*sa*sb - cb**2d0* &
                      cima*l3*sa**2d0 - cima*l2*sa**2d0*sb**2d0
      coupl(nGC_35) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cima*l2*sb**2d0 + 2d0*&
                      ca*cb*cima*l4*sa*sb + 2d0*ca*cb*cima*l5*sa*sb - cb**2d0* &
                      cima*l1*sa**2d0 - cima*l3*sa**2d0*sb**2d0
      coupl(nGC_34) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cima*l1*sb**2d0 + 2d0*&
                      ca*cb*cima*l4*sa*sb + 2d0*ca*cb*cima*l5*sa*sb - cb**2d0* &
                      cima*l2*sa**2d0 - cima*l3*sa**2d0*sb**2d0
      coupl(nGC_37) = -ca**2d0*cb**2d0*cima*l5 + ca**2d0*cima*l5*sb**2d0 - ca* &
                      cb*cima*l1*sa*sb - ca*cb*cima*l2*sa*sb + 2d0*ca*cb*cima* &
                      l3*sa*sb + 2d0*ca*cb*cima*l4*sa*sb - 2d0*ca*cb*cima*l5*sa&
                      *sb + cb**2d0*cima*l5*sa**2d0 - cima*l5*sa**2d0*sb**2d0
      coupl(nGC_36) = -ca**2d0*cb**2d0*cima*l4/2d0 - ca**2d0*cb**2d0*cima*l5/  &
                      2d0 + ca**2d0*cima*l4*sb**2d0/2d0 + ca**2d0*cima*l5*sb** &
                      2d0/2d0 - ca*cb*cima*l1*sa*sb - ca*cb*cima*l2*sa*sb + 2d0&
                      *ca*cb*cima*l3*sa*sb + cb**2d0*cima*l4*sa**2d0/2d0 + cb**&
                      2d0*cima*l5*sa**2d0/2d0 - cima*l4*sa**2d0*sb**2d0/2d0 -  &
                      cima*l5*sa**2d0*sb**2d0/2d0
      coupl(nGC_1005) = cb*cima*sb*(ca*vev2 + sa*vev1)
      coupl(nGC_329) = -cb**2d0*cima*sa*vev2
      coupl(nGC_1006) = -cima*(-ca*cb**2d0*l5*vev2 + ca*cb*l1*sb*vev1 - ca*cb* &
                        l3*sb*vev1 - ca*cb*l4*sb*vev1 + ca*cb*l5*sb*vev1 + ca* &
                        l5*sb**2d0*vev2 - cb**2d0*l5*sa*vev1 - cb*l2*sa*sb*vev2&
                         + cb*l3*sa*sb*vev2 + cb*l4*sa*sb*vev2 - cb*l5*sa*sb*  &
                        vev2 + l5*sa*sb**2d0*vev1)
      coupl(nGC_1001) = -cima*(ca*cb**2d0*l5 - ca*l5*sb**2d0 + cb*l1*sa*sb - cb&
                        *l3*sa*sb - cb*l4*sa*sb + cb*l5*sa*sb)
      coupl(nGC_1000) = -cima*(ca*cb*l2*sb - ca*cb*l3*sb - ca*cb*l4*sb + ca*cb*&
                        l5*sb - cb**2d0*l5*sa + l5*sa*sb**2d0)
      coupl(nGC_1003) = -cb*cima*sa*sb*vev1
      coupl(nGC_MTA) = -cMTA*cima
      coupl(nGC_1002) = -ca*cb*cima*sb*vev2
      coupl(nGC_188) = -sqrt(2d0)*ca*cima*ytau1/2d0 - sqrt(2d0)*cima*sa*ytau2/ &
                       2d0
      coupl(nGC_189) = -cb*cima*ytau1 - cima*sb*ytau2
      coupl(nGC_180) = -sqrt(2d0)*ca*cima*yt1/2d0 - sqrt(2d0)*cima*sa*yt2/2d0
      coupl(nGC_181) = cb*cima*yt1 + cima*sb*yt2
      coupl(nGC_182) = -sqrt(2d0)*cb*yt1/2d0 - sqrt(2d0)*sb*yt2/2d0
      coupl(nGC_183) = sqrt(2d0)*cb*yt1/2d0 + sqrt(2d0)*sb*yt2/2d0
      coupl(nGC_184) = -sqrt(2d0)*ca*cima*ytau2/2d0 + sqrt(2d0)*cima*sa*ytau1/ &
                       2d0
      coupl(nGC_185) = -cb*cima*ytau2 + cima*sb*ytau1
      coupl(nGC_186) = -sqrt(2d0)*cb*ytau2/2d0 + sqrt(2d0)*sb*ytau1/2d0
      coupl(nGC_187) = sqrt(2d0)*cb*ytau2/2d0 - sqrt(2d0)*sb*ytau1/2d0
      coupl(nGC_431) = -sqrt(2d0)*(cb*yt1 + sb*yt2)/2d0
      coupl(nGC_433) = -sqrt(2d0)*sb/2d0
      coupl(nGC_435) = sqrt(2d0)*cb/2d0
      coupl(nGC_1610) = -cima*ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(4d0*cMZ* &
                        cw*sw)
      coupl(nGC_611) = -coupl(nGC_64)
      coupl(nGC_1612) = -cMZ*cima*ee*(cw - sw)*(cw + sw)*(ca*cb + sa*sb)/(2d0* &
                        cw**2d0*sw)
      coupl(nGC_1614) = cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw - sw)*(cw + sw)*( &
                        cw**2d0 + sw**2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_615) = -coupl(nGC_81)
      coupl(nGC_1616) = -cMZ*cima*ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0* &
                        cw*sw)
      coupl(nGC_1618) = cMZ*cima*ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw&
                        *sw**2d0)
      coupl(nGC_619) = -coupl(nGC_63)
      coupl(nGC_1108) = -sqrt(2d0)*cb/2d0
      coupl(nGC_1109) = sqrt(2d0)*(cb*ye1 + sb*ye2)/2d0
      coupl(nGC_1104) = -sqrt(2d0)*cb/2d0
      coupl(nGC_1105) = -sqrt(2d0)*(cb*ys2 - sb*yd12x2)/2d0
      coupl(nGC_1106) = -sqrt(2d0)*cb/2d0
      coupl(nGC_1107) = -sqrt(2d0)*sb/2d0
      coupl(nGC_1100) = ee**2d0*(cb**2d0 + sb**2d0)/cw
      coupl(nGC_1101) = -ee**2d0*(cb**2d0 + sb**2d0)/(2d0*cw**2d0)
      coupl(nGC_1102) = sqrt(2d0)*(cb*ydo1 + sb*ydo2)/2d0
      coupl(nGC_1103) = sqrt(2d0)*sb/2d0
      coupl(nGC_1580) = ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
      coupl(nGC_1581) = -ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
      coupl(nGC_1582) = ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw**2d0*sw)
      coupl(nGC_1583) = ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
      coupl(nGC_1584) = -ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw*sw**2d0)
      coupl(nGC_1585) = sqrt(2d0)*(cb*ym2 - sb*ym1)/2d0
      coupl(nGC_1586) = sqrt(2d0)*cb/2d0
      coupl(nGC_1587) = sqrt(2d0)*sb/2d0
      coupl(nGC_1588) = -2d0*cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw +  &
                        sw)/(cw*sw)
      coupl(nGC_1589) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(&
                        cw**2d0*sw)
      coupl(nGC_1038) = 3d0*cima*(-ca**4d0*l2 + ca**4d0*l3 + ca**4d0*l4 + ca** &
                        4d0*l5 + 3d0*ca**2d0*l1*sa**2d0 + 3d0*ca**2d0*l2*sa**  &
                        2d0 - 6d0*ca**2d0*l3*sa**2d0 - 6d0*ca**2d0*l4*sa**2d0  &
                         - 6d0*ca**2d0*l5*sa**2d0 - l1*sa**4d0 + l3*sa**4d0 +  &
                        l4*sa**4d0 + l5*sa**4d0)
      coupl(nGC_1039) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_1030) = -cima*(cb*yc1 + sb*yc2)
      coupl(nGC_1031) = -cima*sb
      coupl(nGC_1032) = cb*cima
      coupl(nGC_1033) = 3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_1034) = -3d0*ca**3d0*cima*sa
      coupl(nGC_1035) = 3d0*ca*cima*sa**3d0
      coupl(nGC_1036) = 3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_1037) = 3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_1324) = -4d0*cb*cima*sb*(-cb**2d0*l2 + cb**2d0*l3 + cb**2d0*l4 &
                         + cb**2d0*l5 + l1*sb**2d0 - l3*sb**2d0 - l4*sb**2d0 - &
                        l5*sb**2d0)
      coupl(nGC_1325) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1326) = -cb**4d0*cima
      coupl(nGC_1327) = -cima*sb**4d0
      coupl(nGC_1320) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
      coupl(nGC_1321) = -(cb**2d0 + sb**2d0)*(ca*cb + sa*sb)/2d0
      coupl(nGC_1322) = (cb**2d0 + sb**2d0)*(ca*cb + sa*sb)/2d0
      coupl(nGC_1323) = (cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
      coupl(nGC_1328) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1329) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_28) = -ca**2d0*cb*cima*l2*sb + ca**2d0*cb*cima*l3*sb + ca**2d0*&
                      cb*cima*l4*sb - ca**2d0*cb*cima*l5*sb + 2d0*ca*cb**2d0*  &
                      cima*l5*sa - 2d0*ca*cima*l5*sa*sb**2d0 + cb*cima*l1*sa** &
                      2d0*sb - cb*cima*l3*sa**2d0*sb - cb*cima*l4*sa**2d0*sb + &
                      cb*cima*l5*sa**2d0*sb
      coupl(nGC_29) = ca**2d0*cb*cima*l1*sb - ca**2d0*cb*cima*l3*sb - ca**2d0* &
                      cb*cima*l4*sb + ca**2d0*cb*cima*l5*sb - 2d0*ca*cb**2d0*  &
                      cima*l5*sa + 2d0*ca*cima*l5*sa*sb**2d0 - cb*cima*l2*sa** &
                      2d0*sb + cb*cima*l3*sa**2d0*sb + cb*cima*l4*sa**2d0*sb - &
                      cb*cima*l5*sa**2d0*sb
      coupl(nGC_22) = ca**2d0*cb*cima*l4*sb + ca**2d0*cb*cima*l5*sb - ca*cb**  &
                      2d0*cima*l2*sa + ca*cb**2d0*cima*l3*sa + ca*cima*l1*sa*sb&
                      **2d0 - ca*cima*l3*sa*sb**2d0 - cb*cima*l4*sa**2d0*sb -  &
                      cb*cima*l5*sa**2d0*sb
      coupl(nGC_23) = -ca**2d0*cb*cima*l4*sb - ca**2d0*cb*cima*l5*sb + ca*cb** &
                      2d0*cima*l1*sa - ca*cb**2d0*cima*l3*sa - ca*cima*l2*sa*sb&
                      **2d0 + ca*cima*l3*sa*sb**2d0 + cb*cima*l4*sa**2d0*sb +  &
                      cb*cima*l5*sa**2d0*sb
      coupl(nGC_20) = cb**2d0*ee**2d0/(2d0*cw) + ee**2d0*sb**2d0/(2d0*cw)
      coupl(nGC_21) = cMW*cb**2d0*cima*ee + cMW*cima*ee*sb**2d0
      coupl(nGC_26) = 2d0*ca**2d0*cb*cima*l5*sb - ca*cb**2d0*cima*l2*sa + ca*cb&
                      **2d0*cima*l3*sa + ca*cb**2d0*cima*l4*sa - ca*cb**2d0*   &
                      cima*l5*sa + ca*cima*l1*sa*sb**2d0 - ca*cima*l3*sa*sb**  &
                      2d0 - ca*cima*l4*sa*sb**2d0 + ca*cima*l5*sa*sb**2d0 - 2d0&
                      *cb*cima*l5*sa**2d0*sb
      coupl(nGC_27) = ca**2d0*cb*cima*l1*sb - ca**2d0*cb*cima*l3*sb - ca*cb**  &
                      2d0*cima*l4*sa - ca*cb**2d0*cima*l5*sa + ca*cima*l4*sa*sb&
                      **2d0 + ca*cima*l5*sa*sb**2d0 - cb*cima*l2*sa**2d0*sb +  &
                      cb*cima*l3*sa**2d0*sb
      coupl(nGC_24) = -ca**2d0*cb*cima*l2*sb + ca**2d0*cb*cima*l3*sb + ca*cb** &
                      2d0*cima*l4*sa + ca*cb**2d0*cima*l5*sa - ca*cima*l4*sa*sb&
                      **2d0 - ca*cima*l5*sa*sb**2d0 + cb*cima*l1*sa**2d0*sb -  &
                      cb*cima*l3*sa**2d0*sb
      coupl(nGC_25) = -2d0*ca**2d0*cb*cima*l5*sb + ca*cb**2d0*cima*l1*sa - ca* &
                      cb**2d0*cima*l3*sa - ca*cb**2d0*cima*l4*sa + ca*cb**2d0* &
                      cima*l5*sa - ca*cima*l2*sa*sb**2d0 + ca*cima*l3*sa*sb**  &
                      2d0 + ca*cima*l4*sa*sb**2d0 - ca*cima*l5*sa*sb**2d0 + 2d0&
                      *cb*cima*l5*sa**2d0*sb
      coupl(nGC_980) = -cb*cima*sa*sb*vev1
      coupl(nGC_981) = -cima*(cb - sb)*(cb + sb)*(ca*vev1 - sa*vev2)/2d0
      coupl(nGC_982) = cb*cima*sb*(ca*vev2 + sa*vev1)
      coupl(nGC_983) = -cima*(-ca*cb**2d0*l4*vev2 - ca*cb**2d0*l5*vev2 + 2d0*ca&
                       *cb*l1*sb*vev1 - 2d0*ca*cb*l3*sb*vev1 + ca*l4*sb**2d0*  &
                       vev2 + ca*l5*sb**2d0*vev2 - cb**2d0*l4*sa*vev1 - cb**2d0&
                       *l5*sa*vev1 - 2d0*cb*l2*sa*sb*vev2 + 2d0*cb*l3*sa*sb*   &
                       vev2 + l4*sa*sb**2d0*vev1 + l5*sa*sb**2d0*vev1)/2d0
      coupl(nGC_984) = -cima*(cb - sb)*(cb + sb)*(ca*vev1 - sa*vev2)/2d0
      coupl(nGC_985) = -2d0*cima*(-ca*cb**2d0*l5*vev2 + ca*cb*l1*sb*vev1 - ca* &
                       cb*l3*sb*vev1 - ca*cb*l4*sb*vev1 + ca*cb*l5*sb*vev1 + ca&
                       *l5*sb**2d0*vev2 - cb**2d0*l5*sa*vev1 - cb*l2*sa*sb*vev2&
                        + cb*l3*sa*sb*vev2 + cb*l4*sa*sb*vev2 - cb*l5*sa*sb*   &
                       vev2 + l5*sa*sb**2d0*vev1)
      coupl(nGC_986) = -cima*(-2d0*ca*cb*l5*sb + cb**2d0*l2*sa + l3*sa*sb**2d0 &
                        + l4*sa*sb**2d0 - l5*sa*sb**2d0)
      coupl(nGC_987) = -cima*(ca*cb**2d0*l3 + ca*cb**2d0*l4 - ca*cb**2d0*l5 +  &
                       ca*l1*sb**2d0 - 2d0*cb*l5*sa*sb)
      coupl(nGC_988) = -cb**2d0*cima*sa*vev2
      coupl(nGC_989) = -ca*cima*sb**2d0*vev1
      coupl(nGC_1470) = ee*(cb**2d0 + sb**2d0)/(2d0*sw)
      coupl(nGC_1607) = cMZ*cima*ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw&
                        *sw)
      coupl(nGC_1605) = -cMW*cima*ee*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/( &
                        2d0*cw**2d0*sw)
      coupl(nGC_904) = cima*ee**2d0*(ca*vev2 - sa*vev1)/sw**2d0
      coupl(nGC_1471) = -ee*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
      coupl(nGC_1259) = cima*(ca**2d0*cb**2d0 + 4d0*ca*cb*sa*sb + sa**2d0*sb** &
                        2d0)
      coupl(nGC_900) = -cima*ee**2d0*(ca*vev2 - sa*vev1)/sw**3d0
      coupl(nGC_1474) = -cima*ee*(ca*cb + sa*sb)/(4d0*cMW*sw)
      coupl(nGC_339) = cb*cima*sb*(ca*vev2 + sa*vev1)
      coupl(nGC_333) = cb*cima*sb*(ca*vev2 + sa*vev1)
      coupl(nGC_331) = -ca*cima*sb**2d0*vev1
      coupl(nGC_335) = -cima*(ca*cb**2d0*vev1 + sa*sb**2d0*vev2)
      coupl(nGC_197) = -sqrt(2d0)*cb*yup1/2d0 - sqrt(2d0)*sb*yup2/2d0
      coupl(nGC_196) = cb*cima*yup1 + cima*sb*yup2
      coupl(nGC_195) = -sqrt(2d0)*ca*cima*yup1/2d0 - sqrt(2d0)*cima*sa*yup2/2d0
      coupl(nGC_194) = sqrt(2d0)*cb*yup2/2d0 - sqrt(2d0)*sb*yup1/2d0
      coupl(nGC_193) = cb*cima*yup2 - cima*sb*yup1
      coupl(nGC_192) = -sqrt(2d0)*ca*cima*yup2/2d0 + sqrt(2d0)*cima*sa*yup1/2d0
      coupl(nGC_191) = sqrt(2d0)*cb*ytau1/2d0 + sqrt(2d0)*sb*ytau2/2d0
      coupl(nGC_190) = -sqrt(2d0)*cb*ytau1/2d0 - sqrt(2d0)*sb*ytau2/2d0
      coupl(nGC_198) = sqrt(2d0)*cb*yup1/2d0 + sqrt(2d0)*sb*yup2/2d0
      coupl(nGC_427) = sqrt(2d0)*sb/2d0
      coupl(nGC_425) = sqrt(2d0)*cb/2d0
      coupl(nGC_423) = sqrt(2d0)*(cb*yt2 - sb*yt1)/2d0
      coupl(nGC_1629) = -cima*sb
      coupl(nGC_1628) = -cima*(cb*ytau2 - sb*ytau1)
      coupl(nGC_609) = -coupl(nGC_83)/2d0
      coupl(nGC_1625) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)** &
                        2d0/(cw**2d0*sw**2d0)
      coupl(nGC_1624) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*(&
                        cw**2d0 + sw**2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_1627) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*(&
                        cw**2d0 + sw**2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_1626) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*( &
                        cw**2d0 + sw**2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_1621) = -cMZ*cima*ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0* &
                        cw**2d0*sw)
      coupl(nGC_1620) = cMZ*cima*ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw&
                        *sw)
      coupl(nGC_601) = 1d0/(2d0*cMZ)
      coupl(nGC_1622) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)**2d0*(cw +  &
                        sw)**2d0/(cw**2d0*sw**2d0)
      coupl(nGC_1489) = -sqrt(2d0)*(cb*ym1 + sb*ym2)/2d0
      coupl(nGC_1488) = 2d0*cima*ee**2d0/sw**3d0
      coupl(nGC_106) = -ca**3d0*cima*l3*vev1 - ca**3d0*cima*l4*vev1 - ca**3d0* &
                       cima*l5*vev1 - 3d0*ca**2d0*cima*l2*sa*vev2 + 2d0*ca**2d0&
                       *cima*l3*sa*vev2 + 2d0*ca**2d0*cima*l4*sa*vev2 + 2d0*ca &
                       **2d0*cima*l5*sa*vev2 - 3d0*ca*cima*l1*sa**2d0*vev1 +   &
                       2d0*ca*cima*l3*sa**2d0*vev1 + 2d0*ca*cima*l4*sa**2d0*   &
                       vev1 + 2d0*ca*cima*l5*sa**2d0*vev1 - cima*l3*sa**3d0*   &
                       vev2 - cima*l4*sa**3d0*vev2 - cima*l5*sa**3d0*vev2
      coupl(nGC_1481) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1480) = -ee**2d0*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
      coupl(nGC_1483) = sqrt(2d0)*cima*(ca*ytau1 + sa*ytau2)/2d0
      coupl(nGC_1482) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1485) = -ee*(cb**2d0 + sb**2d0)/(4d0*cMW*sw)
      coupl(nGC_1487) = -2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_1486) = cMW*ee*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
      coupl(nGC_1139) = -ca**2d0*cb*cima*sb
      coupl(nGC_1138) = cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_1131) = -cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_1130) = ca*cb**2d0*cima*sa
      coupl(nGC_1133) = cima*(ca**2d0*cb**2d0*l1 - ca**2d0*cb**2d0*l3 - ca**2d0&
                        *l2*sb**2d0 + ca**2d0*l3*sb**2d0 + 4d0*ca*cb*l4*sa*sb  &
                         + 4d0*ca*cb*l5*sa*sb - cb**2d0*l1*sa**2d0 + cb**2d0*l3&
                        *sa**2d0 + l2*sa**2d0*sb**2d0 - l3*sa**2d0*sb**2d0)
      coupl(nGC_1132) = -cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_1135) = sqrt(2d0)*cb/2d0
      coupl(nGC_1134) = sqrt(2d0)*(cb*yup2 - sb*yup1)/2d0
      coupl(nGC_1137) = cima*(-ca**2d0*cb**2d0*l2 + ca**2d0*cb**2d0*l3 + ca**  &
                        2d0*l2*sb**2d0 - ca**2d0*l3*sb**2d0 - 4d0*ca*cb*l4*sa* &
                        sb - 4d0*ca*cb*l5*sa*sb + cb**2d0*l1*sa**2d0 - cb**2d0*&
                        l3*sa**2d0 - l1*sa**2d0*sb**2d0 + l3*sa**2d0*sb**2d0)
      coupl(nGC_1136) = sqrt(2d0)*sb/2d0
      coupl(nGC_1557) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_1004) = cb*cima*sb*(ca*vev2 + sa*vev1)
      coupl(nGC_1007) = -cima*(ca*cb**2d0*vev1 + ca*cb*sb*vev2 - ca*sb**2d0*   &
                        vev1 - cb**2d0*sa*vev2 + cb*sa*sb*vev1 + sa*sb**2d0*   &
                        vev2)
      coupl(nGC_1554) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1553) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
      coupl(nGC_1552) = -cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
      coupl(nGC_1551) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
      coupl(nGC_1550) = sqrt(2d0)*cb/2d0
      coupl(nGC_1009) = -sqrt(2d0)*cb/2d0
      coupl(nGC_1008) = -sqrt(2d0)*(cb*yc2 - sb*yc1)/2d0
      coupl(nGC_1559) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_1558) = cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_1504) = sqrt(2d0)*cima*ee/(2d0*sw)
      coupl(nGC_872) = cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*cw**2d0)
      coupl(nGC_1311) = 3d0*cima*(cb**4d0*l1 - cb**4d0*l3 - cb**4d0*l4 - cb**  &
                        4d0*l5 - 3d0*cb**2d0*l1*sb**2d0 - 3d0*cb**2d0*l2*sb**  &
                        2d0 + 6d0*cb**2d0*l3*sb**2d0 + 6d0*cb**2d0*l4*sb**2d0  &
                         + 6d0*cb**2d0*l5*sb**2d0 + l2*sb**4d0 - l3*sb**4d0 -  &
                        l4*sb**4d0 - l5*sb**4d0)
      coupl(nGC_1310) = 3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_1313) = -3d0*cb*cima*sb**3d0
      coupl(nGC_1312) = -3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_1315) = -3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_1314) = 3d0*cb**3d0*cima*sb
      coupl(nGC_1317) = -cima*(cb*yb2 - sb*yd13x3)
      coupl(nGC_1316) = -3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_1319) = -cima*sb
      coupl(nGC_1318) = -cb*cima
      coupl(nGC_17) = cb**2d0*cima*ee + cima*ee*sb**2d0
      coupl(nGC_16) = -ca*cb*cima*ee**2d0/(2d0*cw) - cima*ee**2d0*sa*sb/(2d0*cw)
      coupl(nGC_15) = ca*cima*ee**2d0*sb/(2d0*cw) - cb*cima*ee**2d0*sa/(2d0*cw)
      coupl(nGC_14) = -ca*cima*ee**2d0*sb/(2d0*cw) + cb*cima*ee**2d0*sa/(2d0*cw)
      coupl(nGC_13) = -ca**4d0*cima*l3 - ca**4d0*cima*l4 - ca**4d0*cima*l5 -   &
                      3d0*ca**2d0*cima*l1*sa**2d0 - 3d0*ca**2d0*cima*l2*sa**2d0&
                       + 4d0*ca**2d0*cima*l3*sa**2d0 + 4d0*ca**2d0*cima*l4*sa**&
                      2d0 + 4d0*ca**2d0*cima*l5*sa**2d0 - cima*l3*sa**4d0 -    &
                      cima*l4*sa**4d0 - cima*l5*sa**4d0
      coupl(nGC_12) = -3d0*ca**4d0*cima*l1 - 6d0*ca**2d0*cima*l3*sa**2d0 - 6d0*&
                      ca**2d0*cima*l4*sa**2d0 - 6d0*ca**2d0*cima*l5*sa**2d0 -  &
                      3d0*cima*l2*sa**4d0
      coupl(nGC_11) = -3d0*ca**4d0*cima*l2 - 6d0*ca**2d0*cima*l3*sa**2d0 - 6d0*&
                      ca**2d0*cima*l4*sa**2d0 - 6d0*ca**2d0*cima*l5*sa**2d0 -  &
                      3d0*cima*l1*sa**4d0
      coupl(nGC_10) = 3d0*ca**3d0*cima*l1*sa - 3d0*ca**3d0*cima*l3*sa - 3d0*ca &
                      **3d0*cima*l4*sa - 3d0*ca**3d0*cima*l5*sa - 3d0*ca*cima* &
                      l2*sa**3d0 + 3d0*ca*cima*l3*sa**3d0 + 3d0*ca*cima*l4*sa**&
                      3d0 + 3d0*ca*cima*l5*sa**3d0
      coupl(nGC_19) = -cb**2d0*ee**2d0/(2d0*cw) - ee**2d0*sb**2d0/(2d0*cw)
      coupl(nGC_18) = 2d0*cb**2d0*cima*ee**2d0 + 2d0*cima*ee**2d0*sb**2d0
      coupl(nGC_1114) = sqrt(2d0)*(cb*ys2 - sb*yd12x2)/2d0
      coupl(nGC_999) = -cima*(ca*cb**2d0*l2*vev2 - ca*cb**2d0*l3*vev2 - ca*cb**&
                       2d0*l4*vev2 + ca*cb**2d0*l5*vev2 - 4d0*ca*cb*l5*sb*vev1 &
                        - ca*l2*sb**2d0*vev2 + ca*l3*sb**2d0*vev2 + ca*l4*sb** &
                       2d0*vev2 - ca*l5*sb**2d0*vev2 + cb**2d0*l1*sa*vev1 - cb &
                       **2d0*l3*sa*vev1 - cb**2d0*l4*sa*vev1 + cb**2d0*l5*sa*  &
                       vev1 + 4d0*cb*l5*sa*sb*vev2 - l1*sa*sb**2d0*vev1 + l3*sa&
                       *sb**2d0*vev1 + l4*sa*sb**2d0*vev1 - l5*sa*sb**2d0*vev1)
      coupl(nGC_998) = cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*sw)
      coupl(nGC_997) = cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*sw**2d0)
      coupl(nGC_996) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/sw
      coupl(nGC_995) = -cb*cima*ee**2d0/(2d0*sw)
      coupl(nGC_994) = cima*ee**2d0*sb/(2d0*sw)
      coupl(nGC_993) = cima*(ca*cb**2d0*vev1 + 2d0*ca*cb*sb*vev2 + 2d0*cb*sa*sb&
                       *vev1 + sa*sb**2d0*vev2)
      coupl(nGC_992) = cima*(-ca*cb**2d0*l2*vev2 + 2d0*ca*cb*l5*sb*vev1 - ca*l3&
                       *sb**2d0*vev2 - ca*l4*sb**2d0*vev2 + ca*l5*sb**2d0*vev2 &
                        + cb**2d0*l3*sa*vev1 + cb**2d0*l4*sa*vev1 - cb**2d0*l5*&
                       sa*vev1 - 2d0*cb*l5*sa*sb*vev2 + l1*sa*sb**2d0*vev1)
      coupl(nGC_991) = -cima*(ca*cb**2d0*vev1 + sa*sb**2d0*vev2)
      coupl(nGC_990) = -cima*(ca*cb**2d0*vev1 + sa*sb**2d0*vev2)
      coupl(nGC_1556) = sqrt(2d0)*cima*(ca*ydo1 + sa*ydo2)/2d0
      coupl(nGC_377) = cima*(2d0*ca*cb*l1*sb - 2d0*ca*cb*l3*sb - cb**2d0*l4*sa &
                        - cb**2d0*l5*sa + l4*sa*sb**2d0 + l5*sa*sb**2d0)/2d0
      coupl(nGC_375) = -cb*cima*sb*(ca*vev1 - sa*vev2)
      coupl(nGC_373) = -cima*(cb - sb)*(cb + sb)*(ca*vev2 + sa*vev1)/2d0
      coupl(nGC_1598) = cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*cw)
      coupl(nGC_371) = ca*cb*cima*sb*vev1
      coupl(nGC_379) = -cima*(cb - sb)*(cb + sb)*(ca*vev2 + sa*vev1)/2d0
      coupl(nGC_1638) = 3d0*ca*cima*sa*(ca*vev1 - sa*vev2)
      coupl(nGC_1639) = -ca*cima*(ca**2d0*l3 + ca**2d0*l4 + ca**2d0*l5 + 3d0*l2&
                        *sa**2d0 - 2d0*l3*sa**2d0 - 2d0*l4*sa**2d0 - 2d0*l5*sa &
                        **2d0)
      coupl(nGC_1632) = 3d0*cima*sa*(ca**2d0*l3 + ca**2d0*l4 + ca**2d0*l5 + l1*&
                        sa**2d0)
      coupl(nGC_1633) = -3d0*ca**3d0*cima*vev2
      coupl(nGC_1631) = -3d0*ca*cima*(ca**2d0*l2 + l3*sa**2d0 + l4*sa**2d0 + l5&
                        *sa**2d0)
      coupl(nGC_1636) = 3d0*ca*cima*sa*(ca*vev1 - sa*vev2)
      coupl(nGC_1637) = 3d0*cima*(ca**3d0*l3*vev1 + ca**3d0*l4*vev1 + ca**3d0* &
                        l5*vev1 + 3d0*ca**2d0*l2*sa*vev2 - 2d0*ca**2d0*l3*sa*  &
                        vev2 - 2d0*ca**2d0*l4*sa*vev2 - 2d0*ca**2d0*l5*sa*vev2 &
                         + 3d0*ca*l1*sa**2d0*vev1 - 2d0*ca*l3*sa**2d0*vev1 -   &
                        2d0*ca*l4*sa**2d0*vev1 - 2d0*ca*l5*sa**2d0*vev1 + l3*sa&
                        **3d0*vev2 + l4*sa**3d0*vev2 + l5*sa**3d0*vev2)
      coupl(nGC_1635) = 3d0*ca*cima*sa*(ca*vev1 - sa*vev2)
      coupl(nGC_1342) = -2d0*cb**4d0*cima
      coupl(nGC_1435) = sqrt(2d0)*cima*(ca*yc1 + sa*yc2)/2d0
      coupl(nGC_1340) = -8d0*cb*cima*sb*(-cb**2d0*l2 + cb**2d0*l3 + cb**2d0*l4 &
                         + cb**2d0*l5 + l1*sb**2d0 - l3*sb**2d0 - l4*sb**2d0 - &
                        l5*sb**2d0)
      coupl(nGC_1347) = sqrt(2d0)*(cb*ye2 - sb*ye1)/2d0
      coupl(nGC_1124) = cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_1125) = cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_1122) = -ca*cb**2d0*cima*sa
      coupl(nGC_1432) = cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_1120) = cima*(ca**2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0&
                        *l4*sb**2d0 - ca**2d0*l5*sb**2d0 + 2d0*ca*cb*l1*sa*sb  &
                         + 2d0*ca*cb*l2*sa*sb - 4d0*ca*cb*l3*sa*sb - cb**2d0*l4&
                        *sa**2d0 - cb**2d0*l5*sa**2d0 + l4*sa**2d0*sb**2d0 + l5&
                        *sa**2d0*sb**2d0)
      coupl(nGC_1121) = ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_1129) = -ca*cima*sa*sb**2d0
      coupl(nGC_1088) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw)
      coupl(nGC_1544) = -cima*sb
      coupl(nGC_1545) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw)
      coupl(nGC_1546) = cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw**2d0*sw)
      coupl(nGC_1011) = -cb*cima*ee**2d0/(2d0*sw)
      coupl(nGC_1540) = -cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw**2d0*sw)
      coupl(nGC_1017) = -cima*sb
      coupl(nGC_1542) = -cima*(cb*ym2 - sb*ym1)
      coupl(nGC_1543) = -cb*cima
      coupl(nGC_1018) = cb*cima
      coupl(nGC_1548) = sqrt(2d0)*(cb*ytau2 - sb*ytau1)/2d0
      coupl(nGC_1549) = sqrt(2d0)*sb/2d0
      coupl(nGC_1496) = cima*ee*(cb**2d0 + sb**2d0)/(4d0*cMZ*sw)
      coupl(nGC_1497) = -cMZ*cima*ee*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
      coupl(nGC_1494) = -cMW*ee*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
      coupl(nGC_1495) = cMZ*cima*ee*(cb**2d0 + sb**2d0)/(2d0*sw)
      coupl(nGC_1492) = cMW*ee*(cb**2d0 + sb**2d0)/(2d0*sw)
      coupl(nGC_1493) = ee*(cb**2d0 + sb**2d0)/(4d0*cMW*sw)
      coupl(nGC_1490) = -sqrt(2d0)*sb/2d0
      coupl(nGC_1491) = sqrt(2d0)*cb/2d0
      coupl(nGC_1498) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_1499) = 2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_858) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_859) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_856) = -sqrt(2d0)*sb/2d0
      coupl(nGC_857) = sqrt(2d0)*cb/2d0
      coupl(nGC_854) = cima*ee/3d0
      coupl(nGC_855) = -sqrt(2d0)*(cb*ydo1 + sb*ydo2)/2d0
      coupl(nGC_853) = -2d0*cima*ee/3d0
      coupl(nGC_1308) = 3d0*cb*cima*sb**3d0
      coupl(nGC_1309) = 3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_1306) = 3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_1307) = -3d0*cb**3d0*cima*sb
      coupl(nGC_1305) = 3d0*cima*(-cb**4d0*l2 + cb**4d0*l3 + cb**4d0*l4 + cb** &
                        4d0*l5 + 3d0*cb**2d0*l1*sb**2d0 + 3d0*cb**2d0*l2*sb**  &
                        2d0 - 6d0*cb**2d0*l3*sb**2d0 - 6d0*cb**2d0*l4*sb**2d0  &
                         - 6d0*cb**2d0*l5*sb**2d0 - l1*sb**4d0 + l3*sb**4d0 +  &
                        l4*sb**4d0 + l5*sb**4d0)
      coupl(nGC_1302) = 2d0*cb**3d0*cima*sb
      coupl(nGC_1303) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_1300) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_1301) = -2d0*cb*cima*sb**3d0
      coupl(nGC_337) = -cima*(ca*cb**2d0*l3 + ca*l1*sb**2d0 - cb*l4*sa*sb - cb*&
                       l5*sa*sb)
      coupl(nGC_1216) = -2d0*cima*(ca**2d0*cb**2d0*l5 - ca**2d0*l5*sb**2d0 + ca&
                        *cb*l1*sa*sb + ca*cb*l2*sa*sb - 2d0*ca*cb*l3*sa*sb -   &
                        2d0*ca*cb*l4*sa*sb + 2d0*ca*cb*l5*sa*sb - cb**2d0*l5*sa&
                        **2d0 + l5*sa**2d0*sb**2d0)
      coupl(nGC_1603) = -cMW*cima*ee*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)/( &
                        2d0*cw*sw)
      coupl(nGC_889) = sqrt(2d0)*sb/2d0
      coupl(nGC_888) = sqrt(2d0)*(cb*yd12x2 + sb*ys2)/2d0
      coupl(nGC_1339) = -sqrt(2d0)*cima*(ca*yc2 - sa*yc1)/2d0
      coupl(nGC_1338) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1153) = -cima*(ca**2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**  &
                        2d0*l4*sb**2d0 - ca**2d0*l5*sb**2d0 + 2d0*ca*cb*l1*sa* &
                        sb + 2d0*ca*cb*l2*sa*sb - 4d0*ca*cb*l3*sa*sb - cb**2d0*&
                        l4*sa**2d0 - cb**2d0*l5*sa**2d0 + l4*sa**2d0*sb**2d0 + &
                        l5*sa**2d0*sb**2d0)
      coupl(nGC_1152) = -ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_1151) = -ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_1150) = ca**2d0*cb*cima*sb
      coupl(nGC_1157) = ca*cima*sa*sb**2d0
      coupl(nGC_1156) = -ca*cb**2d0*cima*sa
      coupl(nGC_1155) = ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_1154) = 2d0*cima*(ca**2d0*cb**2d0*l5 - ca**2d0*l5*sb**2d0 + ca*&
                        cb*l1*sa*sb + ca*cb*l2*sa*sb - 2d0*ca*cb*l3*sa*sb - 2d0&
                        *ca*cb*l4*sa*sb + 2d0*ca*cb*l5*sa*sb - cb**2d0*l5*sa** &
                        2d0 + l5*sa**2d0*sb**2d0)
      coupl(nGC_1159) = cima*(2d0*ca**2d0*cb*sb - ca*cb**2d0*sa + ca*sa*sb**2d0&
                         - 2d0*cb*sa**2d0*sb)
      coupl(nGC_1158) = ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_1571) = -sqrt(2d0)*cima*(ca*ytau2 - sa*ytau1)/2d0
      coupl(nGC_1570) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1573) = ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
      coupl(nGC_1572) = -ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
      coupl(nGC_1575) = -ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
      coupl(nGC_1574) = -ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw**2d0*sw)
      coupl(nGC_1577) = -cima*ee*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)/(2d0* &
                        cw*sw)
      coupl(nGC_1579) = cima*ee*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(2d0*cw&
                        *sw**2d0)
      coupl(nGC_1578) = -cima*ee*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(2d0* &
                        cw**2d0*sw)
      coupl(nGC_MW_GF) = cMW*cima
      coupl(nGC_121) = -ca*cb**2d0*cima*l3*vev1 - ca*cb**2d0*cima*l4*vev1 + ca*&
                       cb**2d0*cima*l5*vev1 + 2d0*ca*cb*cima*l5*sb*vev2 - ca*  &
                       cima*l1*sb**2d0*vev1 - cb**2d0*cima*l2*sa*vev2 + 2d0*cb*&
                       cima*l5*sa*sb*vev1 - cima*l3*sa*sb**2d0*vev2 - cima*l4* &
                       sa*sb**2d0*vev2 + cima*l5*sa*sb**2d0*vev2
      coupl(nGC_1378) = cima*sb
      coupl(nGC_1373) = -3d0*cb**4d0*cima
      coupl(nGC_1372) = -3d0*cima*sb**4d0
      coupl(nGC_1371) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1370) = 12d0*cb*cima*sb*(cb**2d0*l1 - cb**2d0*l3 - cb**2d0*l4  &
                         - cb**2d0*l5 - l2*sb**2d0 + l3*sb**2d0 + l4*sb**2d0 + &
                        l5*sb**2d0)
      coupl(nGC_1377) = cb*cima
      coupl(nGC_1376) = cima*(cb*yt2 - sb*yt1)
      coupl(nGC_1375) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1374) = -6d0*cb**2d0*cima*sb**2d0
    end subroutine fill_couplings_mdl2
end module fill_couplings2
