!******************************************************************************!
!                                                                              !
!    fill_couplings3.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings3.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 14:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl3()
      coupl(nGC_1445) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw**2d0)
      coupl(nGC_1444) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_1447) = -cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_1446) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_1441) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw**2d0)
      coupl(nGC_1440) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_1207) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
      coupl(nGC_1206) = -ca**2d0*cb**2d0*cima
      coupl(nGC_1205) = -cima*sa**2d0*sb**2d0
      coupl(nGC_1204) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
      coupl(nGC_1203) = 2d0*cima*(ca**2d0*cb*l1*sb - ca**2d0*cb*l3*sb - ca**2d0&
                        *cb*l4*sb + ca**2d0*cb*l5*sb - 2d0*ca*cb**2d0*l5*sa +  &
                        2d0*ca*l5*sa*sb**2d0 - cb*l2*sa**2d0*sb + cb*l3*sa**2d0&
                        *sb + cb*l4*sa**2d0*sb - cb*l5*sa**2d0*sb)
      coupl(nGC_1443) = cima*ee**2d0*(ca*sb - cb*sa)/sw
      coupl(nGC_1201) = -2d0*ca*cb*cima*sa*sb
      coupl(nGC_1200) = -2d0*ca*cb*cima*sa*sb
      coupl(nGC_1442) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_1209) = 2d0*cima*(-2d0*ca**2d0*cb*l5*sb + ca*cb**2d0*l1*sa - ca&
                        *cb**2d0*l3*sa - ca*cb**2d0*l4*sa + ca*cb**2d0*l5*sa - &
                        ca*l2*sa*sb**2d0 + ca*l3*sa*sb**2d0 + ca*l4*sa*sb**2d0 &
                         - ca*l5*sa*sb**2d0 + 2d0*cb*l5*sa**2d0*sb)
      coupl(nGC_1208) = cima*(ca**2d0*sb**2d0 - 4d0*ca*cb*sa*sb + cb**2d0*sa** &
                        2d0)
      coupl(nGC_1202) = 2d0*cima*(-ca**2d0*cb*l4*sb - ca**2d0*cb*l5*sb + ca*cb &
                        **2d0*l1*sa - ca*cb**2d0*l3*sa - ca*l2*sa*sb**2d0 + ca*&
                        l3*sa*sb**2d0 + cb*l4*sa**2d0*sb + cb*l5*sa**2d0*sb)
      coupl(nGC_1623) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*( &
                        cw**2d0 + sw**2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_389) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*(ca&
                       *vev1 + sa*vev2)/(cw**3d0*sw**2d0)
      coupl(nGC_383) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev1 + sa*vev2&
                       )/(cw**2d0*sw**2d0)
      coupl(nGC_387) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev2 - sa*vev1&
                       )/(2d0*cw**2d0*sw**2d0)
      coupl(nGC_385) = ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw&
                       **2d0)
      coupl(nGC_1363) = -sqrt(2d0)*sb/2d0
      coupl(nGC_MZ_GF) = cMZ
      coupl(nGC_1140) = cb*cima*sa**2d0*sb
      coupl(nGC_1141) = ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_1142) = ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_1143) = cima*(ca**2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0&
                        *l4*sb**2d0 - ca**2d0*l5*sb**2d0 + 2d0*ca*cb*l1*sa*sb  &
                         + 2d0*ca*cb*l2*sa*sb - 4d0*ca*cb*l3*sa*sb - cb**2d0*l4&
                        *sa**2d0 - cb**2d0*l5*sa**2d0 + l4*sa**2d0*sb**2d0 + l5&
                        *sa**2d0*sb**2d0)
      coupl(nGC_1144) = sqrt(2d0)*cima*(ca*yt1 + sa*yt2)/2d0
      coupl(nGC_1145) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1146) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1147) = cima*(ca**2d0*cb**2d0*l1 - ca**2d0*cb**2d0*l3 - ca**2d0&
                        *l1*sb**2d0 + ca**2d0*l3*sb**2d0 + 4d0*ca*cb*l4*sa*sb  &
                         + 4d0*ca*cb*l5*sa*sb - cb**2d0*l2*sa**2d0 + cb**2d0*l3&
                        *sa**2d0 + l2*sa**2d0*sb**2d0 - l3*sa**2d0*sb**2d0)
      coupl(nGC_1148) = -cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_1149) = -cb*cima*sa**2d0*sb
      coupl(nGC_126) = -cb*cima*ee**2d0*vev2/(2d0*sw) + cima*ee**2d0*sb*vev1/( &
                       2d0*sw)
      coupl(nGC_127) = -cb*cima*ee**2d0*vev1/(2d0*sw) - cima*ee**2d0*sb*vev2/( &
                       2d0*sw)
      coupl(nGC_124) = ca*cima*ee**2d0*vev2/(2d0*sw**2d0) - cima*ee**2d0*sa*   &
                       vev1/(2d0*sw**2d0)
      coupl(nGC_125) = ca*cima*ee**2d0*vev1/(2d0*sw**2d0) + cima*ee**2d0*sa*   &
                       vev2/(2d0*sw**2d0)
      coupl(nGC_122) = cb**3d0*l4*vev1/2d0 - cb**3d0*l5*vev1/2d0 + cb**2d0*l4* &
                       sb*vev2/2d0 - cb**2d0*l5*sb*vev2/2d0 + cb*l4*sb**2d0*   &
                       vev1/2d0 - cb*l5*sb**2d0*vev1/2d0 + l4*sb**3d0*vev2/2d0 &
                        - l5*sb**3d0*vev2/2d0
      coupl(nGC_120) = -ca*cb**2d0*cima*l5*vev1 - ca*cb*cima*l2*sb*vev2 + ca*cb&
                       *cima*l3*sb*vev2 + ca*cb*cima*l4*sb*vev2 - ca*cb*cima*l5&
                       *sb*vev2 + ca*cima*l5*sb**2d0*vev1 + cb**2d0*cima*l5*sa*&
                       vev2 - cb*cima*l1*sa*sb*vev1 + cb*cima*l3*sa*sb*vev1 +  &
                       cb*cima*l4*sa*sb*vev1 - cb*cima*l5*sa*sb*vev1 - cima*l5*&
                       sa*sb**2d0*vev2
      coupl(nGC_128) = ca*cima*cw**2d0*ee**2d0*vev2/(2d0*sw**2d0) + ca*cima*ee &
                       **2d0*vev2 + ca*cima*ee**2d0*sw**2d0*vev2/(2d0*cw**2d0  &
                       ) - cima*cw**2d0*ee**2d0*sa*vev1/(2d0*sw**2d0) - cima*ee&
                       **2d0*sa*vev1 - cima*ee**2d0*sa*sw**2d0*vev1/(2d0*cw**  &
                       2d0)
      coupl(nGC_129) = ca*cima*cw**2d0*ee**2d0*vev1/(2d0*sw**2d0) + ca*cima*ee &
                       **2d0*vev1 + ca*cima*ee**2d0*sw**2d0*vev1/(2d0*cw**2d0  &
                       ) + cima*cw**2d0*ee**2d0*sa*vev2/(2d0*sw**2d0) + cima*ee&
                       **2d0*sa*vev2 + cima*ee**2d0*sa*sw**2d0*vev2/(2d0*cw**  &
                       2d0)
      coupl(nGC_1568) = -cb*cima
      coupl(nGC_1569) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1566) = cima*(cb*ydo1 + sb*ydo2)
      coupl(nGC_1567) = cima*sb
      coupl(nGC_1564) = -sqrt(2d0)*cb/2d0
      coupl(nGC_1565) = -sqrt(2d0)*sb/2d0
      coupl(nGC_1562) = -sqrt(2d0)*sb/2d0
      coupl(nGC_1563) = -sqrt(2d0)*(cb*ym2 - sb*ym1)/2d0
      coupl(nGC_1560) = -sqrt(2d0)*(cb*ytau1 + sb*ytau2)/2d0
      coupl(nGC_1561) = sqrt(2d0)*cb/2d0
      coupl(nGC_878) = -(cb**2d0 + sb**2d0)*(cb*vev2 - sb*vev1)/2d0
      coupl(nGC_879) = (cb**2d0 + sb**2d0)*(cb*vev2 - sb*vev1)/2d0
      coupl(nGC_870) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*cw)
      coupl(nGC_871) = -cb*cima*ee**2d0/(2d0*cw)
      coupl(nGC_I) = cima
      coupl(nGC_873) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/cw
      coupl(nGC_874) = -cima*ee**2d0*sb/(2d0*cw)
      coupl(nGC_875) = -cima*(cb*ydo2 - sb*ydo1)
      coupl(nGC_876) = -cb*cima
      coupl(nGC_1368) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1369) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1360) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1361) = -sqrt(2d0)*(cb*yb2 - sb*yd13x3)/2d0
      coupl(nGC_1362) = -sqrt(2d0)*cb/2d0
      coupl(nGC_1364) = 8d0*cb*cima*sb*(cb**2d0*l1 - cb**2d0*l3 - cb**2d0*l4 - &
                        cb**2d0*l5 - l2*sb**2d0 + l3*sb**2d0 + l4*sb**2d0 + l5*&
                        sb**2d0)
      coupl(nGC_1365) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1366) = -2d0*cima*sb**4d0
      coupl(nGC_1367) = -2d0*cb**4d0*cima
      coupl(nGC_877) = -cima*sb
      coupl(nGC_1630) = -cb*cima
      coupl(nGC_1634) = 3d0*cima*sa**3d0*vev1
      coupl(nGC_3) = -cima*ee
      coupl(nGC_2) = -2d0*cima*ee/3d0
      coupl(nGC_1) = cima*ee/3d0
      coupl(nGC_1217) = 2d0*cima*(-ca**2d0*cb*l2*sb + ca**2d0*cb*l3*sb + ca*cb &
                        **2d0*l4*sa + ca*cb**2d0*l5*sa - ca*l4*sa*sb**2d0 - ca*&
                        l5*sa*sb**2d0 + cb*l1*sa**2d0*sb - cb*l3*sa**2d0*sb)
      coupl(nGC_7) = cima*gs
      coupl(nGC_1211) = -cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_5) = cima*ee**2d0
      coupl(nGC_4) = cima*ee
      coupl(nGC_9) = -3d0*ca**3d0*cima*l2*sa + 3d0*ca**3d0*cima*l3*sa + 3d0*ca &
                     **3d0*cima*l4*sa + 3d0*ca**3d0*cima*l5*sa + 3d0*ca*cima*l1&
                     *sa**3d0 - 3d0*ca*cima*l3*sa**3d0 - 3d0*ca*cima*l4*sa**3d0&
                      - 3d0*ca*cima*l5*sa**3d0
      coupl(nGC_8) = cima*gs**2d0
      coupl(nGC_1218) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
      coupl(nGC_1219) = -ca**2d0*cima*sb**2d0
      coupl(nGC_1387) = -sqrt(2d0)*cb/2d0
      coupl(nGC_1433) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_399) = -cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0* &
                       sw**2d0)
      coupl(nGC_391) = cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw&
                       **2d0)
      coupl(nGC_393) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*( &
                       ca*vev1 + sa*vev2)/(cw**2d0*sw**3d0)
      coupl(nGC_397) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev2 - sa*vev1&
                       )/(cw**2d0*sw**2d0)
      coupl(nGC_1126) = cima*(-ca**2d0*cb**2d0*l2 + ca**2d0*cb**2d0*l3 + ca**  &
                        2d0*l1*sb**2d0 - ca**2d0*l3*sb**2d0 - 4d0*ca*cb*l4*sa* &
                        sb - 4d0*ca*cb*l5*sa*sb + cb**2d0*l2*sa**2d0 - cb**2d0*&
                        l3*sa**2d0 - l1*sa**2d0*sb**2d0 + l3*sa**2d0*sb**2d0)
      coupl(nGC_1127) = -cima*(ca**2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**  &
                        2d0*l4*sb**2d0 - ca**2d0*l5*sb**2d0 + 2d0*ca*cb*l1*sa* &
                        sb + 2d0*ca*cb*l2*sa*sb - 4d0*ca*cb*l3*sa*sb - cb**2d0*&
                        l4*sa**2d0 - cb**2d0*l5*sa**2d0 + l4*sa**2d0*sb**2d0 + &
                        l5*sa**2d0*sb**2d0)
      coupl(nGC_1123) = ca*cima*sa*sb**2d0
      coupl(nGC_1085) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw)
      coupl(nGC_1214) = -cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_1086) = -cima*ee**2d0*(ca*cb + sa*sb)/cw
      coupl(nGC_1179) = 2d0*ca*cb*cima*sa*sb
      coupl(nGC_1178) = -ca**2d0*cima*sb**2d0
      coupl(nGC_1215) = cima*(ca**2d0*cb*sb - 2d0*ca*cb**2d0*sa + 2d0*ca*sa*sb &
                        **2d0 - cb*sa**2d0*sb)
      coupl(nGC_1175) = -2d0*cima*(ca**2d0*cb*l1*sb - ca**2d0*cb*l3*sb - ca*cb &
                        **2d0*l4*sa - ca*cb**2d0*l5*sa + ca*l4*sa*sb**2d0 + ca*&
                        l5*sa*sb**2d0 - cb*l2*sa**2d0*sb + cb*l3*sa**2d0*sb)
      coupl(nGC_1174) = -2d0*cima*(ca**2d0*cb*l4*sb + ca**2d0*cb*l5*sb - ca*cb &
                        **2d0*l2*sa + ca*cb**2d0*l3*sa + ca*l1*sa*sb**2d0 - ca*&
                        l3*sa*sb**2d0 - cb*l4*sa**2d0*sb - cb*l5*sa**2d0*sb)
      coupl(nGC_1177) = -cb**2d0*cima*sa**2d0
      coupl(nGC_1176) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
      coupl(nGC_1171) = -cima*sa**2d0*sb**2d0
      coupl(nGC_1170) = -ca**2d0*cb**2d0*cima
      coupl(nGC_1173) = -2d0*ca*cb*cima*sa*sb
      coupl(nGC_1172) = -2d0*ca*cb*cima*sa*sb
      coupl(nGC_1210) = cima*(ca**2d0*cb**2d0*l1 - ca**2d0*cb**2d0*l3 - ca**2d0&
                        *cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0*l1*sb**2d0  &
                         + ca**2d0*l3*sb**2d0 + ca**2d0*l4*sb**2d0 - ca**2d0*l5&
                        *sb**2d0 + 8d0*ca*cb*l5*sa*sb - cb**2d0*l2*sa**2d0 + cb&
                        **2d0*l3*sa**2d0 + cb**2d0*l4*sa**2d0 - cb**2d0*l5*sa**&
                        2d0 + l2*sa**2d0*sb**2d0 - l3*sa**2d0*sb**2d0 - l4*sa**&
                        2d0*sb**2d0 + l5*sa**2d0*sb**2d0)
      coupl(nGC_6) = -gs
      coupl(nGC_1212) = -cb*cima*sa**2d0*sb
      coupl(nGC_1213) = ca**2d0*cb*cima*sb
      coupl(nGC_643) = -coupl(nGC_72)
      coupl(nGC_134) = cb*cima*yc1 + cima*sb*yc2
      coupl(nGC_136) = sqrt(2d0)*cb*yc1/2d0 + sqrt(2d0)*sb*yc2/2d0
      coupl(nGC_647) = -coupl(nGC_92)
      coupl(nGC_130) = -sqrt(2d0)*ca*cima*yc2/2d0 + sqrt(2d0)*cima*sa*yc1/2d0
      coupl(nGC_645) = -coupl(nGC_69)
      coupl(nGC_132) = sqrt(2d0)*cb*yc2/2d0 - sqrt(2d0)*sb*yc1/2d0
      coupl(nGC_649) = -2d0*coupl(nGC_8)
      coupl(nGC_139) = -sqrt(2d0)*cb*yd13x3/2d0 - sqrt(2d0)*sb*yb2/2d0
      coupl(nGC_138) = -cb*cima*yd13x3 - cima*sb*yb2
      coupl(nGC_1519) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1518) = -sqrt(2d0)*cima*(ca*ym2 - sa*ym1)/2d0
      coupl(nGC_1513) = cima*ee/sw
      coupl(nGC_1512) = cima*cw*ee/sw
      coupl(nGC_1511) = cima*sb
      coupl(nGC_1510) = -cb*cima
      coupl(nGC_1517) = -2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_1516) = 2d0*cima*ee**2d0/sw
      coupl(nGC_1515) = 4d0*cima*cw*ee**2d0/sw
      coupl(nGC_1514) = -cima*cw*ee/sw**2d0
      coupl(nGC_1601) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/cw
      coupl(nGC_1344) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1379) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3  &
                         - 2d0*l4 - 2d0*l5)
      coupl(nGC_867) = cima*(cb*yd12x2 + sb*ys2)
      coupl(nGC_866) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_865) = -sqrt(2d0)*cima*(ca*yup2 - sa*yup1)/2d0
      coupl(nGC_864) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_863) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_862) = sqrt(2d0)*cima*(ca*yd12x2 + sa*ys2)/2d0
      coupl(nGC_861) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_860) = -sqrt(2d0)*cima*(ca*ydo2 - sa*ydo1)/2d0
      coupl(nGC_869) = -cb*cima
      coupl(nGC_868) = cima*sb
      coupl(nGC_1427) = cima*ee*(ca*sb - cb*sa)/(2d0*sw**2d0)
      coupl(nGC_1426) = cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_1425) = -cima*ee*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_1424) = -cb*cima
      coupl(nGC_1423) = cima*sb
      coupl(nGC_1422) = cima*(cb*ym1 + sb*ym2)
      coupl(nGC_1353) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1352) = -3d0*cima*sb**4d0
      coupl(nGC_1359) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1358) = -cb**4d0*cima
      coupl(nGC_1429) = cima*ee*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_1428) = -cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_1197) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
      coupl(nGC_1196) = 2d0*cima*(ca**2d0*cb*l1*sb - ca**2d0*cb*l3*sb - ca*cb**&
                        2d0*l4*sa - ca*cb**2d0*l5*sa + ca*l4*sa*sb**2d0 + ca*l5&
                        *sa*sb**2d0 - cb*l2*sa**2d0*sb + cb*l3*sa**2d0*sb)
      coupl(nGC_1388) = sqrt(2d0)*cima*(ca*ym1 + sa*ym2)/2d0
      coupl(nGC_1194) = cima*(ca**2d0*sb**2d0 - 4d0*ca*cb*sa*sb + cb**2d0*sa** &
                        2d0)
      coupl(nGC_1193) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
      coupl(nGC_1192) = -cima*sa**2d0*sb**2d0
      coupl(nGC_1191) = -ca**2d0*cb**2d0*cima
      coupl(nGC_1190) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
      coupl(nGC_1199) = -ca**2d0*cb**2d0*cima
      coupl(nGC_1198) = -cima*sa**2d0*sb**2d0
      coupl(nGC_1389) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1221) = 2d0*ca*cb*cima*sa*sb
      coupl(nGC_1220) = -cb**2d0*cima*sa**2d0
      coupl(nGC_1223) = -2d0*cima*(-ca**2d0*cb*l4*sb - ca**2d0*cb*l5*sb + ca*cb&
                        **2d0*l1*sa - ca*cb**2d0*l3*sa - ca*l2*sa*sb**2d0 + ca*&
                        l3*sa*sb**2d0 + cb*l4*sa**2d0*sb + cb*l5*sa**2d0*sb)
      coupl(nGC_1222) = 2d0*ca*cb*cima*sa*sb
      coupl(nGC_1225) = -sqrt(2d0)*cima*(ca*ye2 - sa*ye1)/2d0
      coupl(nGC_1224) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1227) = sqrt(2d0)*(cb*yc2 - sb*yc1)/2d0
      coupl(nGC_1226) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1229) = sqrt(2d0)*sb/2d0
      coupl(nGC_1228) = sqrt(2d0)*cb/2d0
      coupl(nGC_325) = -cima*(-ca*cb*l4*sb - ca*cb*l5*sb + cb**2d0*l2*sa + l3* &
                       sa*sb**2d0)
      coupl(nGC_323) = -cima*(-ca*cb**2d0*l4*vev2 - ca*cb**2d0*l5*vev2 + 2d0*ca&
                       *cb*l1*sb*vev1 - 2d0*ca*cb*l3*sb*vev1 + ca*l4*sb**2d0*  &
                       vev2 + ca*l5*sb**2d0*vev2 - cb**2d0*l4*sa*vev1 - cb**2d0&
                       *l5*sa*vev1 - 2d0*cb*l2*sa*sb*vev2 + 2d0*cb*l3*sa*sb*   &
                       vev2 + l4*sa*sb**2d0*vev1 + l5*sa*sb**2d0*vev1)
      coupl(nGC_1012) = -cima*ee**2d0*sb/(2d0*sw)
      coupl(nGC_1013) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/sw
      coupl(nGC_1010) = -sqrt(2d0)*sb/2d0
      coupl(nGC_1547) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw**2d0)
      coupl(nGC_1421) = -2d0*cima*(cb**4d0 + sb**4d0)
      coupl(nGC_1016) = -cima*(cb*yup1 + sb*yup2)
      coupl(nGC_1541) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw**2d0)
      coupl(nGC_1014) = cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*sw**2d0)
      coupl(nGC_1015) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*sw)
      coupl(nGC_1463) = -cima*ee**2d0*(ca*cb + sa*sb)/sw
      coupl(nGC_1462) = -sqrt(2d0)*cb/2d0
      coupl(nGC_1461) = sqrt(2d0)*sb/2d0
      coupl(nGC_1019) = -cima*ee
      coupl(nGC_1467) = cima*(cb*yd13x3 + sb*yb2)
      coupl(nGC_1466) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_1465) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw**2d0)
      coupl(nGC_1464) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_1460) = sqrt(2d0)*(cb*ym1 + sb*ym2)/2d0
      coupl(nGC_1169) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
      coupl(nGC_1162) = -ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_1163) = -ca*cima*sa*sb**2d0
      coupl(nGC_1160) = cima*(-ca**2d0*cb**2d0*l2 + ca**2d0*cb**2d0*l3 + ca**  &
                        2d0*cb**2d0*l4 - ca**2d0*cb**2d0*l5 + ca**2d0*l1*sb**  &
                        2d0 - ca**2d0*l3*sb**2d0 - ca**2d0*l4*sb**2d0 + ca**2d0&
                        *l5*sb**2d0 - 8d0*ca*cb*l5*sa*sb + cb**2d0*l2*sa**2d0  &
                         - cb**2d0*l3*sa**2d0 - cb**2d0*l4*sa**2d0 + cb**2d0*l5&
                        *sa**2d0 - l1*sa**2d0*sb**2d0 + l3*sa**2d0*sb**2d0 + l4&
                        *sa**2d0*sb**2d0 - l5*sa**2d0*sb**2d0)
      coupl(nGC_1161) = -2d0*cima*(ca**2d0*cb**2d0*l5 - ca**2d0*l5*sb**2d0 + ca&
                        *cb*l1*sa*sb + ca*cb*l2*sa*sb - 2d0*ca*cb*l3*sa*sb -   &
                        2d0*ca*cb*l4*sa*sb + 2d0*ca*cb*l5*sa*sb - cb**2d0*l5*sa&
                        **2d0 + l5*sa**2d0*sb**2d0)
      coupl(nGC_1166) = -cima*(2d0*ca**2d0*cb*sb - ca*cb**2d0*sa + ca*sa*sb**  &
                        2d0 - 2d0*cb*sa**2d0*sb)
      coupl(nGC_1167) = cima*(ca**2d0*cb**2d0*l1 - ca**2d0*cb**2d0*l3 - ca**2d0&
                        *cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0*l2*sb**2d0  &
                         + ca**2d0*l3*sb**2d0 + ca**2d0*l4*sb**2d0 - ca**2d0*l5&
                        *sb**2d0 + 8d0*ca*cb*l5*sa*sb - cb**2d0*l1*sa**2d0 + cb&
                        **2d0*l3*sa**2d0 + cb**2d0*l4*sa**2d0 - cb**2d0*l5*sa**&
                        2d0 + l2*sa**2d0*sb**2d0 - l3*sa**2d0*sb**2d0 - l4*sa**&
                        2d0*sb**2d0 + l5*sa**2d0*sb**2d0)
      coupl(nGC_1164) = ca*cb**2d0*cima*sa
      coupl(nGC_1165) = -ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_100) = cb**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cb**2d0*   &
                       cima*ee**2d0 + cb**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0&
                       ) + cima*cw**2d0*ee**2d0*sb**2d0/(2d0*sw**2d0) - cima*ee&
                       **2d0*sb**2d0 + cima*ee**2d0*sb**2d0*sw**2d0/(2d0*cw**  &
                       2d0)
      coupl(nGC_101) = cb**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + cb**2d0*   &
                       cima*ee**2d0 + cb**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0&
                       ) + cima*cw**2d0*ee**2d0*sb**2d0/(2d0*sw**2d0) + cima*ee&
                       **2d0*sb**2d0 + cima*ee**2d0*sb**2d0*sw**2d0/(2d0*cw**  &
                       2d0)
      coupl(nGC_102) = -cb*cima*ee**2d0*vev2/(2d0*cw) + cima*ee**2d0*sb*vev1/( &
                       2d0*cw)
      coupl(nGC_103) = -ca**3d0*cima*l3*vev2 - ca**3d0*cima*l4*vev2 - ca**3d0* &
                       cima*l5*vev2 + 3d0*ca**2d0*cima*l1*sa*vev1 - 2d0*ca**2d0&
                       *cima*l3*sa*vev1 - 2d0*ca**2d0*cima*l4*sa*vev1 - 2d0*ca &
                       **2d0*cima*l5*sa*vev1 - 3d0*ca*cima*l2*sa**2d0*vev2 +   &
                       2d0*ca*cima*l3*sa**2d0*vev2 + 2d0*ca*cima*l4*sa**2d0*   &
                       vev2 + 2d0*ca*cima*l5*sa**2d0*vev2 + cima*l3*sa**3d0*   &
                       vev1 + cima*l4*sa**3d0*vev1 + cima*l5*sa**3d0*vev1
      coupl(nGC_104) = -3d0*ca**3d0*cima*l2*vev2 + 3d0*ca**2d0*cima*l3*sa*vev1 &
                        + 3d0*ca**2d0*cima*l4*sa*vev1 + 3d0*ca**2d0*cima*l5*sa*&
                       vev1 - 3d0*ca*cima*l3*sa**2d0*vev2 - 3d0*ca*cima*l4*sa**&
                       2d0*vev2 - 3d0*ca*cima*l5*sa**2d0*vev2 + 3d0*cima*l1*sa &
                       **3d0*vev1
      coupl(nGC_105) = -3d0*ca**3d0*cima*l1*vev1 - 3d0*ca**2d0*cima*l3*sa*vev2 &
                        - 3d0*ca**2d0*cima*l4*sa*vev2 - 3d0*ca**2d0*cima*l5*sa*&
                       vev2 - 3d0*ca*cima*l3*sa**2d0*vev1 - 3d0*ca*cima*l4*sa**&
                       2d0*vev1 - 3d0*ca*cima*l5*sa**2d0*vev1 - 3d0*cima*l2*sa &
                       **3d0*vev2
      coupl(nGC_1555) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_107) = -cb*cima*ee**2d0*vev1/(2d0*cw) - cima*ee**2d0*sb*vev2/( &
                       2d0*cw)
      coupl(nGC_108) = -ca*cb**2d0*cima*l3*vev2 - ca*cb*cima*l4*sb*vev1 - ca*cb&
                       *cima*l5*sb*vev1 - ca*cima*l2*sb**2d0*vev2 + cb**2d0*   &
                       cima*l1*sa*vev1 + cb*cima*l4*sa*sb*vev2 + cb*cima*l5*sa*&
                       sb*vev2 + cima*l3*sa*sb**2d0*vev1
      coupl(nGC_109) = -ca*cb**2d0*cima*l3*vev2 - ca*cb**2d0*cima*l4*vev2 + ca*&
                       cb**2d0*cima*l5*vev2 - 2d0*ca*cb*cima*l5*sb*vev1 - ca*  &
                       cima*l2*sb**2d0*vev2 + cb**2d0*cima*l1*sa*vev1 + 2d0*cb*&
                       cima*l5*sa*sb*vev2 + cima*l3*sa*sb**2d0*vev1 + cima*l4* &
                       sa*sb**2d0*vev1 - cima*l5*sa*sb**2d0*vev1
      coupl(nGC_1508) = cima*cw*ee/sw**2d0
      coupl(nGC_1509) = cima*(cb*ytau1 + sb*ytau2)
      coupl(nGC_1500) = -2d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_1501) = -sqrt(2d0)*(cb*yd13x3 + sb*yb2)/2d0
      coupl(nGC_1502) = -sqrt(2d0)*sb/2d0
      coupl(nGC_1503) = sqrt(2d0)*cb/2d0
      coupl(nGC_1505) = -sqrt(2d0)*cima*ee/(2d0*sw**2d0)
      coupl(nGC_1506) = -cima*cw*ee/sw
      coupl(nGC_1507) = -cima*ee/sw
      coupl(nGC_1434) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1343) = -2d0*cima*sb**4d0
      coupl(nGC_1436) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1437) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1430) = -cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_1431) = -cima*ee*(ca*sb - cb*sa)/(2d0*sw**2d0)
      coupl(nGC_1345) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_1348) = sqrt(2d0)*cb/2d0
      coupl(nGC_1349) = -12d0*cb*cima*sb*(-cb**2d0*l2 + cb**2d0*l3 + cb**2d0*l4&
                         + cb**2d0*l5 + l1*sb**2d0 - l3*sb**2d0 - l4*sb**2d0 - &
                        l5*sb**2d0)
      coupl(nGC_1438) = sqrt(2d0)*cima*(ca*yd13x3 + sa*yb2)/2d0
      coupl(nGC_1439) = -cima*ee**2d0*(ca*sb - cb*sa)/sw
      coupl(nGC_1184) = -ca**2d0*cb*cima*sb
      coupl(nGC_1185) = cb*cima*sa**2d0*sb
      coupl(nGC_1186) = cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_1187) = -cima*(ca**2d0*cb*sb - 2d0*ca*cb**2d0*sa + 2d0*ca*sa*sb&
                        **2d0 - cb*sa**2d0*sb)
      coupl(nGC_1180) = 2d0*ca*cb*cima*sa*sb
      coupl(nGC_1181) = 2d0*cima*(ca**2d0*cb*l4*sb + ca**2d0*cb*l5*sb - ca*cb**&
                        2d0*l2*sa + ca*cb**2d0*l3*sa + ca*l1*sa*sb**2d0 - ca*l3&
                        *sa*sb**2d0 - cb*l4*sa**2d0*sb - cb*l5*sa**2d0*sb)
      coupl(nGC_1182) = cima*(-ca**2d0*cb**2d0*l2 + ca**2d0*cb**2d0*l3 + ca**  &
                        2d0*cb**2d0*l4 - ca**2d0*cb**2d0*l5 + ca**2d0*l2*sb**  &
                        2d0 - ca**2d0*l3*sb**2d0 - ca**2d0*l4*sb**2d0 + ca**2d0&
                        *l5*sb**2d0 - 8d0*ca*cb*l5*sa*sb + cb**2d0*l1*sa**2d0  &
                         - cb**2d0*l3*sa**2d0 - cb**2d0*l4*sa**2d0 + cb**2d0*l5&
                        *sa**2d0 - l1*sa**2d0*sb**2d0 + l3*sa**2d0*sb**2d0 + l4&
                        *sa**2d0*sb**2d0 - l5*sa**2d0*sb**2d0)
      coupl(nGC_1183) = cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_910) = -cb*cima*sb*(ca*vev2 + sa*vev1)
      coupl(nGC_1188) = 2d0*cima*(ca**2d0*cb**2d0*l5 - ca**2d0*l5*sb**2d0 + ca*&
                        cb*l1*sa*sb + ca*cb*l2*sa*sb - 2d0*ca*cb*l3*sa*sb - 2d0&
                        *ca*cb*l4*sa*sb + 2d0*ca*cb*l5*sa*sb - cb**2d0*l5*sa** &
                        2d0 + l5*sa**2d0*sb**2d0)
      coupl(nGC_1189) = -2d0*cima*(-ca**2d0*cb*l2*sb + ca**2d0*cb*l3*sb + ca** &
                        2d0*cb*l4*sb - ca**2d0*cb*l5*sb + 2d0*ca*cb**2d0*l5*sa &
                         - 2d0*ca*l5*sa*sb**2d0 + cb*l1*sa**2d0*sb - cb*l3*sa**&
                        2d0*sb - cb*l4*sa**2d0*sb + cb*l5*sa**2d0*sb)
      coupl(nGC_1128) = -ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_928) = -cima*sa*(3d0*ca**2d0*l2 - 2d0*ca**2d0*l3 - 2d0*ca**2d0*&
                       l4 - 2d0*ca**2d0*l5 + l3*sa**2d0 + l4*sa**2d0 + l5*sa** &
                       2d0)
      coupl(nGC_929) = -ca*cima*(ca**2d0*l3 + ca**2d0*l4 + ca**2d0*l5 + 3d0*l1*&
                       sa**2d0 - 2d0*l3*sa**2d0 - 2d0*l4*sa**2d0 - 2d0*l5*sa** &
                       2d0)
      coupl(nGC_926) = cima*(-ca*cb**2d0*l3*vev2 - ca*cb**2d0*l4*vev2 + ca*cb**&
                       2d0*l5*vev2 - 2d0*ca*cb*l5*sb*vev1 - ca*l2*sb**2d0*vev2 &
                        + cb**2d0*l1*sa*vev1 + 2d0*cb*l5*sa*sb*vev2 + l3*sa*sb &
                       **2d0*vev1 + l4*sa*sb**2d0*vev1 - l5*sa*sb**2d0*vev1)
      coupl(nGC_927) = -cima*(2d0*ca*cb*sb*vev2 - ca*sb**2d0*vev1 - cb**2d0*sa*&
                       vev2 + 2d0*cb*sa*sb*vev1)
      coupl(nGC_924) = -cima*(ca*sb**2d0*vev1 + cb**2d0*sa*vev2)
      coupl(nGC_925) = -cima*(ca*sb**2d0*vev1 + cb**2d0*sa*vev2)
      coupl(nGC_922) = -cima*sa*sb**2d0*vev2
      coupl(nGC_923) = -ca*cb**2d0*cima*vev1
      coupl(nGC_920) = -cima*(2d0*ca*cb*l5*sb + cb**2d0*l3*sa + cb**2d0*l4*sa  &
                        - cb**2d0*l5*sa + l2*sa*sb**2d0)
      coupl(nGC_921) = -cima*(ca*cb**2d0*l1 + ca*l3*sb**2d0 + ca*l4*sb**2d0 -  &
                       ca*l5*sb**2d0 + 2d0*cb*l5*sa*sb)
      coupl(nGC_1238) = 2d0*ca*cb*cima*sa*sb
      coupl(nGC_1239) = -ca*cb*cima*sa*sb
      coupl(nGC_1236) = -cima*(ca**2d0*cb*l1*sb + ca**2d0*cb*l2*sb - 2d0*ca**  &
                        2d0*cb*l3*sb - 2d0*ca*cb**2d0*l4*sa - 2d0*ca*cb**2d0*l5&
                        *sa + 2d0*ca*l4*sa*sb**2d0 + 2d0*ca*l5*sa*sb**2d0 - cb*&
                        l1*sa**2d0*sb - cb*l2*sa**2d0*sb + 2d0*cb*l3*sa**2d0*sb&
                        )
      coupl(nGC_1237) = -cima*(-4d0*ca**2d0*cb*l5*sb + ca*cb**2d0*l1*sa + ca*cb&
                        **2d0*l2*sa - 2d0*ca*cb**2d0*l3*sa - 2d0*ca*cb**2d0*l4*&
                        sa + 2d0*ca*cb**2d0*l5*sa - ca*l1*sa*sb**2d0 - ca*l2*sa&
                        *sb**2d0 + 2d0*ca*l3*sa*sb**2d0 + 2d0*ca*l4*sa*sb**2d0 &
                         - 2d0*ca*l5*sa*sb**2d0 + 4d0*cb*l5*sa**2d0*sb)
      coupl(nGC_1234) = -cima*(ca - sa)*(ca + sa)*(cb - sb)*(cb + sb)/2d0
      coupl(nGC_1235) = -cima*(ca - sa)*(ca + sa)*(cb - sb)*(cb + sb)/2d0
      coupl(nGC_1232) = -ca*cb*cima*sa*sb
      coupl(nGC_1233) = -ca*cb*cima*sa*sb
      coupl(nGC_1230) = -cima*(-2d0*ca**2d0*cb*l4*sb - 2d0*ca**2d0*cb*l5*sb +  &
                        ca*cb**2d0*l1*sa + ca*cb**2d0*l2*sa - 2d0*ca*cb**2d0*l3&
                        *sa - ca*l1*sa*sb**2d0 - ca*l2*sa*sb**2d0 + 2d0*ca*l3* &
                        sa*sb**2d0 + 2d0*cb*l4*sa**2d0*sb + 2d0*cb*l5*sa**2d0* &
                        sb)
      coupl(nGC_1231) = 2d0*ca*cb*cima*sa*sb
      coupl(nGC_1266) = sqrt(2d0)*cima*(ca*yup1 + sa*yup2)/2d0
      coupl(nGC_1611) = -cMZ*cima*ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0* &
                        cw*sw)
      coupl(nGC_1613) = cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw**2d0 + sw**2d0)** &
                        2d0/(cw**2d0*sw**2d0)
      coupl(nGC_1615) = -cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw - sw)*(cw + sw)*(&
                        cw**2d0 + sw**2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_1617) = -cMZ*cima*ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0* &
                        cw*sw)
      coupl(nGC_1619) = -cima*ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(4d0*cMZ* &
                        cw*sw)
      coupl(nGC_1304) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_1390) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_119) = -ca*cb**2d0*cima*l4*vev1/2d0 - ca*cb**2d0*cima*l5*vev1/ &
                       2d0 - ca*cb*cima*l2*sb*vev2 + ca*cb*cima*l3*sb*vev2 + ca&
                       *cima*l4*sb**2d0*vev1/2d0 + ca*cima*l5*sb**2d0*vev1/2d0 &
                        + cb**2d0*cima*l4*sa*vev2/2d0 + cb**2d0*cima*l5*sa*vev2&
                       /2d0 - cb*cima*l1*sa*sb*vev1 + cb*cima*l3*sa*sb*vev1 -  &
                       cima*l4*sa*sb**2d0*vev2/2d0 - cima*l5*sa*sb**2d0*vev2/  &
                       2d0
      coupl(nGC_118) = -ca*cb**2d0*cima*l3*vev1 + ca*cb*cima*l4*sb*vev2 + ca*cb&
                       *cima*l5*sb*vev2 - ca*cima*l1*sb**2d0*vev1 - cb**2d0*   &
                       cima*l2*sa*vev2 + cb*cima*l4*sa*sb*vev1 + cb*cima*l5*sa*&
                       sb*vev1 - cima*l3*sa*sb**2d0*vev2
      coupl(nGC_117) = -ca*cb**2d0*cima*l1*vev1 - 2d0*ca*cb*cima*l5*sb*vev2 -  &
                       ca*cima*l3*sb**2d0*vev1 - ca*cima*l4*sb**2d0*vev1 + ca* &
                       cima*l5*sb**2d0*vev1 - cb**2d0*cima*l3*sa*vev2 - cb**2d0&
                       *cima*l4*sa*vev2 + cb**2d0*cima*l5*sa*vev2 - 2d0*cb*cima&
                       *l5*sa*sb*vev1 - cima*l2*sa*sb**2d0*vev2
      coupl(nGC_116) = -ca*cb**2d0*cima*l1*vev1 - ca*cb*cima*l4*sb*vev2 - ca*cb&
                       *cima*l5*sb*vev2 - ca*cima*l3*sb**2d0*vev1 - cb**2d0*   &
                       cima*l3*sa*vev2 - cb*cima*l4*sa*sb*vev1 - cb*cima*l5*sa*&
                       sb*vev1 - cima*l2*sa*sb**2d0*vev2
      coupl(nGC_115) = -cb**3d0*l4*vev2/2d0 + cb**3d0*l5*vev2/2d0 + cb**2d0*l4*&
                       sb*vev1/2d0 - cb**2d0*l5*sb*vev1/2d0 - cb*l4*sb**2d0*   &
                       vev2/2d0 + cb*l5*sb**2d0*vev2/2d0 + l4*sb**3d0*vev1/2d0 &
                        - l5*sb**3d0*vev1/2d0
      coupl(nGC_114) = cb**3d0*l4*vev2/2d0 - cb**3d0*l5*vev2/2d0 - cb**2d0*l4* &
                       sb*vev1/2d0 + cb**2d0*l5*sb*vev1/2d0 + cb*l4*sb**2d0*   &
                       vev2/2d0 - cb*l5*sb**2d0*vev2/2d0 - l4*sb**3d0*vev1/2d0 &
                        + l5*sb**3d0*vev1/2d0
      coupl(nGC_113) = -ca*cb**2d0*cima*l2*vev2 + 2d0*ca*cb*cima*l5*sb*vev1 -  &
                       ca*cima*l3*sb**2d0*vev2 - ca*cima*l4*sb**2d0*vev2 + ca* &
                       cima*l5*sb**2d0*vev2 + cb**2d0*cima*l3*sa*vev1 + cb**2d0&
                       *cima*l4*sa*vev1 - cb**2d0*cima*l5*sa*vev1 - 2d0*cb*cima&
                       *l5*sa*sb*vev2 + cima*l1*sa*sb**2d0*vev1
      coupl(nGC_112) = -ca*cb**2d0*cima*l5*vev2 + ca*cb*cima*l1*sb*vev1 - ca*cb&
                       *cima*l3*sb*vev1 - ca*cb*cima*l4*sb*vev1 + ca*cb*cima*l5&
                       *sb*vev1 + ca*cima*l5*sb**2d0*vev2 - cb**2d0*cima*l5*sa*&
                       vev1 - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*sa*sb*vev2 +  &
                       cb*cima*l4*sa*sb*vev2 - cb*cima*l5*sa*sb*vev2 + cima*l5*&
                       sa*sb**2d0*vev1
      coupl(nGC_111) = -ca*cb**2d0*cima*l4*vev2/2d0 - ca*cb**2d0*cima*l5*vev2/ &
                       2d0 + ca*cb*cima*l1*sb*vev1 - ca*cb*cima*l3*sb*vev1 + ca&
                       *cima*l4*sb**2d0*vev2/2d0 + ca*cima*l5*sb**2d0*vev2/2d0 &
                        - cb**2d0*cima*l4*sa*vev1/2d0 - cb**2d0*cima*l5*sa*vev1&
                       /2d0 - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*sa*sb*vev2 +  &
                       cima*l4*sa*sb**2d0*vev1/2d0 + cima*l5*sa*sb**2d0*vev1/  &
                       2d0
      coupl(nGC_110) = -ca*cb**2d0*cima*l2*vev2 + ca*cb*cima*l4*sb*vev1 + ca*cb&
                       *cima*l5*sb*vev1 - ca*cima*l3*sb**2d0*vev2 + cb**2d0*   &
                       cima*l3*sa*vev1 - cb*cima*l4*sa*sb*vev2 - cb*cima*l5*sa*&
                       sb*vev2 + cima*l1*sa*sb**2d0*vev1
      coupl(nGC_651) = -coupl(nGC_8)
      coupl(nGC_653) = 2d0*coupl(nGC_8)
      coupl(nGC_605) = -2d0*coupl(nGC_5)
      coupl(nGC_637) = -coupl(nGC_17)
      coupl(nGC_631) = -coupl(nGC_96)
      coupl(nGC_607) = -coupl(nGC_3)
      coupl(nGC_641) = -coupl(nGC_132)
      coupl(nGC_627) = -coupl(nGC_194)
      coupl(nGC_613) = -coupl(nGC_6)
      coupl(nGC_617) = -coupl(nGC_4)
    end subroutine fill_couplings_mdl3
end module fill_couplings3
