!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 14:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl2()
      coupl(nGC_2352) = coupl(nGC_1527)*dZee_QED2 + coupl(nGC_1528)*dcw_QED2 + &
                        coupl(nGC_1529)*dsw_QED2
      coupl(nGC_TS_GC_36_Hh) = -coupl(nGC_36)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2353) = coupl(nGC_1097)*db_QED2 + coupl(nGC_1098)*dyup1_QED3 + &
                        coupl(nGC_1099)*dyup2_QED3
      coupl(nGC_TS_GC_36_Hl) = -coupl(nGC_36)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2431) = coupl(nGC_1108)*dye2_QED3 + coupl(nGC_1109)*db_QED2 +  &
                        coupl(nGC_1110)*dye1_QED3
      coupl(nGC_2432) = coupl(nGC_1117)*dye2_QED3 + coupl(nGC_1118)*db_QED2 +  &
                        coupl(nGC_1119)*dye1_QED3
      coupl(nGC_2435) = coupl(nGC_1560)*db_QED2 + coupl(nGC_1561)*dytau2_QED3  &
                         + coupl(nGC_1562)*dytau1_QED3
      coupl(nGC_2434) = coupl(nGC_1489)*db_QED2 + coupl(nGC_1490)*dym1_QED3 +  &
                        coupl(nGC_1491)*dym2_QED3
      coupl(nGC_2437) = coupl(nGC_1134)*db_QED2 + coupl(nGC_1135)*dyup1_QED3 + &
                        coupl(nGC_1136)*dyup2_QED3
      coupl(nGC_2436) = coupl(nGC_1536)*db_QED2 + coupl(nGC_1537)*dytau2_QED3  &
                         + coupl(nGC_1538)*dytau1_QED3
      coupl(nGC_3123) = -coupl(nGC_2328) - coupl(nGC_92)*dZHa_QED2/2d0 - coupl(&
                        nGC_92)*dZHh_QED2/2d0 - coupl(nGC_92)*dZZ_QED2/2d0 -   &
                        coupl(nGC_94)*dZG0Ha_QED2/2d0 - coupl(nGC_94)*         &
                        dZHlHh_QED2/2d0
      coupl(nGC_3126) = coupl(nGC_2)*dZuL_QCD2
      coupl(nGC_2982) = coupl(nGC_61)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_2985) = -coupl(nGC_194)*dZHa_QED2/2d0 - coupl(nGC_194)*        &
                        dZuL_QED2/2d0 - coupl(nGC_194)*dZuR_QED2/2d0 + coupl(  &
                        nGC_197)*dZG0Ha_QED2/2d0 - coupl(nGC_2461)
      coupl(nGC_2984) = coupl(nGC_194)*dZuL_QCD2/2d0 + coupl(nGC_194)*dZuR_QCD2&
                        /2d0 + coupl(nGC_2462)
      coupl(nGC_2986) = -coupl(nGC_194)*dZuL_QCD2/2d0 - coupl(nGC_194)*        &
                        dZuR_QCD2/2d0 - coupl(nGC_2462)
      coupl(nGC_3051) = coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_3052) = -coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_3058) = coupl(nGC_I)*(dZGMinusHMinus_QED2 + dZHMinusGMinus_QED2&
                        )/2d0
      coupl(nGC_3059) = coupl(nGC_10)*dZHhHl_QED2 + coupl(nGC_13)*dZHh_QED2 +  &
                        coupl(nGC_13)*dZHl_QED2 + coupl(nGC_2259) + coupl(nGC_9&
                        )*dZHlHh_QED2
      coupl(nGC_TS_GC_40_Hl) = -coupl(nGC_40)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_120_Hl) = -coupl(nGC_120)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2215) = cima*coupl(nGC_7)**3d0*sq2**3d0*(-coupl(nGC_84) - coupl&
                        (nGC_85) - coupl(nGC_87) - coupl(nGC_88))/(64d0*pi**2d0&
                        *Nc)
      coupl(nGC_1778) = coupl(nGC_150)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1947) = coupl(nGC_141)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1772) = coupl(nGC_181)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1689) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_84)*coupl(    &
                        nGC_87))/(8d0*pi**2d0)
      coupl(nGC_1688) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_80)**2d0 - coupl( &
                        nGC_87)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1680) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_141)**2d0 - 8d0*Nc*cMC&
                        **2d0*cima*coupl(nGC_130)**2d0 - 8d0*Nc*cMD**2d0*cima* &
                        coupl(nGC_145)**2d0 - 8d0*Nc*cMS**2d0*cima*coupl(      &
                        nGC_169)**2d0 - 8d0*Nc*cMT**2d0*cima*coupl(nGC_177)**  &
                        2d0 - 8d0*Nc*cMU**2d0*cima*coupl(nGC_192)**2d0 - 8d0*  &
                        cME**2d0*cima*coupl(nGC_153)**2d0 - cMHA**2d0*cima*    &
                        coupl(nGC_633)*coupl(nGC_94) - cMHC**2d0*cima*coupl(   &
                        nGC_621)*coupl(nGC_69) - cMHC**2d0*cima*coupl(nGC_645)*&
                        coupl(nGC_68) - 8d0*cMM**2d0*cima*coupl(nGC_161)**2d0  &
                         - 8d0*cMTA**2d0*cima*coupl(nGC_184)**2d0 - 2d0*cMW**  &
                        2d0*cima*coupl(nGC_611)*coupl(nGC_63) - 2d0*cMW**2d0*  &
                        cima*coupl(nGC_619)*coupl(nGC_64) - cMW**2d0*cima*coupl&
                        (nGC_621)*coupl(nGC_69) - cMW**2d0*cima*coupl(nGC_645)*&
                        coupl(nGC_68) - 4d0*cMW**2d0*coupl(nGC_61) - cMZ**2d0* &
                        cima*coupl(nGC_633)*coupl(nGC_94) - 2d0*cMZ**2d0*cima* &
                        coupl(nGC_639)*coupl(nGC_91) - 2d0*cMZ**2d0*coupl(     &
                        nGC_99) + 4d0*cima*coupl(nGC_124)**2d0 + 2d0*cima*coupl&
                        (nGC_128)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1687) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0*&
                        pi**2d0*Nc)
      coupl(nGC_1686) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_84)**2d0 + 2d0*Nc*cMB**&
                        2d0*cima*coupl(nGC_87)**2d0 + 2d0*Nc*cMC**2d0*cima*    &
                        coupl(nGC_85)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl(nGC_88 &
                        )**2d0 + 2d0*Nc*cMD**2d0*cima*coupl(nGC_84)**2d0 + 2d0*&
                        Nc*cMD**2d0*cima*coupl(nGC_87)**2d0 + 2d0*Nc*cMS**2d0* &
                        cima*coupl(nGC_84)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(  &
                        nGC_87)**2d0 + 2d0*Nc*cMT**2d0*cima*coupl(nGC_85)**2d0 &
                         + 2d0*Nc*cMT**2d0*cima*coupl(nGC_88)**2d0 + 2d0*Nc*cMU&
                        **2d0*cima*coupl(nGC_85)**2d0 + 2d0*Nc*cMU**2d0*cima*  &
                        coupl(nGC_88)**2d0 + 2d0*cME**2d0*cima*coupl(nGC_86)** &
                        2d0 + 2d0*cME**2d0*cima*coupl(nGC_89)**2d0 + 2d0*cMM** &
                        2d0*cima*coupl(nGC_86)**2d0 + 2d0*cMM**2d0*cima*coupl( &
                        nGC_89)**2d0 + 2d0*cMTA**2d0*cima*coupl(nGC_86)**2d0 + &
                        2d0*cMTA**2d0*cima*coupl(nGC_89)**2d0 + 3d0*cMW**2d0*  &
                        cima*coupl(nGC_625)**2d0 + 3d0*cMW**2d0*cima*coupl(    &
                        nGC_82)**2d0 - 2d0*cMW**2d0*coupl(nGC_635))/(16d0*pi** &
                        2d0)
      coupl(nGC_1684) = cima*(-2d0*Nc*coupl(nGC_84)**2d0 - 2d0*Nc*coupl(nGC_85 &
                        )**2d0 - 2d0*Nc*coupl(nGC_87)**2d0 - 2d0*Nc*coupl(     &
                        nGC_88)**2d0 - coupl(nGC_625)**2d0 - coupl(nGC_82)**2d0&
                         - 2d0*coupl(nGC_86)**2d0 - 2d0*coupl(nGC_89)**2d0 -   &
                        2d0*coupl(nGC_90)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1999) = (coupl(nGC_184)**2d0*coupl(nGC_86) + coupl(nGC_186)*   &
                        coupl(nGC_187)*coupl(nGC_86) + coupl(nGC_188)**2d0*    &
                        coupl(nGC_86) + coupl(nGC_190)*coupl(nGC_191)*coupl(   &
                        nGC_86) + 4d0*coupl(nGC_4)**2d0*coupl(nGC_89) - 4d0*   &
                        coupl(nGC_80)**2d0*coupl(nGC_82) + 4d0*coupl(nGC_80)** &
                        2d0*coupl(nGC_90) + 4d0*coupl(nGC_89)**3d0)/(32d0*pi** &
                        2d0)
      coupl(nGC_1998) = (coupl(nGC_184)**2d0*coupl(nGC_89) + coupl(nGC_185)**  &
                        2d0*coupl(nGC_90) + coupl(nGC_186)*coupl(nGC_187)*coupl&
                        (nGC_89) + coupl(nGC_188)**2d0*coupl(nGC_89) + coupl(  &
                        nGC_189)**2d0*coupl(nGC_90) + coupl(nGC_190)*coupl(    &
                        nGC_191)*coupl(nGC_89) + 4d0*coupl(nGC_4)**2d0*coupl(  &
                        nGC_86) + 4d0*coupl(nGC_86)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1997) = (coupl(nGC_177)**2d0*coupl(nGC_88) + coupl(nGC_178)**  &
                        2d0*coupl(nGC_87) + coupl(nGC_179)*coupl(nGC_629)*coupl&
                        (nGC_88) + coupl(nGC_180)**2d0*coupl(nGC_88) + coupl(  &
                        nGC_181)**2d0*coupl(nGC_87) + coupl(nGC_182)*coupl(    &
                        nGC_183)*coupl(nGC_88) + 4d0*coupl(nGC_2)**2d0*coupl(  &
                        nGC_85) + 4d0*coupl(nGC_85)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1996) = (coupl(nGC_138)**2d0*coupl(nGC_84) + coupl(nGC_142)**  &
                        2d0*coupl(nGC_84) + coupl(nGC_177)**2d0*coupl(nGC_85   &
                        ) + coupl(nGC_179)*coupl(nGC_629)*coupl(nGC_85) + coupl&
                        (nGC_180)**2d0*coupl(nGC_85) + coupl(nGC_182)*coupl(   &
                        nGC_183)*coupl(nGC_85) + 4d0*coupl(nGC_2)**2d0*coupl(  &
                        nGC_88) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_82) + 4d0*  &
                        coupl(nGC_80)**2d0*coupl(nGC_87) + 4d0*coupl(nGC_88)** &
                        3d0)/(32d0*pi**2d0)
      coupl(nGC_1995) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_84) + coupl(nGC_169)**&
                        2d0*coupl(nGC_87) + coupl(nGC_170)**2d0*coupl(nGC_88   &
                        ) + coupl(nGC_171)*coupl(nGC_172)*coupl(nGC_87) + coupl&
                        (nGC_173)**2d0*coupl(nGC_87) + coupl(nGC_174)**2d0*    &
                        coupl(nGC_88) + coupl(nGC_175)*coupl(nGC_176)*coupl(   &
                        nGC_87) + 4d0*coupl(nGC_84)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1994) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_87) + coupl(nGC_131)**&
                        2d0*coupl(nGC_85) + coupl(nGC_134)**2d0*coupl(nGC_85   &
                        ) + coupl(nGC_169)**2d0*coupl(nGC_84) + coupl(nGC_171)*&
                        coupl(nGC_172)*coupl(nGC_84) + coupl(nGC_173)**2d0*    &
                        coupl(nGC_84) + coupl(nGC_175)*coupl(nGC_176)*coupl(   &
                        nGC_84) + 4d0*coupl(nGC_625)*coupl(nGC_80)**2d0 + 4d0* &
                        coupl(nGC_80)**2d0*coupl(nGC_88) + 4d0*coupl(nGC_87)** &
                        3d0)/(32d0*pi**2d0)
      coupl(nGC_1993) = (coupl(nGC_185)**2d0*coupl(nGC_86) + coupl(nGC_189)**  &
                        2d0*coupl(nGC_86) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_82&
                        ) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_89) + 4d0*coupl(  &
                        nGC_90)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1992) = (coupl(nGC_162)**2d0*coupl(nGC_86) + coupl(nGC_166)**  &
                        2d0*coupl(nGC_86) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_82&
                        ) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_89) + 4d0*coupl(  &
                        nGC_90)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1991) = (coupl(nGC_161)**2d0*coupl(nGC_86) + coupl(nGC_163)*   &
                        coupl(nGC_164)*coupl(nGC_86) + coupl(nGC_165)**2d0*    &
                        coupl(nGC_86) + coupl(nGC_167)*coupl(nGC_168)*coupl(   &
                        nGC_86) + 4d0*coupl(nGC_4)**2d0*coupl(nGC_89) - 4d0*   &
                        coupl(nGC_80)**2d0*coupl(nGC_82) + 4d0*coupl(nGC_80)** &
                        2d0*coupl(nGC_90) + 4d0*coupl(nGC_89)**3d0)/(32d0*pi** &
                        2d0)
      coupl(nGC_TS_GC_195_Hh) = -coupl(nGC_195)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1990) = (coupl(nGC_161)**2d0*coupl(nGC_89) + coupl(nGC_162)**  &
                        2d0*coupl(nGC_90) + coupl(nGC_163)*coupl(nGC_164)*coupl&
                        (nGC_89) + coupl(nGC_165)**2d0*coupl(nGC_89) + coupl(  &
                        nGC_166)**2d0*coupl(nGC_90) + coupl(nGC_167)*coupl(    &
                        nGC_168)*coupl(nGC_89) + 4d0*coupl(nGC_4)**2d0*coupl(  &
                        nGC_86) + 4d0*coupl(nGC_86)**3d0)/(32d0*pi**2d0)
      coupl(nGC_2153) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_135)*coupl(&
                        nGC_136) - coupl(nGC_139)*coupl(nGC_140) - coupl(      &
                        nGC_151)*coupl(nGC_152) - coupl(nGC_175)*coupl(nGC_176 &
                        ) - coupl(nGC_182)*coupl(nGC_183) - coupl(nGC_197)*    &
                        coupl(nGC_198))/(16d0*pi**2d0)
      coupl(nGC_2154) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_135)*coupl( &
                        nGC_136) + coupl(nGC_139)*coupl(nGC_140) + coupl(      &
                        nGC_151)*coupl(nGC_152) + coupl(nGC_175)*coupl(nGC_176 &
                        ) + coupl(nGC_182)*coupl(nGC_183) + coupl(nGC_197)*    &
                        coupl(nGC_198))/(16d0*pi**2d0*Nc)
      coupl(nGC_2333) = coupl(nGC_870)*db_QED2 + coupl(nGC_871)*dvev1_QED1 +   &
                        coupl(nGC_872)*dcw_QED2 + coupl(nGC_873)*dZee_QED2 +   &
                        coupl(nGC_874)*dvev2_QED1
      coupl(nGC_2330) = coupl(nGC_1085)*db_QED2 + coupl(nGC_1086)*dZee_QED2 +  &
                        coupl(nGC_1087)*dcw_QED2 + coupl(nGC_1088)*da_QED2
      coupl(nGC_2331) = coupl(nGC_1081)*db_QED2 + coupl(nGC_1082)*dZee_QED2 +  &
                        coupl(nGC_1083)*dcw_QED2 + coupl(nGC_1084)*da_QED2
      coupl(nGC_2336) = coupl(nGC_1625)*dZee_QED2 + coupl(nGC_1626)*dcw_QED2 + &
                        coupl(nGC_1627)*dsw_QED2
      coupl(nGC_2337) = coupl(nGC_1622)*dZee_QED2 + coupl(nGC_1623)*dcw_QED2 + &
                        coupl(nGC_1624)*dsw_QED2
      coupl(nGC_2334) = coupl(nGC_1598)*db_QED2 + coupl(nGC_1599)*dvev1_QED1 + &
                        coupl(nGC_1600)*dcw_QED2 + coupl(nGC_1601)*dZee_QED2 + &
                        coupl(nGC_1602)*dvev2_QED1
      coupl(nGC_2335) = coupl(nGC_1089)*dZee_QED2 + coupl(nGC_1090)*dcw_QED2
      coupl(nGC_2888) = coupl(nGC_2)*dZcL_QCD2
      coupl(nGC_3205) = coupl(nGC_MI)*dZcL_QCD2
      coupl(nGC_3204) = coupl(nGC_MI)*dZcL_QED2
      coupl(nGC_3207) = coupl(nGC_68)*dZGMinus/2d0
      coupl(nGC_3206) = coupl(nGC_2317) - coupl(nGC_63)*dZHMinusGMinus_QED2/2d0&
                         + coupl(nGC_63)*dZHlHh_QED2/2d0 + coupl(nGC_68)*      &
                        dZHh_QED2/2d0 + coupl(nGC_68)*dZWMinus_QED2/2d0
      coupl(nGC_2090) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(   &
                        nGC_84) + coupl(nGC_1)*coupl(nGC_87) + coupl(nGC_2)*   &
                        coupl(nGC_85) + coupl(nGC_2)*coupl(nGC_88))/(32d0*pi** &
                        2d0)
      coupl(nGC_TS_GC_15_Hh) = -coupl(nGC_15)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_153_Hl) = -coupl(nGC_153)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3115) = coupl(nGC_7)*dZdR_QED2
      coupl(nGC_3114) = coupl(nGC_2344) + coupl(nGC_7)*dZdR_QCD2 + coupl(nGC_7 &
                        )*dZg_QCD2/2d0
      coupl(nGC_3117) = -coupl(nGC_MW_GF)*dZGMinus/2d0
      coupl(nGC_3116) = coupl(nGC_92)*dZZA_QED2/2d0
      coupl(nGC_3111) = coupl(nGC_176)*dZG0/2d0
      coupl(nGC_3113) = coupl(nGC_7)*dZdL_QED2
      coupl(nGC_3112) = coupl(nGC_2344) + coupl(nGC_7)*dZdL_QCD2 + coupl(nGC_7 &
                        )*dZg_QCD2/2d0
      coupl(nGC_3119) = -coupl(nGC_72)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_2428) = coupl(nGC_1054)*dye2_QED3 + coupl(nGC_1055)*da_QED2 +  &
                        coupl(nGC_1056)*dye1_QED3
      coupl(nGC_2426) = coupl(nGC_1518)*da_QED2 + coupl(nGC_1519)*dym1_QED3 +  &
                        coupl(nGC_1520)*dym2_QED3
      coupl(nGC_2427) = coupl(nGC_1569)*dytau2_QED3 + coupl(nGC_1570)*         &
                        dytau1_QED3 + coupl(nGC_1571)*da_QED2
      coupl(nGC_2424) = coupl(nGC_1548)*db_QED2 + coupl(nGC_1549)*dytau2_QED3  &
                         + coupl(nGC_1550)*dytau1_QED3
      coupl(nGC_2425) = coupl(nGC_1224)*dye2_QED3 + coupl(nGC_1225)*da_QED2 +  &
                        coupl(nGC_1226)*dye1_QED3
      coupl(nGC_2422) = coupl(nGC_1563)*db_QED2 + coupl(nGC_1564)*dym1_QED3 +  &
                        coupl(nGC_1565)*dym2_QED3
      coupl(nGC_2423) = coupl(nGC_1385)*db_QED2 + coupl(nGC_1386)*dytau2_QED3  &
                         + coupl(nGC_1387)*dytau1_QED3
      coupl(nGC_2420) = coupl(nGC_1296)*dye2_QED3 + coupl(nGC_1297)*db_QED2 +  &
                        coupl(nGC_1298)*dye1_QED3
      coupl(nGC_2421) = coupl(nGC_1585)*db_QED2 + coupl(nGC_1586)*dym1_QED3 +  &
                        coupl(nGC_1587)*dym2_QED3
      coupl(nGC_TS_GC_145_Hl) = -coupl(nGC_145)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3061) = coupl(nGC_MI)*dZuR_QED2
      coupl(nGC_3063) = coupl(nGC_2590) + coupl(nGC_MU)*dZuL_QED2/2d0 + coupl( &
                        nGC_MU)*dZuR_QED2/2d0 + coupl(nGC_TS_GC_192_Hl) + coupl&
                        (nGC_TS_GC_195_Hh)
      coupl(nGC_3062) = coupl(nGC_MI)*dZuR_QCD2
      coupl(nGC_3065) = coupl(nGC_MI)*dZuL_QED2
      coupl(nGC_3064) = coupl(nGC_2591) + coupl(nGC_MU)*dZuL_QCD2/2d0 + coupl( &
                        nGC_MU)*dZuR_QCD2/2d0
      coupl(nGC_3067) = coupl(nGC_MI)*dZbR_QED2
      coupl(nGC_3069) = coupl(nGC_2600) + coupl(nGC_MB)*dZbL_QED2/2d0 + coupl( &
                        nGC_MB)*dZbR_QED2/2d0 + coupl(nGC_TS_GC_137_Hh) + coupl&
                        (nGC_TS_GC_141_Hl)
      coupl(nGC_3068) = coupl(nGC_MI)*dZbR_QCD2
      coupl(nGC_1904) = coupl(nGC_179)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2325) = coupl(nGC_1591)*db_QED2 + coupl(nGC_1592)*da_QED2 +    &
                        coupl(nGC_1593)*dcw_QED2 + coupl(nGC_1594)*dZee_QED2 + &
                        coupl(nGC_1595)*dsw_QED2
      coupl(nGC_2951) = coupl(nGC_131)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_134 &
                        )*dZcR_QED2/2d0 + coupl(nGC_134)*dZsL_QED2/2d0 + coupl(&
                        nGC_2357)
      coupl(nGC_2892) = coupl(nGC_MI)*dZnu_eL_QED2
      coupl(nGC_2326) = coupl(nGC_1572)*db_QED2 + coupl(nGC_1573)*da_QED2 +    &
                        coupl(nGC_1574)*dcw_QED2 + coupl(nGC_1575)*dZee_QED2 + &
                        coupl(nGC_1576)*dsw_QED2
      coupl(nGC_1764) = (-4d0*Nc*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_85) + &
                        4d0*Nc*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_87) +   &
                        4d0*Nc*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_84) -   &
                        4d0*Nc*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_88) +   &
                        4d0*Nc*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_84) -   &
                        4d0*Nc*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_88) +   &
                        4d0*Nc*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_84) -   &
                        4d0*Nc*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_88) -   &
                        4d0*Nc*coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_85) +   &
                        4d0*Nc*coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_87) -   &
                        4d0*Nc*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_85) +   &
                        4d0*Nc*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_87) +   &
                        4d0*coupl(nGC_154)*coupl(nGC_158)*coupl(nGC_86) - 4d0* &
                        coupl(nGC_154)*coupl(nGC_158)*coupl(nGC_90) + 4d0*coupl&
                        (nGC_162)*coupl(nGC_166)*coupl(nGC_86) - 4d0*coupl(    &
                        nGC_162)*coupl(nGC_166)*coupl(nGC_90) + 4d0*coupl(     &
                        nGC_185)*coupl(nGC_189)*coupl(nGC_86) - 4d0*coupl(     &
                        nGC_185)*coupl(nGC_189)*coupl(nGC_90) + coupl(nGC_611)*&
                        coupl(nGC_72)*coupl(nGC_94) + coupl(nGC_619)*coupl(    &
                        nGC_633)*coupl(nGC_643) + coupl(nGC_621)*coupl(nGC_643 &
                        )*coupl(nGC_647) + coupl(nGC_621)*coupl(nGC_72)*coupl( &
                        nGC_91) - 6d0*coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_82 &
                        ) - 6d0*coupl(nGC_64)*coupl(nGC_68)*coupl(nGC_82))/(   &
                        96d0*pi**2d0)
      coupl(nGC_2896) = coupl(nGC_122)*dZGMinus/2d0
      coupl(nGC_2323) = coupl(nGC_900)*dsw_QED2 + coupl(nGC_901)*da_QED2 +     &
                        coupl(nGC_902)*dvev1_QED1 + coupl(nGC_903)*dvev2_QED1  &
                         + coupl(nGC_904)*dZee_QED2
      coupl(nGC_3237) = coupl(nGC_MI)*dZnu_tauL_QED2
      coupl(nGC_3230) = coupl(nGC_167)*dZG0/2d0
      coupl(nGC_3231) = coupl(nGC_164)*dZHaG0_QED2/2d0 + coupl(nGC_168)*       &
                        dZmuMinusL_QED2/2d0 + coupl(nGC_168)*dZmuMinusR_QED2/  &
                        2d0 + coupl(nGC_2421)
      coupl(nGC_2954) = coupl(nGC_49)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_1698) = cME*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_86)*coupl(    &
                        nGC_89))/(8d0*pi**2d0)
      coupl(nGC_1699) = cima*(coupl(nGC_4)**2d0 + coupl(nGC_86)**2d0)/(16d0*pi &
                        **2d0)
      coupl(nGC_1690) = cMB*cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_1691) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_84)**2d0)/(16d0*pi&
                        **2d0)
      coupl(nGC_1692) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_80)**2d0 - coupl( &
                        nGC_88)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1693) = cMC*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_85)*coupl(    &
                        nGC_88))/(8d0*pi**2d0)
      coupl(nGC_1694) = cMC*cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_1695) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_85)**2d0)/(16d0*pi&
                        **2d0)
      coupl(nGC_1696) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_84)*coupl(    &
                        nGC_87))/(8d0*pi**2d0)
      coupl(nGC_1697) = cMD*cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_1988) = (coupl(nGC_153)**2d0*coupl(nGC_86) + coupl(nGC_155)*   &
                        coupl(nGC_156)*coupl(nGC_86) + coupl(nGC_157)**2d0*    &
                        coupl(nGC_86) + coupl(nGC_159)*coupl(nGC_160)*coupl(   &
                        nGC_86) + 4d0*coupl(nGC_4)**2d0*coupl(nGC_89) - 4d0*   &
                        coupl(nGC_80)**2d0*coupl(nGC_82) + 4d0*coupl(nGC_80)** &
                        2d0*coupl(nGC_90) + 4d0*coupl(nGC_89)**3d0)/(32d0*pi** &
                        2d0)
      coupl(nGC_1989) = (coupl(nGC_154)**2d0*coupl(nGC_86) + coupl(nGC_158)**  &
                        2d0*coupl(nGC_86) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_82&
                        ) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_89) + 4d0*coupl(  &
                        nGC_90)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1984) = coupl(nGC_7)**2d0*coupl(nGC_85)*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_1985) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_87) + coupl(nGC_145)**&
                        2d0*coupl(nGC_84) + coupl(nGC_147)*coupl(nGC_148)*coupl&
                        (nGC_84) + coupl(nGC_149)**2d0*coupl(nGC_84) + coupl(  &
                        nGC_151)*coupl(nGC_152)*coupl(nGC_84) + coupl(nGC_193  &
                        )**2d0*coupl(nGC_85) + coupl(nGC_196)**2d0*coupl(nGC_85&
                        ) + 4d0*coupl(nGC_625)*coupl(nGC_80)**2d0 + 4d0*coupl( &
                        nGC_80)**2d0*coupl(nGC_88) + 4d0*coupl(nGC_87)**3d0)/( &
                        32d0*pi**2d0)
      coupl(nGC_1987) = (coupl(nGC_153)**2d0*coupl(nGC_89) + coupl(nGC_154)**  &
                        2d0*coupl(nGC_90) + coupl(nGC_155)*coupl(nGC_156)*coupl&
                        (nGC_89) + coupl(nGC_157)**2d0*coupl(nGC_89) + coupl(  &
                        nGC_158)**2d0*coupl(nGC_90) + coupl(nGC_159)*coupl(    &
                        nGC_160)*coupl(nGC_89) + 4d0*coupl(nGC_4)**2d0*coupl(  &
                        nGC_86) + 4d0*coupl(nGC_86)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1980) = coupl(nGC_7)**2d0*coupl(nGC_84)*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_1982) = coupl(nGC_7)**2d0*coupl(nGC_88)*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_1902) = coupl(nGC_629)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2711) = coupl(nGC_80)*(dZcL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_2712) = coupl(nGC_73)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_1675) = cima*(4d0*Nc*coupl(nGC_133)**2d0 + 4d0*Nc*coupl(nGC_137&
                        )**2d0 + 4d0*Nc*coupl(nGC_149)**2d0 + 4d0*Nc*coupl(    &
                        nGC_173)**2d0 + 4d0*Nc*coupl(nGC_180)**2d0 + 4d0*Nc*   &
                        coupl(nGC_195)**2d0 + 4d0*coupl(nGC_157)**2d0 + 4d0*   &
                        coupl(nGC_165)**2d0 + 4d0*coupl(nGC_188)**2d0 + coupl( &
                        nGC_611)*coupl(nGC_63) + coupl(nGC_619)*coupl(nGC_64   &
                        ) + coupl(nGC_621)*coupl(nGC_69) + coupl(nGC_633)*coupl&
                        (nGC_94) + coupl(nGC_645)*coupl(nGC_68) + coupl(nGC_647&
                        )*coupl(nGC_92))/(96d0*pi**2d0)
      coupl(nGC_2713) = coupl(nGC_20)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_TS_GC_105_Hh) = -coupl(nGC_105)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_165_Hh) = -coupl(nGC_165)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2185) = (20d0*Nc*cima*coupl(nGC_133)**4d0 + 20d0*Nc*cima*coupl(&
                        nGC_137)**4d0 + 20d0*Nc*cima*coupl(nGC_149)**4d0 + 20d0&
                        *Nc*cima*coupl(nGC_173)**4d0 + 20d0*Nc*cima*coupl(     &
                        nGC_180)**4d0 + 20d0*Nc*cima*coupl(nGC_195)**4d0 + 20d0&
                        *cima*coupl(nGC_157)**4d0 + 20d0*cima*coupl(nGC_165)** &
                        4d0 + 20d0*cima*coupl(nGC_188)**4d0 + 6d0*cima*coupl(  &
                        nGC_61)**2d0 - 5d0*cima*coupl(nGC_611)**2d0*coupl(     &
                        nGC_63)**2d0 - 10d0*cima*coupl(nGC_611)*coupl(nGC_621)*&
                        coupl(nGC_63)*coupl(nGC_69) - 5d0*cima*coupl(nGC_619)**&
                        2d0*coupl(nGC_64)**2d0 - 10d0*cima*coupl(nGC_619)*coupl&
                        (nGC_64)*coupl(nGC_645)*coupl(nGC_68) - 5d0*cima*coupl(&
                        nGC_621)**2d0*coupl(nGC_69)**2d0 - 5d0*cima*coupl(     &
                        nGC_633)**2d0*coupl(nGC_94)**2d0 - 10d0*cima*coupl(    &
                        nGC_633)*coupl(nGC_647)*coupl(nGC_92)*coupl(nGC_94) -  &
                        5d0*cima*coupl(nGC_645)**2d0*coupl(nGC_68)**2d0 - 5d0* &
                        cima*coupl(nGC_647)**2d0*coupl(nGC_92)**2d0 + 3d0*cima*&
                        coupl(nGC_99)**2d0 + 3d0*coupl(nGC_27)*coupl(nGC_611)* &
                        coupl(nGC_621) + 3d0*coupl(nGC_27)*coupl(nGC_619)*coupl&
                        (nGC_645) + 3d0*coupl(nGC_27)*coupl(nGC_63)*coupl(     &
                        nGC_69) + 3d0*coupl(nGC_27)*coupl(nGC_64)*coupl(nGC_68 &
                        ) + 3d0*coupl(nGC_29)*coupl(nGC_633)*coupl(nGC_92) +   &
                        3d0*coupl(nGC_29)*coupl(nGC_647)*coupl(nGC_94) + 3d0*  &
                        coupl(nGC_32)*coupl(nGC_621)*coupl(nGC_69) + 3d0*coupl(&
                        nGC_32)*coupl(nGC_645)*coupl(nGC_68) + 3d0*coupl(nGC_33&
                        )*coupl(nGC_633)*coupl(nGC_94) + 3d0*coupl(nGC_34)*    &
                        coupl(nGC_611)*coupl(nGC_63) + 3d0*coupl(nGC_34)*coupl(&
                        nGC_619)*coupl(nGC_64) + 3d0*coupl(nGC_38)*coupl(      &
                        nGC_647)*coupl(nGC_92) - 3d0*coupl(nGC_61)*coupl(      &
                        nGC_611)*coupl(nGC_63) - 3d0*coupl(nGC_61)*coupl(      &
                        nGC_619)*coupl(nGC_64) - 3d0*coupl(nGC_61)*coupl(      &
                        nGC_621)*coupl(nGC_69) - 3d0*coupl(nGC_61)*coupl(      &
                        nGC_645)*coupl(nGC_68) - 3d0*coupl(nGC_633)*coupl(     &
                        nGC_94)*coupl(nGC_99) - 3d0*coupl(nGC_647)*coupl(nGC_92&
                        )*coupl(nGC_99))/(16d0*pi**2d0)
      coupl(nGC_2186) = (40d0*Nc*cima*coupl(nGC_130)*coupl(nGC_133)**3d0 + 40d0&
                        *Nc*cima*coupl(nGC_137)**3d0*coupl(nGC_141) + 40d0*Nc* &
                        cima*coupl(nGC_145)*coupl(nGC_149)**3d0 + 40d0*Nc*cima*&
                        coupl(nGC_169)*coupl(nGC_173)**3d0 + 40d0*Nc*cima*coupl&
                        (nGC_177)*coupl(nGC_180)**3d0 + 40d0*Nc*cima*coupl(    &
                        nGC_192)*coupl(nGC_195)**3d0 + 40d0*cima*coupl(nGC_153 &
                        )*coupl(nGC_157)**3d0 + 40d0*cima*coupl(nGC_161)*coupl(&
                        nGC_165)**3d0 + 40d0*cima*coupl(nGC_184)*coupl(nGC_188 &
                        )**3d0 - 5d0*cima*coupl(nGC_611)**2d0*coupl(nGC_63)*   &
                        coupl(nGC_69) - 5d0*cima*coupl(nGC_611)*coupl(nGC_619)*&
                        coupl(nGC_63)*coupl(nGC_69) - 5d0*cima*coupl(nGC_611)* &
                        coupl(nGC_619)*coupl(nGC_64)*coupl(nGC_68) - 5d0*cima* &
                        coupl(nGC_611)*coupl(nGC_621)*coupl(nGC_63)**2d0 - 5d0*&
                        cima*coupl(nGC_611)*coupl(nGC_621)*coupl(nGC_63)*coupl(&
                        nGC_64) - 5d0*cima*coupl(nGC_611)*coupl(nGC_621)*coupl(&
                        nGC_69)**2d0 - 5d0*cima*coupl(nGC_611)*coupl(nGC_645)* &
                        coupl(nGC_68)**2d0 - 5d0*cima*coupl(nGC_619)**2d0*coupl&
                        (nGC_64)*coupl(nGC_68) - 5d0*cima*coupl(nGC_619)*coupl(&
                        nGC_621)*coupl(nGC_69)**2d0 - 5d0*cima*coupl(nGC_619)* &
                        coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_645) - 5d0*cima* &
                        coupl(nGC_619)*coupl(nGC_64)**2d0*coupl(nGC_645) - 5d0*&
                        cima*coupl(nGC_619)*coupl(nGC_645)*coupl(nGC_68)**2d0  &
                         - 5d0*cima*coupl(nGC_621)**2d0*coupl(nGC_63)*coupl(   &
                        nGC_69) - 5d0*cima*coupl(nGC_621)**2d0*coupl(nGC_64)*  &
                        coupl(nGC_69) - 5d0*cima*coupl(nGC_63)*coupl(nGC_645)**&
                        2d0*coupl(nGC_68) - 5d0*cima*coupl(nGC_633)**2d0*coupl(&
                        nGC_91)*coupl(nGC_94) - 5d0*cima*coupl(nGC_633)**2d0*  &
                        coupl(nGC_92)*coupl(nGC_94) - 5d0*cima*coupl(nGC_633)* &
                        coupl(nGC_639)*coupl(nGC_94)**2d0 - 5d0*cima*coupl(    &
                        nGC_633)*coupl(nGC_647)*coupl(nGC_91)*coupl(nGC_92) -  &
                        5d0*cima*coupl(nGC_633)*coupl(nGC_647)*coupl(nGC_92)** &
                        2d0 - 5d0*cima*coupl(nGC_633)*coupl(nGC_647)*coupl(    &
                        nGC_94)**2d0 - 5d0*cima*coupl(nGC_639)*coupl(nGC_647)* &
                        coupl(nGC_92)*coupl(nGC_94) - 5d0*cima*coupl(nGC_64)*  &
                        coupl(nGC_645)**2d0*coupl(nGC_68) - 5d0*cima*coupl(    &
                        nGC_647)**2d0*coupl(nGC_92)*coupl(nGC_94) + 3d0*coupl( &
                        nGC_22)*coupl(nGC_611)*coupl(nGC_63) + 3d0*coupl(nGC_22&
                        )*coupl(nGC_619)*coupl(nGC_64) + 3d0*coupl(nGC_23)*    &
                        coupl(nGC_621)*coupl(nGC_69) + 3d0*coupl(nGC_23)*coupl(&
                        nGC_645)*coupl(nGC_68) + 3d0*coupl(nGC_25)*coupl(      &
                        nGC_633)*coupl(nGC_94) + 3d0*coupl(nGC_26)*coupl(      &
                        nGC_647)*coupl(nGC_92) + 4d0*coupl(nGC_27)*coupl(      &
                        nGC_611)*coupl(nGC_619) + coupl(nGC_27)*coupl(nGC_621  &
                        )**2d0 + 2d0*coupl(nGC_27)*coupl(nGC_63)*coupl(nGC_64  &
                        ) + coupl(nGC_27)*coupl(nGC_645)**2d0 + 2d0*coupl(     &
                        nGC_27)*coupl(nGC_68)**2d0 + 2d0*coupl(nGC_27)*coupl(  &
                        nGC_69)**2d0 + 3d0*coupl(nGC_29)*coupl(nGC_633)*coupl( &
                        nGC_94) + 2d0*coupl(nGC_29)*coupl(nGC_639)*coupl(nGC_92&
                        ) + coupl(nGC_29)*coupl(nGC_647)*coupl(nGC_91) + 2d0*  &
                        coupl(nGC_32)*coupl(nGC_611)*coupl(nGC_68) + 2d0*coupl(&
                        nGC_32)*coupl(nGC_619)*coupl(nGC_69) + coupl(nGC_32)*  &
                        coupl(nGC_621)*coupl(nGC_64) + coupl(nGC_32)*coupl(    &
                        nGC_63)*coupl(nGC_645) + coupl(nGC_33)*coupl(nGC_633)* &
                        coupl(nGC_91) + 2d0*coupl(nGC_33)*coupl(nGC_639)*coupl(&
                        nGC_94) + 2d0*coupl(nGC_34)*coupl(nGC_611)*coupl(nGC_69&
                        ) + 2d0*coupl(nGC_34)*coupl(nGC_619)*coupl(nGC_68) +   &
                        coupl(nGC_34)*coupl(nGC_621)*coupl(nGC_63) + coupl(    &
                        nGC_34)*coupl(nGC_64)*coupl(nGC_645) + 3d0*coupl(nGC_36&
                        )*coupl(nGC_611)*coupl(nGC_621) + 3d0*coupl(nGC_36)*   &
                        coupl(nGC_619)*coupl(nGC_645) + 3d0*coupl(nGC_36)*coupl&
                        (nGC_63)*coupl(nGC_69) + 3d0*coupl(nGC_36)*coupl(nGC_64&
                        )*coupl(nGC_68) + 3d0*coupl(nGC_37)*coupl(nGC_633)*    &
                        coupl(nGC_92) + 3d0*coupl(nGC_37)*coupl(nGC_647)*coupl(&
                        nGC_94) + 2d0*coupl(nGC_38)*coupl(nGC_633)*coupl(nGC_92&
                        ) + coupl(nGC_38)*coupl(nGC_647)*coupl(nGC_94) - coupl(&
                        nGC_61)*coupl(nGC_611)*coupl(nGC_68) - coupl(nGC_61)*  &
                        coupl(nGC_611)*coupl(nGC_69) - coupl(nGC_61)*coupl(    &
                        nGC_619)*coupl(nGC_68) - coupl(nGC_61)*coupl(nGC_619)* &
                        coupl(nGC_69) - 2d0*coupl(nGC_61)*coupl(nGC_621)*coupl(&
                        nGC_63) - 2d0*coupl(nGC_61)*coupl(nGC_621)*coupl(nGC_64&
                        ) - 2d0*coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_645) -   &
                        2d0*coupl(nGC_61)*coupl(nGC_64)*coupl(nGC_645) - 2d0*  &
                        coupl(nGC_633)*coupl(nGC_91)*coupl(nGC_99) - coupl(    &
                        nGC_633)*coupl(nGC_92)*coupl(nGC_99) - coupl(nGC_639)* &
                        coupl(nGC_94)*coupl(nGC_99) - 2d0*coupl(nGC_647)*coupl(&
                        nGC_94)*coupl(nGC_99))/(32d0*pi**2d0)
      coupl(nGC_2189) = (120d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_133)**2d0 &
                         + 120d0*Nc*cima*coupl(nGC_137)**2d0*coupl(nGC_141)**  &
                        2d0 + 120d0*Nc*cima*coupl(nGC_145)**2d0*coupl(nGC_149  &
                        )**2d0 + 120d0*Nc*cima*coupl(nGC_169)**2d0*coupl(      &
                        nGC_173)**2d0 + 120d0*Nc*cima*coupl(nGC_177)**2d0*coupl&
                        (nGC_180)**2d0 + 120d0*Nc*cima*coupl(nGC_192)**2d0*    &
                        coupl(nGC_195)**2d0 + 120d0*cima*coupl(nGC_153)**2d0*  &
                        coupl(nGC_157)**2d0 + 120d0*cima*coupl(nGC_161)**2d0*  &
                        coupl(nGC_165)**2d0 + 120d0*cima*coupl(nGC_184)**2d0*  &
                        coupl(nGC_188)**2d0 + 12d0*cima*coupl(nGC_61)**2d0 -   &
                        5d0*cima*coupl(nGC_611)**2d0*coupl(nGC_68)**2d0 - 5d0* &
                        cima*coupl(nGC_611)**2d0*coupl(nGC_69)**2d0 - 20d0*cima&
                        *coupl(nGC_611)*coupl(nGC_619)*coupl(nGC_63)*coupl(    &
                        nGC_64) - 10d0*cima*coupl(nGC_611)*coupl(nGC_619)*coupl&
                        (nGC_68)**2d0 - 10d0*cima*coupl(nGC_611)*coupl(nGC_619 &
                        )*coupl(nGC_69)**2d0 - 20d0*cima*coupl(nGC_611)*coupl( &
                        nGC_621)*coupl(nGC_63)*coupl(nGC_69) - 10d0*cima*coupl(&
                        nGC_611)*coupl(nGC_621)*coupl(nGC_64)*coupl(nGC_69) -  &
                        20d0*cima*coupl(nGC_611)*coupl(nGC_63)*coupl(nGC_645)* &
                        coupl(nGC_68) - 10d0*cima*coupl(nGC_611)*coupl(nGC_64)*&
                        coupl(nGC_645)*coupl(nGC_68) - 5d0*cima*coupl(nGC_619  &
                        )**2d0*coupl(nGC_68)**2d0 - 5d0*cima*coupl(nGC_619)**  &
                        2d0*coupl(nGC_69)**2d0 - 10d0*cima*coupl(nGC_619)*coupl&
                        (nGC_621)*coupl(nGC_63)*coupl(nGC_69) - 20d0*cima*coupl&
                        (nGC_619)*coupl(nGC_621)*coupl(nGC_64)*coupl(nGC_69) - &
                        10d0*cima*coupl(nGC_619)*coupl(nGC_63)*coupl(nGC_645)* &
                        coupl(nGC_68) - 20d0*cima*coupl(nGC_619)*coupl(nGC_64)*&
                        coupl(nGC_645)*coupl(nGC_68) - 5d0*cima*coupl(nGC_621  &
                        )**2d0*coupl(nGC_63)**2d0 - 10d0*cima*coupl(nGC_621)** &
                        2d0*coupl(nGC_63)*coupl(nGC_64) - 5d0*cima*coupl(      &
                        nGC_621)**2d0*coupl(nGC_64)**2d0 - 10d0*cima*coupl(    &
                        nGC_621)**2d0*coupl(nGC_69)**2d0 - 5d0*cima*coupl(     &
                        nGC_63)**2d0*coupl(nGC_645)**2d0 - 10d0*cima*coupl(    &
                        nGC_63)*coupl(nGC_64)*coupl(nGC_645)**2d0 - 5d0*cima*  &
                        coupl(nGC_633)**2d0*coupl(nGC_91)**2d0 - 10d0*cima*    &
                        coupl(nGC_633)**2d0*coupl(nGC_91)*coupl(nGC_92) - 5d0* &
                        cima*coupl(nGC_633)**2d0*coupl(nGC_92)**2d0 - 10d0*cima&
                        *coupl(nGC_633)**2d0*coupl(nGC_94)**2d0 - 20d0*cima*   &
                        coupl(nGC_633)*coupl(nGC_639)*coupl(nGC_91)*coupl(     &
                        nGC_94) - 10d0*cima*coupl(nGC_633)*coupl(nGC_639)*coupl&
                        (nGC_92)*coupl(nGC_94) - 10d0*cima*coupl(nGC_633)*coupl&
                        (nGC_647)*coupl(nGC_91)*coupl(nGC_94) - 20d0*cima*coupl&
                        (nGC_633)*coupl(nGC_647)*coupl(nGC_92)*coupl(nGC_94) - &
                        5d0*cima*coupl(nGC_639)**2d0*coupl(nGC_94)**2d0 - 10d0*&
                        cima*coupl(nGC_639)*coupl(nGC_647)*coupl(nGC_91)*coupl(&
                        nGC_92) - 10d0*cima*coupl(nGC_639)*coupl(nGC_647)*coupl&
                        (nGC_94)**2d0 - 5d0*cima*coupl(nGC_64)**2d0*coupl(     &
                        nGC_645)**2d0 - 10d0*cima*coupl(nGC_645)**2d0*coupl(   &
                        nGC_68)**2d0 - 5d0*cima*coupl(nGC_647)**2d0*coupl(     &
                        nGC_94)**2d0 + 6d0*cima*coupl(nGC_99)**2d0 + 6d0*coupl(&
                        nGC_22)*coupl(nGC_611)*coupl(nGC_69) + 6d0*coupl(nGC_22&
                        )*coupl(nGC_619)*coupl(nGC_68) + 6d0*coupl(nGC_22)*    &
                        coupl(nGC_621)*coupl(nGC_63) + 6d0*coupl(nGC_22)*coupl(&
                        nGC_64)*coupl(nGC_645) + 6d0*coupl(nGC_23)*coupl(      &
                        nGC_611)*coupl(nGC_68) + 6d0*coupl(nGC_23)*coupl(      &
                        nGC_619)*coupl(nGC_69) + 6d0*coupl(nGC_23)*coupl(      &
                        nGC_621)*coupl(nGC_64) + 6d0*coupl(nGC_23)*coupl(nGC_63&
                        )*coupl(nGC_645) + 3d0*coupl(nGC_24)*coupl(nGC_611)*   &
                        coupl(nGC_621) + 3d0*coupl(nGC_24)*coupl(nGC_619)*coupl&
                        (nGC_645) + 3d0*coupl(nGC_24)*coupl(nGC_63)*coupl(     &
                        nGC_69) + 3d0*coupl(nGC_24)*coupl(nGC_64)*coupl(nGC_68 &
                        ) + 6d0*coupl(nGC_25)*coupl(nGC_633)*coupl(nGC_91) +   &
                        6d0*coupl(nGC_25)*coupl(nGC_639)*coupl(nGC_94) + 6d0*  &
                        coupl(nGC_26)*coupl(nGC_633)*coupl(nGC_92) + 6d0*coupl(&
                        nGC_26)*coupl(nGC_647)*coupl(nGC_94) + 3d0*coupl(nGC_27&
                        )*coupl(nGC_611)*coupl(nGC_645) + 3d0*coupl(nGC_27)*   &
                        coupl(nGC_619)*coupl(nGC_621) + 3d0*coupl(nGC_27)*coupl&
                        (nGC_63)*coupl(nGC_68) + 3d0*coupl(nGC_27)*coupl(nGC_64&
                        )*coupl(nGC_69) + 3d0*coupl(nGC_28)*coupl(nGC_633)*    &
                        coupl(nGC_92) + 3d0*coupl(nGC_28)*coupl(nGC_647)*coupl(&
                        nGC_94) + 3d0*coupl(nGC_29)*coupl(nGC_633)*coupl(nGC_91&
                        ) + 3d0*coupl(nGC_29)*coupl(nGC_639)*coupl(nGC_94) +   &
                        3d0*coupl(nGC_30)*coupl(nGC_611)*coupl(nGC_63) + 3d0*  &
                        coupl(nGC_30)*coupl(nGC_619)*coupl(nGC_64) + 3d0*coupl(&
                        nGC_31)*coupl(nGC_647)*coupl(nGC_92) + 3d0*coupl(nGC_32&
                        )*coupl(nGC_611)*coupl(nGC_63) + 3d0*coupl(nGC_32)*    &
                        coupl(nGC_619)*coupl(nGC_64) + 3d0*coupl(nGC_33)*coupl(&
                        nGC_639)*coupl(nGC_91) + 3d0*coupl(nGC_34)*coupl(      &
                        nGC_621)*coupl(nGC_69) + 3d0*coupl(nGC_34)*coupl(      &
                        nGC_645)*coupl(nGC_68) + 3d0*coupl(nGC_35)*coupl(      &
                        nGC_621)*coupl(nGC_69) + 3d0*coupl(nGC_35)*coupl(      &
                        nGC_645)*coupl(nGC_68) + 12d0*coupl(nGC_36)*coupl(     &
                        nGC_611)*coupl(nGC_619) + 6d0*coupl(nGC_36)*coupl(     &
                        nGC_621)**2d0 + 12d0*coupl(nGC_36)*coupl(nGC_63)*coupl(&
                        nGC_64) + 6d0*coupl(nGC_36)*coupl(nGC_645)**2d0 + 6d0* &
                        coupl(nGC_36)*coupl(nGC_68)**2d0 + 6d0*coupl(nGC_36)*  &
                        coupl(nGC_69)**2d0 + 12d0*coupl(nGC_37)*coupl(nGC_633)*&
                        coupl(nGC_94) + 6d0*coupl(nGC_37)*coupl(nGC_639)*coupl(&
                        nGC_92) + 6d0*coupl(nGC_37)*coupl(nGC_647)*coupl(nGC_91&
                        ) + 3d0*coupl(nGC_38)*coupl(nGC_633)*coupl(nGC_94) +   &
                        3d0*coupl(nGC_39)*coupl(nGC_633)*coupl(nGC_94) - 6d0*  &
                        coupl(nGC_61)*coupl(nGC_611)*coupl(nGC_63) - 6d0*coupl(&
                        nGC_61)*coupl(nGC_619)*coupl(nGC_64) - 6d0*coupl(nGC_61&
                        )*coupl(nGC_621)*coupl(nGC_69) - 6d0*coupl(nGC_61)*    &
                        coupl(nGC_645)*coupl(nGC_68) - 6d0*coupl(nGC_633)*coupl&
                        (nGC_94)*coupl(nGC_99) - 3d0*coupl(nGC_639)*coupl(     &
                        nGC_91)*coupl(nGC_99) - 3d0*coupl(nGC_647)*coupl(nGC_92&
                        )*coupl(nGC_99))/(96d0*pi**2d0)
      coupl(nGC_2635) = coupl(nGC_120)*dZG0/2d0
      coupl(nGC_2632) = coupl(nGC_20)*dZZA_QED2/2d0 + coupl(nGC_2308) + coupl( &
                        nGC_74)*dZA_QED2/2d0 + coupl(nGC_74)*dZWMinus_QED2/2d0
      coupl(nGC_2631) = coupl(nGC_74)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3100) = 2d0*coupl(nGC_54)*dZGMinus
      coupl(nGC_3108) = coupl(nGC_175)*dZG0/2d0
      coupl(nGC_2639) = coupl(nGC_88)*dZcL_QCD2
      coupl(nGC_2988) = coupl(nGC_100)*dZGMinus
      coupl(nGC_2459) = coupl(nGC_1144)*da_QED2 + coupl(nGC_1145)*dyt1_QED3 +  &
                        coupl(nGC_1146)*dyt2_QED3
      coupl(nGC_2458) = coupl(nGC_1433)*dyc1_QED1_QCD2 + coupl(nGC_1434)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_2453) = coupl(nGC_1330)*da_QED2 + coupl(nGC_1331)*dyt1_QED3 +  &
                        coupl(nGC_1332)*dyt2_QED3
      coupl(nGC_2452) = coupl(nGC_1337)*dyc1_QED1_QCD2 + coupl(nGC_1338)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_2451) = coupl(nGC_1337)*dyc1_QED3 + coupl(nGC_1338)*dyc2_QED3  &
                         + coupl(nGC_1339)*da_QED2
      coupl(nGC_2450) = coupl(nGC_864)*dyup1_QED1_QCD2 + coupl(nGC_866)*       &
                        dyup2_QED1_QCD2
      coupl(nGC_2457) = coupl(nGC_1433)*dyc1_QED3 + coupl(nGC_1434)*dyc2_QED3  &
                         + coupl(nGC_1435)*da_QED2
      coupl(nGC_2456) = coupl(nGC_1265)*dyup1_QED1_QCD2 + coupl(nGC_1267)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_2455) = coupl(nGC_1265)*dyup1_QED3 + coupl(nGC_1266)*da_QED2 + &
                        coupl(nGC_1267)*dyup2_QED3
      coupl(nGC_2454) = coupl(nGC_1331)*dyt1_QED1_QCD2 + coupl(nGC_1332)*      &
                        dyt2_QED1_QCD2
      coupl(nGC_TS_GC_35_Hl) = -coupl(nGC_35)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3217) = coupl(nGC_I)*dZHl_QED2
      coupl(nGC_3214) = coupl(nGC_MI)*(dZAZ_QED2 + dZZA_QED2)/2d0
      coupl(nGC_3215) = -coupl(nGC_MI)*(dZAZ_QED2 + dZZA_QED2)/2d0
      coupl(nGC_3212) = coupl(nGC_2314) + coupl(nGC_72)*dZHMinus_QED2/2d0 +    &
                        coupl(nGC_72)*dZHa_QED2/2d0 + coupl(nGC_72)*           &
                        dZWMinus_QED2/2d0
      coupl(nGC_3213) = coupl(nGC_MZ)*dZZA_QED2/2d0
      coupl(nGC_3211) = coupl(nGC_2)*dZtR_QCD2
      coupl(nGC_3219) = coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_2637) = coupl(nGC_127)*dZGMinus/2d0
      coupl(nGC_3079) = -coupl(nGC_2317) + coupl(nGC_63)*dZHMinusGMinus_QED2/  &
                        2d0 - coupl(nGC_63)*dZHlHh_QED2/2d0 - coupl(nGC_68)*   &
                        dZHh_QED2/2d0 - coupl(nGC_68)*dZWMinus_QED2/2d0
      coupl(nGC_3076) = coupl(nGC_62)*dZG0
      coupl(nGC_3074) = -coupl(nGC_2326) - coupl(nGC_91)*dZHl_QED2/2d0 - coupl(&
                        nGC_91)*dZZ_QED2/2d0 - coupl(nGC_94)*dZHaG0_QED2/2d0 - &
                        coupl(nGC_94)*dZHhHl_QED2/2d0
      coupl(nGC_3075) = -coupl(nGC_91)*dZG0/2d0
      coupl(nGC_3072) = coupl(nGC_MI)*dZbL_QCD2
      coupl(nGC_3073) = coupl(nGC_2325) + coupl(nGC_91)*dZG0Ha_QED2/2d0 + coupl&
                        (nGC_92)*dZHhHl_QED2/2d0 + coupl(nGC_94)*dZHa_QED2/2d0 &
                         + coupl(nGC_94)*dZHl_QED2/2d0 + coupl(nGC_94)*dZZ_QED2&
                        /2d0
      coupl(nGC_3070) = coupl(nGC_2601) + coupl(nGC_MB)*dZbL_QCD2/2d0 + coupl( &
                        nGC_MB)*dZbR_QCD2/2d0
      coupl(nGC_3071) = coupl(nGC_MI)*dZbL_QED2
      coupl(nGC_2857) = coupl(nGC_171)*dZsL_QCD2/2d0 + coupl(nGC_171)*dZsR_QCD2&
                        /2d0 + coupl(nGC_2408)
      coupl(nGC_2856) = coupl(nGC_171)*dZHa_QED2/2d0 + coupl(nGC_171)*dZsL_QED2&
                        /2d0 + coupl(nGC_171)*dZsR_QED2/2d0 + coupl(nGC_175)*  &
                        dZG0Ha_QED2/2d0 + coupl(nGC_2407)
      coupl(nGC_2854) = coupl(nGC_177)*dZHl_QED2/2d0 + coupl(nGC_177)*dZtL_QED2&
                        /2d0 + coupl(nGC_177)*dZtR_QED2/2d0 + coupl(nGC_180)*  &
                        dZHhHl_QED2/2d0 + coupl(nGC_2459)
      coupl(nGC_2853) = coupl(nGC_135)*dZG0/2d0
      coupl(nGC_2850) = coupl(nGC_136)*dZG0/2d0
      coupl(nGC_2859) = coupl(nGC_172)*dZsL_QCD2/2d0 + coupl(nGC_172)*dZsR_QCD2&
                        /2d0 + coupl(nGC_2406)
      coupl(nGC_2858) = coupl(nGC_172)*dZHa_QED2/2d0 + coupl(nGC_172)*dZsL_QED2&
                        /2d0 + coupl(nGC_172)*dZsR_QED2/2d0 + coupl(nGC_176)*  &
                        dZG0Ha_QED2/2d0 + coupl(nGC_2405)
      coupl(nGC_TS_GC_177_Hl) = -coupl(nGC_177)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2439) = coupl(nGC_1058)*db_QED2 + coupl(nGC_1059)*dyup1_QED3 + &
                        coupl(nGC_1060)*dyup2_QED3
      coupl(nGC_2438) = coupl(nGC_1135)*dyup1_QED1_QCD2 + coupl(nGC_1136)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_1679) = cima*(4d0*Nc*coupl(nGC_130)**2d0 + 4d0*Nc*coupl(nGC_141&
                        )**2d0 + 4d0*Nc*coupl(nGC_145)**2d0 + 4d0*Nc*coupl(    &
                        nGC_169)**2d0 + 4d0*Nc*coupl(nGC_177)**2d0 + 4d0*Nc*   &
                        coupl(nGC_192)**2d0 + 4d0*coupl(nGC_153)**2d0 + 4d0*   &
                        coupl(nGC_161)**2d0 + 4d0*coupl(nGC_184)**2d0 + coupl( &
                        nGC_611)*coupl(nGC_63) + coupl(nGC_619)*coupl(nGC_64   &
                        ) + coupl(nGC_621)*coupl(nGC_69) + coupl(nGC_633)*coupl&
                        (nGC_94) + coupl(nGC_639)*coupl(nGC_91) + coupl(nGC_645&
                        )*coupl(nGC_68))/(96d0*pi**2d0)
      coupl(nGC_TS_GC_24_Hl) = -coupl(nGC_24)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1751) = (coupl(nGC_1)*coupl(nGC_178)**2d0 + coupl(nGC_1)*coupl(&
                        nGC_181)**2d0 + coupl(nGC_177)**2d0*coupl(nGC_2) +     &
                        coupl(nGC_179)*coupl(nGC_2)*coupl(nGC_629) + coupl(    &
                        nGC_180)**2d0*coupl(nGC_2) + coupl(nGC_182)*coupl(     &
                        nGC_183)*coupl(nGC_2) + 4d0*coupl(nGC_2)**3d0 + 4d0*   &
                        coupl(nGC_2)*coupl(nGC_85)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1750) = (coupl(nGC_1)*coupl(nGC_138)**2d0 + coupl(nGC_1)*coupl(&
                        nGC_142)**2d0 + 4d0*coupl(nGC_1)*coupl(nGC_80)**2d0 +  &
                        coupl(nGC_177)**2d0*coupl(nGC_2) + coupl(nGC_179)*coupl&
                        (nGC_2)*coupl(nGC_629) + coupl(nGC_180)**2d0*coupl(    &
                        nGC_2) + coupl(nGC_182)*coupl(nGC_183)*coupl(nGC_2) +  &
                        4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_88  &
                        )**2d0 + 4d0*coupl(nGC_3)*coupl(nGC_80)**2d0)/(32d0*pi &
                        **2d0)
      coupl(nGC_1753) = (coupl(nGC_184)**2d0*coupl(nGC_4) + coupl(nGC_186)*    &
                        coupl(nGC_187)*coupl(nGC_4) + coupl(nGC_188)**2d0*coupl&
                        (nGC_4) + coupl(nGC_190)*coupl(nGC_191)*coupl(nGC_4) - &
                        4d0*coupl(nGC_3)*coupl(nGC_80)**2d0 + 4d0*coupl(nGC_4  &
                        )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_89)**2d0)/(32d0*pi &
                        **2d0)
      coupl(nGC_1752) = coupl(nGC_4)*(coupl(nGC_184)**2d0 + coupl(nGC_186)*    &
                        coupl(nGC_187) + coupl(nGC_188)**2d0 + coupl(nGC_190)* &
                        coupl(nGC_191) + 4d0*coupl(nGC_4)**2d0 + 4d0*coupl(    &
                        nGC_86)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3209) = coupl(nGC_2)*dZtL_QCD2
      coupl(nGC_1928) = coupl(nGC_7)**2d0*sq2**2d0*(cMB*coupl(nGC_137) + cMC*  &
                        coupl(nGC_133) + cMD*coupl(nGC_149) + cMS*coupl(nGC_173&
                        ) + cMT*coupl(nGC_180) + cMU*coupl(nGC_195))/(16d0*pi**&
                        2d0*Nc)
      coupl(nGC_1929) = (-coupl(nGC_161)**2d0*coupl(nGC_165) + coupl(nGC_162)* &
                        coupl(nGC_63)*coupl(nGC_80) - coupl(nGC_163)**2d0*coupl&
                        (nGC_165) + coupl(nGC_163)*coupl(nGC_647)*coupl(nGC_89 &
                        ) + coupl(nGC_163)*coupl(nGC_86)*coupl(nGC_92) - coupl(&
                        nGC_165)**3d0 - coupl(nGC_165)*coupl(nGC_167)**2d0 +   &
                        8d0*coupl(nGC_165)*coupl(nGC_4)**2d0 + 8d0*coupl(      &
                        nGC_165)*coupl(nGC_86)*coupl(nGC_89) + coupl(nGC_166)* &
                        coupl(nGC_621)*coupl(nGC_80) + coupl(nGC_167)*coupl(   &
                        nGC_633)*coupl(nGC_89) + coupl(nGC_167)*coupl(nGC_86)* &
                        coupl(nGC_94))/(32d0*pi**2d0)
      coupl(nGC_1926) = (-coupl(nGC_153)**2d0*coupl(nGC_157) + coupl(nGC_154)* &
                        coupl(nGC_611)*coupl(nGC_80) - coupl(nGC_156)**2d0*    &
                        coupl(nGC_157) + coupl(nGC_156)*coupl(nGC_647)*coupl(  &
                        nGC_86) + coupl(nGC_156)*coupl(nGC_89)*coupl(nGC_92) - &
                        coupl(nGC_157)**3d0 - coupl(nGC_157)*coupl(nGC_160)**  &
                        2d0 + 8d0*coupl(nGC_157)*coupl(nGC_4)**2d0 + 8d0*coupl(&
                        nGC_157)*coupl(nGC_86)*coupl(nGC_89) + coupl(nGC_158)* &
                        coupl(nGC_69)*coupl(nGC_80) + coupl(nGC_160)*coupl(    &
                        nGC_633)*coupl(nGC_86) + coupl(nGC_160)*coupl(nGC_89)* &
                        coupl(nGC_94))/(32d0*pi**2d0)
      coupl(nGC_1927) = coupl(nGC_7)**2d0*sq2**2d0*(-cMB*coupl(nGC_137) - cMC* &
                        coupl(nGC_133) - cMD*coupl(nGC_149) - cMS*coupl(nGC_173&
                        ) - cMT*coupl(nGC_180) - cMU*coupl(nGC_195))/(16d0*pi**&
                        2d0)
      coupl(nGC_1924) = coupl(nGC_149)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1925) = (-coupl(nGC_153)**2d0*coupl(nGC_157) + coupl(nGC_154)* &
                        coupl(nGC_63)*coupl(nGC_80) - coupl(nGC_155)**2d0*coupl&
                        (nGC_157) + coupl(nGC_155)*coupl(nGC_647)*coupl(nGC_89 &
                        ) + coupl(nGC_155)*coupl(nGC_86)*coupl(nGC_92) - coupl(&
                        nGC_157)**3d0 - coupl(nGC_157)*coupl(nGC_159)**2d0 +   &
                        8d0*coupl(nGC_157)*coupl(nGC_4)**2d0 + 8d0*coupl(      &
                        nGC_157)*coupl(nGC_86)*coupl(nGC_89) + coupl(nGC_158)* &
                        coupl(nGC_621)*coupl(nGC_80) + coupl(nGC_159)*coupl(   &
                        nGC_633)*coupl(nGC_89) + coupl(nGC_159)*coupl(nGC_86)* &
                        coupl(nGC_94))/(32d0*pi**2d0)
      coupl(nGC_1915) = (-8d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_84)**2d0 + 8d0*Nc&
                        *cMB*coupl(nGC_137)*coupl(nGC_84)*coupl(nGC_87) - 8d0* &
                        Nc*cMB*coupl(nGC_137)*coupl(nGC_87)**2d0 - 8d0*Nc*cMC* &
                        coupl(nGC_133)*coupl(nGC_85)**2d0 + 8d0*Nc*cMC*coupl(  &
                        nGC_133)*coupl(nGC_85)*coupl(nGC_88) - 8d0*Nc*cMC*coupl&
                        (nGC_133)*coupl(nGC_88)**2d0 - 8d0*Nc*cMD*coupl(nGC_149&
                        )*coupl(nGC_84)**2d0 + 8d0*Nc*cMD*coupl(nGC_149)*coupl(&
                        nGC_84)*coupl(nGC_87) - 8d0*Nc*cMD*coupl(nGC_149)*coupl&
                        (nGC_87)**2d0 - 8d0*Nc*cMS*coupl(nGC_173)*coupl(nGC_84 &
                        )**2d0 + 8d0*Nc*cMS*coupl(nGC_173)*coupl(nGC_84)*coupl(&
                        nGC_87) - 8d0*Nc*cMS*coupl(nGC_173)*coupl(nGC_87)**2d0 &
                         - 8d0*Nc*cMT*coupl(nGC_180)*coupl(nGC_85)**2d0 + 8d0* &
                        Nc*cMT*coupl(nGC_180)*coupl(nGC_85)*coupl(nGC_88) - 8d0&
                        *Nc*cMT*coupl(nGC_180)*coupl(nGC_88)**2d0 - 8d0*Nc*cMU*&
                        coupl(nGC_195)*coupl(nGC_85)**2d0 + 8d0*Nc*cMU*coupl(  &
                        nGC_195)*coupl(nGC_85)*coupl(nGC_88) - 8d0*Nc*cMU*coupl&
                        (nGC_195)*coupl(nGC_88)**2d0 - 8d0*cME*coupl(nGC_157)* &
                        coupl(nGC_86)**2d0 + 8d0*cME*coupl(nGC_157)*coupl(     &
                        nGC_86)*coupl(nGC_89) - 8d0*cME*coupl(nGC_157)*coupl(  &
                        nGC_89)**2d0 - 8d0*cMM*coupl(nGC_165)*coupl(nGC_86)**  &
                        2d0 + 8d0*cMM*coupl(nGC_165)*coupl(nGC_86)*coupl(nGC_89&
                        ) - 8d0*cMM*coupl(nGC_165)*coupl(nGC_89)**2d0 - 8d0*   &
                        cMTA*coupl(nGC_188)*coupl(nGC_86)**2d0 + 8d0*cMTA*coupl&
                        (nGC_188)*coupl(nGC_86)*coupl(nGC_89) - 8d0*cMTA*coupl(&
                        nGC_188)*coupl(nGC_89)**2d0 + 4d0*cima*coupl(nGC_125)* &
                        coupl(nGC_635) - coupl(nGC_102)*coupl(nGC_611)*coupl(  &
                        nGC_82) - coupl(nGC_102)*coupl(nGC_619)*coupl(nGC_625  &
                        ) - coupl(nGC_102)*coupl(nGC_625)*coupl(nGC_64) - coupl&
                        (nGC_102)*coupl(nGC_63)*coupl(nGC_82) - coupl(nGC_107)*&
                        coupl(nGC_621)*coupl(nGC_82) - coupl(nGC_107)*coupl(   &
                        nGC_625)*coupl(nGC_645) - coupl(nGC_107)*coupl(nGC_625 &
                        )*coupl(nGC_68) - coupl(nGC_107)*coupl(nGC_69)*coupl(  &
                        nGC_82) + 6d0*coupl(nGC_125)*coupl(nGC_625)**2d0 + 6d0*&
                        coupl(nGC_125)*coupl(nGC_82)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1923) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_149) - coupl(nGC_145  &
                        )**2d0*coupl(nGC_149) - coupl(nGC_146)*coupl(nGC_193)* &
                        coupl(nGC_195) - coupl(nGC_146)*coupl(nGC_619)*coupl(  &
                        nGC_80) - coupl(nGC_147)**2d0*coupl(nGC_149) - coupl(  &
                        nGC_147)*coupl(nGC_647)*coupl(nGC_84) - coupl(nGC_147)*&
                        coupl(nGC_87)*coupl(nGC_92) - coupl(nGC_149)**3d0 -    &
                        coupl(nGC_149)*coupl(nGC_151)**2d0 + 8d0*coupl(nGC_149 &
                        )*coupl(nGC_84)*coupl(nGC_87) - coupl(nGC_150)*coupl(  &
                        nGC_195)*coupl(nGC_196) - coupl(nGC_150)*coupl(nGC_68)*&
                        coupl(nGC_80) - coupl(nGC_151)*coupl(nGC_633)*coupl(   &
                        nGC_84) - coupl(nGC_151)*coupl(nGC_87)*coupl(nGC_94))/(&
                        32d0*pi**2d0)
      coupl(nGC_1920) = (-coupl(nGC_130)**2d0*coupl(nGC_133) - coupl(nGC_131)* &
                        coupl(nGC_170)*coupl(nGC_173) - coupl(nGC_131)*coupl(  &
                        nGC_611)*coupl(nGC_80) - coupl(nGC_132)**2d0*coupl(    &
                        nGC_133) - coupl(nGC_132)*coupl(nGC_647)*coupl(nGC_85  &
                        ) - coupl(nGC_132)*coupl(nGC_88)*coupl(nGC_92) - coupl(&
                        nGC_133)**3d0 - coupl(nGC_133)*coupl(nGC_136)**2d0 +   &
                        8d0*coupl(nGC_133)*coupl(nGC_2)**2d0 + 8d0*coupl(      &
                        nGC_133)*coupl(nGC_85)*coupl(nGC_88) - coupl(nGC_134)* &
                        coupl(nGC_173)*coupl(nGC_174) - coupl(nGC_134)*coupl(  &
                        nGC_69)*coupl(nGC_80) - coupl(nGC_136)*coupl(nGC_633)* &
                        coupl(nGC_85) - coupl(nGC_136)*coupl(nGC_88)*coupl(    &
                        nGC_94))/(32d0*pi**2d0)
      coupl(nGC_1921) = coupl(nGC_133)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2251) = coupl(nGC_1324)*db_QED2 + coupl(nGC_1325)*dl3_QED4 +   &
                        coupl(nGC_1326)*dl2_QED4 + coupl(nGC_1327)*dl1_QED4 +  &
                        coupl(nGC_1328)*dl4_QED4 + coupl(nGC_1329)*dl5_QED4
      coupl(nGC_2250) = coupl(nGC_1048)*dl3_QED4 + coupl(nGC_1049)*dl2_QED4 +  &
                        coupl(nGC_1050)*dl1_QED4 + coupl(nGC_1051)*dl4_QED4 +  &
                        coupl(nGC_1052)*dl5_QED4 + coupl(nGC_1053)*da_QED2
      coupl(nGC_2253) = coupl(nGC_1340)*db_QED2 + coupl(nGC_1341)*dl3_QED4 +   &
                        coupl(nGC_1342)*dl2_QED4 + coupl(nGC_1343)*dl1_QED4 +  &
                        coupl(nGC_1344)*dl4_QED4 + coupl(nGC_1345)*dl5_QED4
      coupl(nGC_2252) = coupl(nGC_1168)*db_QED2 + coupl(nGC_1169)*dl3_QED4 +   &
                        coupl(nGC_1170)*dl2_QED4 + coupl(nGC_1171)*dl1_QED4 +  &
                        coupl(nGC_1172)*dl4_QED4 + coupl(nGC_1173)*dl5_QED4 +  &
                        coupl(nGC_1174)*da_QED2
      coupl(nGC_2255) = coupl(nGC_1379)*db_QED2 + coupl(nGC_1380)*dl3_QED4 +   &
                        coupl(nGC_1381)*dl2_QED4 + coupl(nGC_1382)*dl1_QED4 +  &
                        coupl(nGC_1383)*dl4_QED4 + coupl(nGC_1384)*dl5_QED4
      coupl(nGC_2257) = coupl(nGC_1254)*db_QED2 + coupl(nGC_1255)*dl3_QED4 +   &
                        coupl(nGC_1256)*dl2_QED4 + coupl(nGC_1257)*dl1_QED4 +  &
                        coupl(nGC_1258)*dl4_QED4 + coupl(nGC_1259)*dl5_QED4 +  &
                        coupl(nGC_1260)*da_QED2
      coupl(nGC_2368) = coupl(nGC_1017)*dyup1_QED1_QCD2 + coupl(nGC_1018)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_2310) = coupl(nGC_1439)*dZee_QED2 + coupl(nGC_1440)*da_QED2 +  &
                        coupl(nGC_1441)*dsw_QED2 + coupl(nGC_1442)*db_QED2
      coupl(nGC_2258) = coupl(nGC_1217)*db_QED2 + coupl(nGC_1218)*dl3_QED4 +   &
                        coupl(nGC_1219)*dl2_QED4 + coupl(nGC_1220)*dl1_QED4 +  &
                        coupl(nGC_1221)*dl4_QED4 + coupl(nGC_1222)*dl5_QED4 +  &
                        coupl(nGC_1223)*da_QED2
      coupl(nGC_2705) = coupl(nGC_2594) + coupl(nGC_MT)*dZtL_QED2/2d0 + coupl( &
                        nGC_MT)*dZtR_QED2/2d0 + coupl(nGC_TS_GC_177_Hl) + coupl&
                        (nGC_TS_GC_180_Hh)
      coupl(nGC_2704) = coupl(nGC_MI)*dZtR_QCD2
      coupl(nGC_2703) = coupl(nGC_MI)*dZtR_QED2
      coupl(nGC_2701) = coupl(nGC_41)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_2700) = coupl(nGC_7)*dZcR_QED2
      coupl(nGC_3229) = coupl(nGC_163)*dZHaG0_QED2/2d0 + coupl(nGC_167)*       &
                        dZmuMinusL_QED2/2d0 + coupl(nGC_167)*dZmuMinusR_QED2/  &
                        2d0 + coupl(nGC_2422)
      coupl(nGC_TS_GC_29_Hh) = -coupl(nGC_29)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_188_Hh) = -coupl(nGC_188)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2383) = coupl(nGC_1105)*db_QED2 + coupl(nGC_1106)*dyd12x2_QED3 &
                         + coupl(nGC_1107)*dys2_QED3
      coupl(nGC_2382) = coupl(nGC_1115)*dyd12x2_QED1_QCD2 + coupl(nGC_1116)*   &
                        dys2_QED1_QCD2
      coupl(nGC_2387) = coupl(nGC_1361)*db_QED2 + coupl(nGC_1362)*dyd13x3_QED3 &
                         + coupl(nGC_1363)*dyb2_QED3
      coupl(nGC_TS_GC_10_Hh) = -coupl(nGC_10)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2384) = coupl(nGC_1106)*dyd12x2_QED1_QCD2 + coupl(nGC_1107)*   &
                        dys2_QED1_QCD2
      coupl(nGC_3250) = coupl(nGC_2315) - coupl(nGC_63)*dZGMinusHMinus_QED2/2d0&
                         + coupl(nGC_63)*dZHhHl_QED2/2d0 + coupl(nGC_69)*      &
                        dZHMinus_QED2/2d0 + coupl(nGC_69)*dZHl_QED2/2d0 + coupl&
                        (nGC_69)*dZWMinus_QED2/2d0
      coupl(nGC_2388) = coupl(nGC_1362)*dyd13x3_QED1_QCD2 + coupl(nGC_1363)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_3255) = -coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_3032) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_2349) + coupl(  &
                        nGC_84)*dZZ_QED2/2d0 + coupl(nGC_84)*dZdR_QED2
      coupl(nGC_1986) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_84) + coupl(nGC_145)**&
                        2d0*coupl(nGC_87) + coupl(nGC_146)**2d0*coupl(nGC_88   &
                        ) + coupl(nGC_147)*coupl(nGC_148)*coupl(nGC_87) + coupl&
                        (nGC_149)**2d0*coupl(nGC_87) + coupl(nGC_150)**2d0*    &
                        coupl(nGC_88) + coupl(nGC_151)*coupl(nGC_152)*coupl(   &
                        nGC_87) + 4d0*coupl(nGC_84)**3d0)/(32d0*pi**2d0)
      coupl(nGC_3034) = coupl(nGC_162)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_166 &
                        )*dZmuMinusR_QED2/2d0 + coupl(nGC_166)*dZnu_muL_QED2/  &
                        2d0 + coupl(nGC_2414)
      coupl(nGC_1922) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_149) - coupl(nGC_145  &
                        )**2d0*coupl(nGC_149) - coupl(nGC_146)*coupl(nGC_193)* &
                        coupl(nGC_195) - coupl(nGC_146)*coupl(nGC_64)*coupl(   &
                        nGC_80) - coupl(nGC_148)**2d0*coupl(nGC_149) - coupl(  &
                        nGC_148)*coupl(nGC_647)*coupl(nGC_87) - coupl(nGC_148)*&
                        coupl(nGC_84)*coupl(nGC_92) - coupl(nGC_149)**3d0 -    &
                        coupl(nGC_149)*coupl(nGC_152)**2d0 + 8d0*coupl(nGC_149 &
                        )*coupl(nGC_84)*coupl(nGC_87) - coupl(nGC_150)*coupl(  &
                        nGC_195)*coupl(nGC_196) - coupl(nGC_150)*coupl(nGC_645 &
                        )*coupl(nGC_80) - coupl(nGC_152)*coupl(nGC_633)*coupl( &
                        nGC_87) - coupl(nGC_152)*coupl(nGC_84)*coupl(nGC_94))/(&
                        32d0*pi**2d0)
      coupl(nGC_2952) = coupl(nGC_134)*dZcR_QCD2/2d0 + coupl(nGC_134)*dZsL_QCD2&
                        /2d0 + coupl(nGC_2358)
      coupl(nGC_2953) = coupl(nGC_134)*dZGMinus/2d0
      coupl(nGC_2956) = coupl(nGC_2351) + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_89)*dZZ_QED2/2d0 + coupl(nGC_89)*dZmuMinusL_QED2
      coupl(nGC_2957) = coupl(nGC_2352) + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_86)*dZZ_QED2/2d0 + coupl(nGC_86)*dZmuMinusR_QED2
      coupl(nGC_1832) = (-coupl(nGC_138)*coupl(nGC_139)*coupl(nGC_181) - coupl(&
                        nGC_139)*coupl(nGC_142)*coupl(nGC_178) - coupl(nGC_177 &
                        )**2d0*coupl(nGC_183) - coupl(nGC_177)*coupl(nGC_639)* &
                        coupl(nGC_85) - coupl(nGC_177)*coupl(nGC_88)*coupl(    &
                        nGC_91) - coupl(nGC_180)**2d0*coupl(nGC_183) - coupl(  &
                        nGC_180)*coupl(nGC_633)*coupl(nGC_85) - coupl(nGC_180)*&
                        coupl(nGC_88)*coupl(nGC_94) - coupl(nGC_181)*coupl(    &
                        nGC_72)*coupl(nGC_80) - coupl(nGC_182)**2d0*coupl(     &
                        nGC_183) + 8d0*coupl(nGC_182)*coupl(nGC_2)**2d0 + 8d0* &
                        coupl(nGC_182)*coupl(nGC_85)*coupl(nGC_88) - coupl(    &
                        nGC_183)*coupl(nGC_629)**2d0)/(32d0*pi**2d0)
      coupl(nGC_TS_GC_130_Hl) = -coupl(nGC_130)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2818) = coupl(nGC_102)*dZHMinus_QED2/2d0 + coupl(nGC_102)*     &
                        dZWMinus_QED2/2d0 + coupl(nGC_102)*dZZ_QED2/2d0 + coupl&
                        (nGC_107)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_126)*    &
                        dZAZ_QED2/2d0 + coupl(nGC_2334) + coupl(nGC_TS_GC_15_Hh&
                        ) + coupl(nGC_TS_GC_16_Hl)
      coupl(nGC_2319) = coupl(nGC_1425)*dZee_QED2 + coupl(nGC_1426)*da_QED2 +  &
                        coupl(nGC_1427)*dsw_QED2 + coupl(nGC_1428)*db_QED2
      coupl(nGC_2812) = coupl(nGC_1)*dZbL_QCD2
      coupl(nGC_2817) = coupl(nGC_129)*dZZA_QED2/2d0
      coupl(nGC_2816) = coupl(nGC_156)*dZHa_QED2/2d0 + coupl(nGC_156)*         &
                        dZeMinusL_QED2/2d0 + coupl(nGC_156)*dZeMinusR_QED2/2d0 &
                         + coupl(nGC_160)*dZG0Ha_QED2/2d0 + coupl(nGC_2432)
      coupl(nGC_2815) = coupl(nGC_155)*dZHa_QED2/2d0 + coupl(nGC_155)*         &
                        dZeMinusL_QED2/2d0 + coupl(nGC_155)*dZeMinusR_QED2/2d0 &
                         + coupl(nGC_159)*dZG0Ha_QED2/2d0 + coupl(nGC_2431)
      coupl(nGC_2814) = coupl(nGC_1)*dZbR_QCD2
      coupl(nGC_1911) = 3d0*(8d0*Nc*cMB*coupl(nGC_137)**3d0 + 8d0*Nc*cMC*coupl(&
                        nGC_133)**3d0 + 8d0*Nc*cMD*coupl(nGC_149)**3d0 + 8d0*Nc&
                        *cMS*coupl(nGC_173)**3d0 + 8d0*Nc*cMT*coupl(nGC_180)** &
                        3d0 + 8d0*Nc*cMU*coupl(nGC_195)**3d0 + 8d0*cME*coupl(  &
                        nGC_157)**3d0 + 8d0*cMM*coupl(nGC_165)**3d0 + 8d0*cMTA*&
                        coupl(nGC_188)**3d0 + 4d0*cima*coupl(nGC_125)*coupl(   &
                        nGC_61) + 2d0*cima*coupl(nGC_129)*coupl(nGC_99) + coupl&
                        (nGC_111)*coupl(nGC_611)*coupl(nGC_621) + coupl(nGC_111&
                        )*coupl(nGC_619)*coupl(nGC_645) + coupl(nGC_111)*coupl(&
                        nGC_63)*coupl(nGC_69) + coupl(nGC_111)*coupl(nGC_64)*  &
                        coupl(nGC_68) + coupl(nGC_112)*coupl(nGC_633)*coupl(   &
                        nGC_92) + coupl(nGC_112)*coupl(nGC_647)*coupl(nGC_94   &
                        ) + coupl(nGC_116)*coupl(nGC_621)*coupl(nGC_69) + coupl&
                        (nGC_116)*coupl(nGC_645)*coupl(nGC_68) + coupl(nGC_117 &
                        )*coupl(nGC_633)*coupl(nGC_94) + coupl(nGC_118)*coupl( &
                        nGC_611)*coupl(nGC_63) + coupl(nGC_118)*coupl(nGC_619)*&
                        coupl(nGC_64) + coupl(nGC_121)*coupl(nGC_647)*coupl(   &
                        nGC_92) - coupl(nGC_125)*coupl(nGC_611)*coupl(nGC_63   &
                        ) - coupl(nGC_125)*coupl(nGC_619)*coupl(nGC_64) - coupl&
                        (nGC_125)*coupl(nGC_621)*coupl(nGC_69) - coupl(nGC_125 &
                        )*coupl(nGC_645)*coupl(nGC_68) - coupl(nGC_129)*coupl( &
                        nGC_633)*coupl(nGC_94) - coupl(nGC_129)*coupl(nGC_647)*&
                        coupl(nGC_92))/(32d0*pi**2d0)
      coupl(nGC_TS_GC_111_Hh) = -coupl(nGC_111)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3047) = coupl(nGC_128)*dZZA_QED2/2d0
      coupl(nGC_2311) = coupl(nGC_1443)*dZee_QED2 + coupl(nGC_1444)*da_QED2 +  &
                        coupl(nGC_1445)*dsw_QED2 + coupl(nGC_1446)*db_QED2
      coupl(nGC_2312) = coupl(nGC_1011)*dvev1_QED1 + coupl(nGC_1012)*dvev2_QED1&
                         + coupl(nGC_1013)*dZee_QED2 + coupl(nGC_1014)*dsw_QED2&
                         + coupl(nGC_1015)*db_QED2
      coupl(nGC_3049) = dZGMinusHMinus_QED2*(coupl(nGC_114) + coupl(nGC_115))/ &
                        2d0
      coupl(nGC_2927) = coupl(nGC_111)*dZGMinus/2d0
      coupl(nGC_2924) = -coupl(nGC_17)*dZA_QED2/2d0 - coupl(nGC_17)*           &
                        dZHMinus_QED2 - coupl(nGC_2307) - coupl(nGC_96)*       &
                        dZZA_QED2/2d0
      coupl(nGC_2922) = -coupl(nGC_2319) - coupl(nGC_63)*dZHl_QED2/2d0 - coupl(&
                        nGC_63)*dZWMinus_QED2/2d0 - coupl(nGC_68)*dZHhHl_QED2/ &
                        2d0 + coupl(nGC_69)*dZHMinusGMinus_QED2/2d0
      coupl(nGC_2921) = coupl(nGC_17)*dZGMinus
      coupl(nGC_2920) = coupl(nGC_17)*dZA_QED2/2d0 + coupl(nGC_2307) + coupl(  &
                        nGC_96)*dZZA_QED2/2d0
      coupl(nGC_2929) = coupl(nGC_107)*dZGMinus/2d0
      coupl(nGC_1961) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_169) - coupl(nGC_130)*&
                        coupl(nGC_131)*coupl(nGC_170) - coupl(nGC_130)*coupl(  &
                        nGC_134)*coupl(nGC_174) - coupl(nGC_169)**3d0 - coupl( &
                        nGC_169)*coupl(nGC_171)**2d0 - coupl(nGC_169)*coupl(   &
                        nGC_173)**2d0 - coupl(nGC_169)*coupl(nGC_175)**2d0 +   &
                        8d0*coupl(nGC_169)*coupl(nGC_84)*coupl(nGC_87) - coupl(&
                        nGC_170)*coupl(nGC_645)*coupl(nGC_80) - coupl(nGC_171)*&
                        coupl(nGC_633)*coupl(nGC_84) - coupl(nGC_171)*coupl(   &
                        nGC_87)*coupl(nGC_94) - coupl(nGC_174)*coupl(nGC_63)*  &
                        coupl(nGC_80) - coupl(nGC_175)*coupl(nGC_639)*coupl(   &
                        nGC_84) - coupl(nGC_175)*coupl(nGC_87)*coupl(nGC_91))/(&
                        32d0*pi**2d0)
      coupl(nGC_2316) = coupl(nGC_1429)*dZee_QED2 + coupl(nGC_1430)*da_QED2 +  &
                        coupl(nGC_1431)*dsw_QED2 + coupl(nGC_1432)*db_QED2
      coupl(nGC_1966) = (-coupl(nGC_184)**3d0 - coupl(nGC_184)*coupl(nGC_186)**&
                        2d0 - coupl(nGC_184)*coupl(nGC_188)**2d0 - coupl(      &
                        nGC_184)*coupl(nGC_190)**2d0 + 8d0*coupl(nGC_184)*coupl&
                        (nGC_4)**2d0 + 8d0*coupl(nGC_184)*coupl(nGC_86)*coupl( &
                        nGC_89) + coupl(nGC_185)*coupl(nGC_69)*coupl(nGC_80) + &
                        coupl(nGC_186)*coupl(nGC_633)*coupl(nGC_89) + coupl(   &
                        nGC_186)*coupl(nGC_86)*coupl(nGC_94) + coupl(nGC_189)* &
                        coupl(nGC_619)*coupl(nGC_80) + coupl(nGC_190)*coupl(   &
                        nGC_639)*coupl(nGC_89) + coupl(nGC_190)*coupl(nGC_86)* &
                        coupl(nGC_91))/(32d0*pi**2d0)
      coupl(nGC_1715) = cMU*cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_1967) = (-coupl(nGC_184)**3d0 - coupl(nGC_184)*coupl(nGC_187)**&
                        2d0 - coupl(nGC_184)*coupl(nGC_188)**2d0 - coupl(      &
                        nGC_184)*coupl(nGC_191)**2d0 + 8d0*coupl(nGC_184)*coupl&
                        (nGC_4)**2d0 + 8d0*coupl(nGC_184)*coupl(nGC_86)*coupl( &
                        nGC_89) + coupl(nGC_185)*coupl(nGC_621)*coupl(nGC_80   &
                        ) + coupl(nGC_187)*coupl(nGC_633)*coupl(nGC_86) + coupl&
                        (nGC_187)*coupl(nGC_89)*coupl(nGC_94) + coupl(nGC_189)*&
                        coupl(nGC_64)*coupl(nGC_80) + coupl(nGC_191)*coupl(    &
                        nGC_639)*coupl(nGC_86) + coupl(nGC_191)*coupl(nGC_89)* &
                        coupl(nGC_91))/(32d0*pi**2d0)
      coupl(nGC_TS_GC_22_Hh) = -coupl(nGC_22)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_22_Hl) = -coupl(nGC_22)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1867) = (2d0*Nc*cMB*coupl(nGC_142)*coupl(nGC_80)*coupl(nGC_84  &
                        ) - 2d0*Nc*cMB*coupl(nGC_142)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 2d0*Nc*cMB*coupl(nGC_142)*coupl(nGC_80)*coupl&
                        (nGC_88) + 2d0*Nc*cMC*coupl(nGC_131)*coupl(nGC_80)*    &
                        coupl(nGC_85) - 2d0*Nc*cMC*coupl(nGC_131)*coupl(nGC_80 &
                        )*coupl(nGC_87) - 2d0*Nc*cMC*coupl(nGC_131)*coupl(     &
                        nGC_80)*coupl(nGC_88) + 2d0*Nc*cMD*coupl(nGC_146)*coupl&
                        (nGC_80)*coupl(nGC_84) - 2d0*Nc*cMD*coupl(nGC_146)*    &
                        coupl(nGC_80)*coupl(nGC_87) - 2d0*Nc*cMD*coupl(nGC_146 &
                        )*coupl(nGC_80)*coupl(nGC_88) + 2d0*Nc*cMS*coupl(      &
                        nGC_170)*coupl(nGC_80)*coupl(nGC_84) - 2d0*Nc*cMS*coupl&
                        (nGC_170)*coupl(nGC_80)*coupl(nGC_87) - 2d0*Nc*cMS*    &
                        coupl(nGC_170)*coupl(nGC_80)*coupl(nGC_88) + 2d0*Nc*cMT&
                        *coupl(nGC_178)*coupl(nGC_80)*coupl(nGC_85) - 2d0*Nc*  &
                        cMT*coupl(nGC_178)*coupl(nGC_80)*coupl(nGC_87) - 2d0*Nc&
                        *cMT*coupl(nGC_178)*coupl(nGC_80)*coupl(nGC_88) + 2d0* &
                        Nc*cMU*coupl(nGC_193)*coupl(nGC_80)*coupl(nGC_85) - 2d0&
                        *Nc*cMU*coupl(nGC_193)*coupl(nGC_80)*coupl(nGC_87) -   &
                        2d0*Nc*cMU*coupl(nGC_193)*coupl(nGC_80)*coupl(nGC_88   &
                        ) + 2d0*cME*coupl(nGC_154)*coupl(nGC_80)*coupl(nGC_86  &
                        ) - 2d0*cME*coupl(nGC_154)*coupl(nGC_80)*coupl(nGC_89  &
                        ) - 2d0*cME*coupl(nGC_154)*coupl(nGC_80)*coupl(nGC_90  &
                        ) + 2d0*cMM*coupl(nGC_162)*coupl(nGC_80)*coupl(nGC_86  &
                        ) - 2d0*cMM*coupl(nGC_162)*coupl(nGC_80)*coupl(nGC_89  &
                        ) - 2d0*cMM*coupl(nGC_162)*coupl(nGC_80)*coupl(nGC_90  &
                        ) + 2d0*cMTA*coupl(nGC_185)*coupl(nGC_80)*coupl(nGC_86 &
                        ) - 2d0*cMTA*coupl(nGC_185)*coupl(nGC_80)*coupl(nGC_89 &
                        ) - 2d0*cMTA*coupl(nGC_185)*coupl(nGC_80)*coupl(nGC_90 &
                        ) + 4d0*cima*coupl(nGC_102)*coupl(nGC_79) + 4d0*cima*  &
                        coupl(nGC_126)*coupl(nGC_609) - coupl(nGC_102)*coupl(  &
                        nGC_17)*coupl(nGC_3) + 6d0*coupl(nGC_102)*coupl(nGC_625&
                        )*coupl(nGC_82) - coupl(nGC_102)*coupl(nGC_82)*coupl(  &
                        nGC_96) - coupl(nGC_124)*coupl(nGC_621)*coupl(nGC_625  &
                        ) - coupl(nGC_125)*coupl(nGC_611)*coupl(nGC_625) + 6d0*&
                        coupl(nGC_126)*coupl(nGC_3)*coupl(nGC_625) - coupl(    &
                        nGC_128)*coupl(nGC_625)*coupl(nGC_68) - coupl(nGC_129)*&
                        coupl(nGC_625)*coupl(nGC_64))/(32d0*pi**2d0)
      coupl(nGC_1714) = cMU*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_85)*coupl(    &
                        nGC_88))/(8d0*pi**2d0)
      coupl(nGC_1711) = cMT*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_85)*coupl(    &
                        nGC_88))/(8d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
