!******************************************************************************!
!                                                                              !
!    ctparameter134.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter134.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 14:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter134
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter134()
  DeltaUV = DeltaUV + log(muUV**2/muMS**2)
  dZZA_MS_QED2 = DeltaUV*(4d0*cMHC**2d0*coupl(nGC_17)*coupl(nGC_96) - 2d0*cima*&
                 cMHC**2d0*coupl(nGC_97) + 4d0*cMW**2d0*coupl(nGC_17)*coupl(   &
                 nGC_96) + 17d0*cMW**2d0*coupl(nGC_3)*coupl(nGC_82) - cMW**2d0*&
                 coupl(nGC_4)*coupl(nGC_81) + 6d0*cima*cMW**2d0*coupl(nGC_83   &
                 ) - 2d0*cima*cMW**2d0*coupl(nGC_97) - 4d0*coupl(nGC_102)*coupl&
                 (nGC_126) - 4d0*coupl(nGC_107)*coupl(nGC_127))/(16d0*pi**2d0* &
                 cMZ**2d0)
    if (.not. complex_mass_scheme) then
      dZZA_MS_QED2 = cone*real(dZZA_MS_QED2,kind=dp)
    end if 
  DeltaUV = DeltaUV - log(muUV**2/muMS**2)
end subroutine set_ctparameter134
end module ctparameter134
