!******************************************************************************!
!                                                                              !
!    ctparameter145.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter145.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 14:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter145
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter145()
  DeltaUV = DeltaUV + log(muUV**2/muMS**2)
  dZHlHh_MS_QED2 = DeltaUV*(-24d0*Nc*cMB**2d0*coupl(nGC_137)*coupl(nGC_141)*   &
                   rMHH**2d0 + 24d0*Nc*cMB**2d0*coupl(nGC_137)*coupl(nGC_141)* &
                   rMHL**2d0 - 24d0*Nc*cMC**2d0*coupl(nGC_130)*coupl(nGC_133)* &
                   rMHH**2d0 + 24d0*Nc*cMC**2d0*coupl(nGC_130)*coupl(nGC_133)* &
                   rMHL**2d0 - 24d0*Nc*cMD**2d0*coupl(nGC_145)*coupl(nGC_149)* &
                   rMHH**2d0 + 24d0*Nc*cMD**2d0*coupl(nGC_145)*coupl(nGC_149)* &
                   rMHL**2d0 + 4d0*Nc*cMHH**2d0*coupl(nGC_130)*coupl(nGC_133)* &
                   rMHH**2d0 - 4d0*Nc*cMHH**2d0*coupl(nGC_130)*coupl(nGC_133)* &
                   rMHL**2d0 + 4d0*Nc*cMHH**2d0*coupl(nGC_137)*coupl(nGC_141)* &
                   rMHH**2d0 - 4d0*Nc*cMHH**2d0*coupl(nGC_137)*coupl(nGC_141)* &
                   rMHL**2d0 + 4d0*Nc*cMHH**2d0*coupl(nGC_145)*coupl(nGC_149)* &
                   rMHH**2d0 - 4d0*Nc*cMHH**2d0*coupl(nGC_145)*coupl(nGC_149)* &
                   rMHL**2d0 + 4d0*Nc*cMHH**2d0*coupl(nGC_169)*coupl(nGC_173)* &
                   rMHH**2d0 - 4d0*Nc*cMHH**2d0*coupl(nGC_169)*coupl(nGC_173)* &
                   rMHL**2d0 + 4d0*Nc*cMHH**2d0*coupl(nGC_177)*coupl(nGC_180)* &
                   rMHH**2d0 - 4d0*Nc*cMHH**2d0*coupl(nGC_177)*coupl(nGC_180)* &
                   rMHL**2d0 + 4d0*Nc*cMHH**2d0*coupl(nGC_192)*coupl(nGC_195)* &
                   rMHH**2d0 - 4d0*Nc*cMHH**2d0*coupl(nGC_192)*coupl(nGC_195)* &
                   rMHL**2d0 - 24d0*Nc*cMS**2d0*coupl(nGC_169)*coupl(nGC_173)* &
                   rMHH**2d0 + 24d0*Nc*cMS**2d0*coupl(nGC_169)*coupl(nGC_173)* &
                   rMHL**2d0 - 24d0*Nc*cMT**2d0*coupl(nGC_177)*coupl(nGC_180)* &
                   rMHH**2d0 + 24d0*Nc*cMT**2d0*coupl(nGC_177)*coupl(nGC_180)* &
                   rMHL**2d0 - 24d0*Nc*cMU**2d0*coupl(nGC_192)*coupl(nGC_195)* &
                   rMHH**2d0 + 24d0*Nc*cMU**2d0*coupl(nGC_192)*coupl(nGC_195)* &
                   rMHL**2d0 - 24d0*cME**2d0*coupl(nGC_153)*coupl(nGC_157)*rMHH&
                   **2d0 + 24d0*cME**2d0*coupl(nGC_153)*coupl(nGC_157)*rMHL**  &
                   2d0 - cima*cMHA**2d0*coupl(nGC_26)*rMHH**2d0 + cima*cMHA**  &
                   2d0*coupl(nGC_26)*rMHL**2d0 + 2d0*cMHA**2d0*coupl(nGC_92)*  &
                   coupl(nGC_94)*rMHH**2d0 - 2d0*cMHA**2d0*coupl(nGC_92)*coupl(&
                   nGC_94)*rMHL**2d0 - 2d0*cima*cMHC**2d0*coupl(nGC_22)*rMHH** &
                   2d0 + 2d0*cima*cMHC**2d0*coupl(nGC_22)*rMHL**2d0 + 2d0*cMHC &
                   **2d0*coupl(nGC_63)*coupl(nGC_68)*rMHH**2d0 - 2d0*cMHC**2d0*&
                   coupl(nGC_63)*coupl(nGC_68)*rMHL**2d0 + 2d0*cMHC**2d0*coupl(&
                   nGC_64)*coupl(nGC_69)*rMHH**2d0 - 2d0*cMHC**2d0*coupl(nGC_64&
                   )*coupl(nGC_69)*rMHL**2d0 - cima*cMHH**2d0*coupl(nGC_10)*   &
                   rMHH**2d0 + cima*cMHH**2d0*coupl(nGC_10)*rMHL**2d0 + 4d0*   &
                   cMHH**2d0*coupl(nGC_153)*coupl(nGC_157)*rMHH**2d0 - 4d0*cMHH&
                   **2d0*coupl(nGC_153)*coupl(nGC_157)*rMHL**2d0 + 4d0*cMHH**  &
                   2d0*coupl(nGC_161)*coupl(nGC_165)*rMHH**2d0 - 4d0*cMHH**2d0*&
                   coupl(nGC_161)*coupl(nGC_165)*rMHL**2d0 + 4d0*cMHH**2d0*    &
                   coupl(nGC_184)*coupl(nGC_188)*rMHH**2d0 - 4d0*cMHH**2d0*    &
                   coupl(nGC_184)*coupl(nGC_188)*rMHL**2d0 + 4d0*cMHH**2d0*    &
                   coupl(nGC_63)*coupl(nGC_68)*rMHH**2d0 - 4d0*cMHH**2d0*coupl(&
                   nGC_63)*coupl(nGC_68)*rMHL**2d0 + 4d0*cMHH**2d0*coupl(nGC_63&
                   )*coupl(nGC_69)*rMHH**2d0 - 4d0*cMHH**2d0*coupl(nGC_63)*    &
                   coupl(nGC_69)*rMHL**2d0 + 4d0*cMHH**2d0*coupl(nGC_64)*coupl(&
                   nGC_68)*rMHH**2d0 - 4d0*cMHH**2d0*coupl(nGC_64)*coupl(nGC_68&
                   )*rMHL**2d0 + 4d0*cMHH**2d0*coupl(nGC_64)*coupl(nGC_69)*rMHH&
                   **2d0 - 4d0*cMHH**2d0*coupl(nGC_64)*coupl(nGC_69)*rMHL**2d0 &
                    + 4d0*cMHH**2d0*coupl(nGC_91)*coupl(nGC_94)*rMHH**2d0 - 4d0&
                   *cMHH**2d0*coupl(nGC_91)*coupl(nGC_94)*rMHL**2d0 + 4d0*cMHH &
                   **2d0*coupl(nGC_92)*coupl(nGC_94)*rMHH**2d0 - 4d0*cMHH**2d0*&
                   coupl(nGC_92)*coupl(nGC_94)*rMHL**2d0 - cima*cMHL**2d0*coupl&
                   (nGC_9)*rMHH**2d0 + cima*cMHL**2d0*coupl(nGC_9)*rMHL**2d0 - &
                   24d0*cMM**2d0*coupl(nGC_161)*coupl(nGC_165)*rMHH**2d0 + 24d0&
                   *cMM**2d0*coupl(nGC_161)*coupl(nGC_165)*rMHL**2d0 - 24d0*   &
                   cMTA**2d0*coupl(nGC_184)*coupl(nGC_188)*rMHH**2d0 + 24d0*   &
                   cMTA**2d0*coupl(nGC_184)*coupl(nGC_188)*rMHL**2d0 - 2d0*cima&
                   *cMW**2d0*coupl(nGC_23)*rMHH**2d0 + 2d0*cima*cMW**2d0*coupl(&
                   nGC_23)*rMHL**2d0 + 2d0*cMW**2d0*coupl(nGC_63)*coupl(nGC_68 &
                   )*rMHH**2d0 - 2d0*cMW**2d0*coupl(nGC_63)*coupl(nGC_68)*rMHL &
                   **2d0 + 4d0*cMW**2d0*coupl(nGC_63)*coupl(nGC_69)*rMHH**2d0  &
                    - 4d0*cMW**2d0*coupl(nGC_63)*coupl(nGC_69)*rMHL**2d0 + 4d0*&
                   cMW**2d0*coupl(nGC_64)*coupl(nGC_68)*rMHH**2d0 - 4d0*cMW**  &
                   2d0*coupl(nGC_64)*coupl(nGC_68)*rMHL**2d0 + 2d0*cMW**2d0*   &
                   coupl(nGC_64)*coupl(nGC_69)*rMHH**2d0 - 2d0*cMW**2d0*coupl( &
                   nGC_64)*coupl(nGC_69)*rMHL**2d0 - cima*cMZ**2d0*coupl(nGC_25&
                   )*rMHH**2d0 + cima*cMZ**2d0*coupl(nGC_25)*rMHL**2d0 + 4d0*  &
                   cMZ**2d0*coupl(nGC_91)*coupl(nGC_94)*rMHH**2d0 - 4d0*cMZ**  &
                   2d0*coupl(nGC_91)*coupl(nGC_94)*rMHL**2d0 + 2d0*cMZ**2d0*   &
                   coupl(nGC_92)*coupl(nGC_94)*rMHH**2d0 - 2d0*cMZ**2d0*coupl( &
                   nGC_92)*coupl(nGC_94)*rMHL**2d0 + coupl(nGC_103)*coupl(     &
                   nGC_105)*rMHH**2d0 - coupl(nGC_103)*coupl(nGC_105)*rMHL**2d0&
                    + 2d0*coupl(nGC_103)*coupl(nGC_106)*rMHH**2d0 - 2d0*coupl( &
                   nGC_103)*coupl(nGC_106)*rMHL**2d0 + coupl(nGC_104)*coupl(   &
                   nGC_106)*rMHH**2d0 - coupl(nGC_104)*coupl(nGC_106)*rMHL**2d0&
                    + 2d0*coupl(nGC_108)*coupl(nGC_116)*rMHH**2d0 - 2d0*coupl( &
                   nGC_108)*coupl(nGC_116)*rMHL**2d0 + coupl(nGC_109)*coupl(   &
                   nGC_117)*rMHH**2d0 - coupl(nGC_109)*coupl(nGC_117)*rMHL**2d0&
                    + 2d0*coupl(nGC_110)*coupl(nGC_118)*rMHH**2d0 - 2d0*coupl( &
                   nGC_110)*coupl(nGC_118)*rMHL**2d0 + 4d0*coupl(nGC_111)*coupl&
                   (nGC_119)*rMHH**2d0 - 4d0*coupl(nGC_111)*coupl(nGC_119)*rMHL&
                   **2d0 + 2d0*coupl(nGC_112)*coupl(nGC_120)*rMHH**2d0 - 2d0*  &
                   coupl(nGC_112)*coupl(nGC_120)*rMHL**2d0 + coupl(nGC_113)*   &
                   coupl(nGC_121)*rMHH**2d0 - coupl(nGC_113)*coupl(nGC_121)*   &
                   rMHL**2d0 + 8d0*coupl(nGC_124)*coupl(nGC_125)*rMHH**2d0 -   &
                   8d0*coupl(nGC_124)*coupl(nGC_125)*rMHL**2d0 + 4d0*coupl(    &
                   nGC_128)*coupl(nGC_129)*rMHH**2d0 - 4d0*coupl(nGC_128)*coupl&
                   (nGC_129)*rMHL**2d0 - 4d0*coupl(nGC_67)*coupl(nGC_71)*rMHH**&
                   2d0 + 4d0*coupl(nGC_67)*coupl(nGC_71)*rMHL**2d0 - 2d0*coupl(&
                   nGC_93)*coupl(nGC_95)*rMHH**2d0 + 2d0*coupl(nGC_93)*coupl(  &
                   nGC_95)*rMHL**2d0)/(16d0*pi**2d0*(cMHH**2d0*rMHH**2d0 - cMHH&
                   **2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0 &
                   )) + 2d0*cima*(-rMHH**2d0 + rMHL**2d0)*(coupl(nGC_106)*     &
                   dtHl_MS_QED1/cMHL**2d0 + coupl(nGC_103)*dtHh_MS_QED1/cMHH** &
                   2d0)/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*&
                   rMHH**2d0 + cMHL**2d0*rMHL**2d0)
    if (.not. complex_mass_scheme) then
      dZHlHh_MS_QED2 = cone*real(dZHlHh_MS_QED2,kind=dp)
    end if 
  DeltaUV = DeltaUV - log(muUV**2/muMS**2)
end subroutine set_ctparameter145
end module ctparameter145
