!******************************************************************************!
!                                                                              !
!    ctparameter151.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter151.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 14:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter151
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter151()
  DeltaUV = DeltaUV + log(muUV**2/muMS**2)
  dZG0Ha_MS_QED2 = DeltaUV*(-8d0*Nc*cMB**2d0*coupl(nGC_139)*coupl(nGC_143) -   &
                   4d0*Nc*cMB**2d0*coupl(nGC_139)*coupl(nGC_144) - 4d0*Nc*cMB**&
                   2d0*coupl(nGC_140)*coupl(nGC_143) - 8d0*Nc*cMB**2d0*coupl(  &
                   nGC_140)*coupl(nGC_144) - 4d0*Nc*cMC**2d0*coupl(nGC_132)*   &
                   coupl(nGC_135) + 4d0*Nc*cMC**2d0*coupl(nGC_132)*coupl(      &
                   nGC_136) - 4d0*Nc*cMD**2d0*coupl(nGC_147)*coupl(nGC_151) -  &
                   8d0*Nc*cMD**2d0*coupl(nGC_147)*coupl(nGC_152) - 8d0*Nc*cMD**&
                   2d0*coupl(nGC_148)*coupl(nGC_151) - 4d0*Nc*cMD**2d0*coupl(  &
                   nGC_148)*coupl(nGC_152) + 2d0*Nc*cMHA**2d0*coupl(nGC_132)*  &
                   coupl(nGC_135) - 2d0*Nc*cMHA**2d0*coupl(nGC_132)*coupl(     &
                   nGC_136) + 2d0*Nc*cMHA**2d0*coupl(nGC_139)*coupl(nGC_143) + &
                   2d0*Nc*cMHA**2d0*coupl(nGC_140)*coupl(nGC_144) + 2d0*Nc*cMHA&
                   **2d0*coupl(nGC_147)*coupl(nGC_152) + 2d0*Nc*cMHA**2d0*coupl&
                   (nGC_148)*coupl(nGC_151) + 2d0*Nc*cMHA**2d0*coupl(nGC_171)* &
                   coupl(nGC_176) + 2d0*Nc*cMHA**2d0*coupl(nGC_172)*coupl(     &
                   nGC_175) + 2d0*Nc*cMHA**2d0*coupl(nGC_179)*coupl(nGC_182) - &
                   2d0*Nc*cMHA**2d0*coupl(nGC_179)*coupl(nGC_183) + 2d0*Nc*cMHA&
                   **2d0*coupl(nGC_194)*coupl(nGC_197) - 2d0*Nc*cMHA**2d0*coupl&
                   (nGC_194)*coupl(nGC_198) - 4d0*Nc*cMS**2d0*coupl(nGC_171)*  &
                   coupl(nGC_175) - 8d0*Nc*cMS**2d0*coupl(nGC_171)*coupl(      &
                   nGC_176) - 8d0*Nc*cMS**2d0*coupl(nGC_172)*coupl(nGC_175) -  &
                   4d0*Nc*cMS**2d0*coupl(nGC_172)*coupl(nGC_176) - 4d0*Nc*cMT**&
                   2d0*coupl(nGC_179)*coupl(nGC_182) + 4d0*Nc*cMT**2d0*coupl(  &
                   nGC_179)*coupl(nGC_183) - 4d0*Nc*cMU**2d0*coupl(nGC_194)*   &
                   coupl(nGC_197) + 4d0*Nc*cMU**2d0*coupl(nGC_194)*coupl(      &
                   nGC_198) - 4d0*cME**2d0*coupl(nGC_155)*coupl(nGC_159) - 8d0*&
                   cME**2d0*coupl(nGC_155)*coupl(nGC_160) - 8d0*cME**2d0*coupl(&
                   nGC_156)*coupl(nGC_159) - 4d0*cME**2d0*coupl(nGC_156)*coupl(&
                   nGC_160) + 2d0*cMHA**2d0*coupl(nGC_155)*coupl(nGC_160) + 2d0&
                   *cMHA**2d0*coupl(nGC_156)*coupl(nGC_159) + 2d0*cMHA**2d0*   &
                   coupl(nGC_163)*coupl(nGC_168) + 2d0*cMHA**2d0*coupl(nGC_164 &
                   )*coupl(nGC_167) + 2d0*cMHA**2d0*coupl(nGC_186)*coupl(      &
                   nGC_191) + 2d0*cMHA**2d0*coupl(nGC_187)*coupl(nGC_190) -    &
                   cima*cMHA**2d0*coupl(nGC_46) + 4d0*cMHA**2d0*coupl(nGC_91)* &
                   coupl(nGC_94) + 4d0*cMHA**2d0*coupl(nGC_92)*coupl(nGC_94) - &
                   2d0*cima*cMHC**2d0*coupl(nGC_42) - cima*cMHH**2d0*coupl(    &
                   nGC_29) + 2d0*cMHH**2d0*coupl(nGC_92)*coupl(nGC_94) - cima* &
                   cMHL**2d0*coupl(nGC_28) + 2d0*cMHL**2d0*coupl(nGC_91)*coupl(&
                   nGC_94) - 4d0*cMM**2d0*coupl(nGC_163)*coupl(nGC_167) - 8d0* &
                   cMM**2d0*coupl(nGC_163)*coupl(nGC_168) - 8d0*cMM**2d0*coupl(&
                   nGC_164)*coupl(nGC_167) - 4d0*cMM**2d0*coupl(nGC_164)*coupl(&
                   nGC_168) - 4d0*cMTA**2d0*coupl(nGC_186)*coupl(nGC_190) - 8d0&
                   *cMTA**2d0*coupl(nGC_186)*coupl(nGC_191) - 8d0*cMTA**2d0*   &
                   coupl(nGC_187)*coupl(nGC_190) - 4d0*cMTA**2d0*coupl(nGC_187 &
                   )*coupl(nGC_191) - 2d0*cima*cMW**2d0*coupl(nGC_43) - cima*  &
                   cMZ**2d0*coupl(nGC_47) + 2d0*cMZ**2d0*coupl(nGC_91)*coupl(  &
                   nGC_94) + 2d0*cMZ**2d0*coupl(nGC_92)*coupl(nGC_94) + 2d0*   &
                   coupl(nGC_109)*coupl(nGC_120) + 2d0*coupl(nGC_112)*coupl(   &
                   nGC_117) + 2d0*coupl(nGC_112)*coupl(nGC_121) + 2d0*coupl(   &
                   nGC_113)*coupl(nGC_120) + 2d0*coupl(nGC_114)*coupl(nGC_122  &
                   ) + 2d0*coupl(nGC_115)*coupl(nGC_123))/(16d0*pi**2d0*cMHA** &
                   2d0) - 2d0*cima*(coupl(nGC_120)*dtHl_MS_QED1/cMHL**2d0 +    &
                   coupl(nGC_112)*dtHh_MS_QED1/cMHH**2d0)/cMHA**2d0
    if (.not. complex_mass_scheme) then
      dZG0Ha_MS_QED2 = cone*real(dZG0Ha_MS_QED2,kind=dp)
    end if 
  DeltaUV = DeltaUV - log(muUV**2/muMS**2)
end subroutine set_ctparameter151
end module ctparameter151
