!******************************************************************************!
!                                                                              !
!    ctparameter157.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter157.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 14:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter157
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter157()
  DeltaUV = DeltaUV + log(muUV**2/muMS**2)
  dMHH2_MS_QED2 = DeltaUV*(12d0*Nc*cMB**2d0*coupl(nGC_137)**2d0 + 12d0*Nc*cMC**&
                  2d0*coupl(nGC_133)**2d0 + 12d0*Nc*cMD**2d0*coupl(nGC_149)**  &
                  2d0 - 2d0*Nc*cMHH**2d0*coupl(nGC_133)**2d0 - 2d0*Nc*cMHH**2d0&
                  *coupl(nGC_137)**2d0 - 2d0*Nc*cMHH**2d0*coupl(nGC_149)**2d0  &
                   - 2d0*Nc*cMHH**2d0*coupl(nGC_173)**2d0 - 2d0*Nc*cMHH**2d0*  &
                  coupl(nGC_180)**2d0 - 2d0*Nc*cMHH**2d0*coupl(nGC_195)**2d0 + &
                  12d0*Nc*cMS**2d0*coupl(nGC_173)**2d0 + 12d0*Nc*cMT**2d0*coupl&
                  (nGC_180)**2d0 + 12d0*Nc*cMU**2d0*coupl(nGC_195)**2d0 + 12d0*&
                  cME**2d0*coupl(nGC_157)**2d0 + cima*cMHA**2d0*coupl(nGC_38)/ &
                  2d0 - cMHA**2d0*coupl(nGC_92)**2d0 + cima*cMHC**2d0*coupl(   &
                  nGC_34) - 2d0*cMHC**2d0*coupl(nGC_63)*coupl(nGC_64) + cima*  &
                  cMHH**2d0*coupl(nGC_12)/2d0 - 2d0*cMHH**2d0*coupl(nGC_157)** &
                  2d0 - 2d0*cMHH**2d0*coupl(nGC_165)**2d0 - 2d0*cMHH**2d0*coupl&
                  (nGC_188)**2d0 - 4d0*cMHH**2d0*coupl(nGC_63)*coupl(nGC_64) - &
                  4d0*cMHH**2d0*coupl(nGC_68)*coupl(nGC_69) - 2d0*cMHH**2d0*   &
                  coupl(nGC_92)**2d0 - 2d0*cMHH**2d0*coupl(nGC_94)**2d0 + cima*&
                  cMHL**2d0*coupl(nGC_13)/2d0 + 12d0*cMM**2d0*coupl(nGC_165)** &
                  2d0 + 12d0*cMTA**2d0*coupl(nGC_188)**2d0 + cima*cMW**2d0*    &
                  coupl(nGC_32) - 4d0*cima*cMW**2d0*coupl(nGC_61) - 2d0*cMW**  &
                  2d0*coupl(nGC_63)*coupl(nGC_64) - 4d0*cMW**2d0*coupl(nGC_68)*&
                  coupl(nGC_69) + cima*cMZ**2d0*coupl(nGC_33)/2d0 - cMZ**2d0*  &
                  coupl(nGC_92)**2d0 - 2d0*cMZ**2d0*coupl(nGC_94)**2d0 - 2d0*  &
                  cima*cMZ**2d0*coupl(nGC_99) - coupl(nGC_103)**2d0 - coupl(   &
                  nGC_105)**2d0/2d0 - coupl(nGC_106)**2d0/2d0 - 2d0*coupl(     &
                  nGC_111)**2d0 - coupl(nGC_112)**2d0 - coupl(nGC_116)**2d0 -  &
                  coupl(nGC_117)**2d0/2d0 - coupl(nGC_118)**2d0 - coupl(nGC_121&
                  )**2d0/2d0 - 4d0*coupl(nGC_125)**2d0 - 2d0*coupl(nGC_129)**  &
                  2d0 + 2d0*coupl(nGC_71)**2d0 + coupl(nGC_95)**2d0)/(16d0*pi**&
                  2d0) + cima*(coupl(nGC_103)*dtHl_MS_QED1/cMHL**2d0 + coupl(  &
                  nGC_105)*dtHh_MS_QED1/cMHH**2d0)
    if (.not. complex_mass_scheme) then
      dMHH2_MS_QED2 = cone*real(dMHH2_MS_QED2,kind=dp)
    end if 
  DeltaUV = DeltaUV - log(muUV**2/muMS**2)
end subroutine set_ctparameter157
end module ctparameter157
