!******************************************************************************!
!                                                                              !
!    ctparameter166.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter166.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 14:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter166
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter166()
  DeltaUV = DeltaUV + log(muUV**2/muMS**2)
  dMHC2_MS_QED2 = DeltaUV*(2d0*Nc*cMB**2d0*coupl(nGC_142)**2d0 + 2d0*Nc*cMB**  &
                  2d0*coupl(nGC_178)**2d0 + 4d0*Nc*cMB*cMT*coupl(nGC_142)*coupl&
                  (nGC_178) + 2d0*Nc*cMC**2d0*coupl(nGC_131)**2d0 + 2d0*Nc*cMC &
                  **2d0*coupl(nGC_170)**2d0 + 4d0*Nc*cMC*cMS*coupl(nGC_131)*   &
                  coupl(nGC_170) + 2d0*Nc*cMD**2d0*coupl(nGC_146)**2d0 + 2d0*Nc&
                  *cMD**2d0*coupl(nGC_193)**2d0 + 4d0*Nc*cMD*cMU*coupl(nGC_146 &
                  )*coupl(nGC_193) - Nc*cMHC**2d0*coupl(nGC_131)**2d0 - Nc*cMHC&
                  **2d0*coupl(nGC_142)**2d0 - Nc*cMHC**2d0*coupl(nGC_146)**2d0 &
                   - Nc*cMHC**2d0*coupl(nGC_170)**2d0 - Nc*cMHC**2d0*coupl(    &
                  nGC_178)**2d0 - Nc*cMHC**2d0*coupl(nGC_193)**2d0 + 2d0*Nc*cMS&
                  **2d0*coupl(nGC_131)**2d0 + 2d0*Nc*cMS**2d0*coupl(nGC_170)** &
                  2d0 + 2d0*Nc*cMT**2d0*coupl(nGC_142)**2d0 + 2d0*Nc*cMT**2d0* &
                  coupl(nGC_178)**2d0 + 2d0*Nc*cMU**2d0*coupl(nGC_146)**2d0 +  &
                  2d0*Nc*cMU**2d0*coupl(nGC_193)**2d0 + 2d0*cME**2d0*coupl(    &
                  nGC_154)**2d0 + cima*cMHA**2d0*coupl(nGC_50)/2d0 - cMHA**2d0*&
                  coupl(nGC_72)**2d0 - cMHC**2d0*coupl(nGC_154)**2d0 - cMHC**  &
                  2d0*coupl(nGC_162)**2d0 + 3d0*cMHC**2d0*coupl(nGC_17)**2d0 - &
                  cMHC**2d0*coupl(nGC_185)**2d0 + cima*cMHC**2d0*coupl(nGC_51  &
                  ) - 2d0*cMHC**2d0*coupl(nGC_63)*coupl(nGC_64) - 2d0*cMHC**2d0&
                  *coupl(nGC_68)*coupl(nGC_69) - 2d0*cMHC**2d0*coupl(nGC_72)** &
                  2d0 + 3d0*cMHC**2d0*coupl(nGC_96)**2d0 + cima*cMHH**2d0*coupl&
                  (nGC_34)/2d0 - cMHH**2d0*coupl(nGC_63)*coupl(nGC_64) + cima* &
                  cMHL**2d0*coupl(nGC_30)/2d0 - cMHL**2d0*coupl(nGC_68)*coupl( &
                  nGC_69) + 2d0*cMM**2d0*coupl(nGC_162)**2d0 + 2d0*cMTA**2d0*  &
                  coupl(nGC_185)**2d0 + cima*cMW**2d0*coupl(nGC_57) - 4d0*cima*&
                  cMW**2d0*coupl(nGC_62) - cMW**2d0*coupl(nGC_63)*coupl(nGC_64 &
                  ) - cMW**2d0*coupl(nGC_68)*coupl(nGC_69) - cMW**2d0*coupl(   &
                  nGC_72)**2d0 - 2d0*cima*cMZ**2d0*coupl(nGC_100) + cima*cMZ** &
                  2d0*coupl(nGC_56)/2d0 + cMZ**2d0*coupl(nGC_96)**2d0 - 4d0*   &
                  coupl(nGC_102)**2d0 - coupl(nGC_110)**2d0 - coupl(nGC_111)** &
                  2d0 - coupl(nGC_114)*coupl(nGC_115) - coupl(nGC_118)**2d0 -  &
                  coupl(nGC_119)**2d0 - coupl(nGC_122)*coupl(nGC_123) - 4d0*   &
                  coupl(nGC_126)**2d0)/(16d0*pi**2d0) + cima*(coupl(nGC_110)*  &
                  dtHl_MS_QED1/cMHL**2d0 + coupl(nGC_118)*dtHh_MS_QED1/cMHH**  &
                  2d0)
    if (.not. complex_mass_scheme) then
      dMHC2_MS_QED2 = cone*real(dMHC2_MS_QED2,kind=dp)
    end if 
  DeltaUV = DeltaUV - log(muUV**2/muMS**2)
end subroutine set_ctparameter166
end module ctparameter166
