!******************************************************************************!
!                                                                              !
!    ctparameter25.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter25.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 14:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter25
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter25()
  if (dZsR_QED2_scheme .eq. 0) then
    dZsR_QED2 = (2d0*Ten714*coupl(nGC_1)**2d0 + Ten715*(coupl(nGC_175)*coupl(  &
                nGC_176) + 2d0*coupl(nGC_84)**2d0) + Ten716*coupl(nGC_174)**2d0&
                 - Ten717*coupl(nGC_171)*coupl(nGC_172) - Ten718*coupl(nGC_173 &
                )**2d0 - Ten719*coupl(nGC_169)**2d0 + 2d0*Ten720*coupl(nGC_1)**&
                2d0 + Ten721*(coupl(nGC_175)*coupl(nGC_176) + 2d0*coupl(nGC_84 &
                )**2d0) + Ten722*coupl(nGC_174)**2d0 - Ten723*coupl(nGC_170)** &
                2d0 + Ten728*cMS**2d0*(coupl(nGC_171)**2d0 + coupl(nGC_172)**  &
                2d0) + 2d0*Ten729*cMS**2d0*coupl(nGC_173)**2d0 + 2d0*Ten730*cMS&
                **2d0*coupl(nGC_169)**2d0 - 4d0*Ten731*cMS**2d0*coupl(nGC_1)** &
                2d0 + Ten732*cMS**2d0*(coupl(nGC_175)**2d0 + 2d0*coupl(nGC_175 &
                )*coupl(nGC_176) + coupl(nGC_176)**2d0 + 2d0*coupl(nGC_84)**2d0&
                 - 8d0*coupl(nGC_84)*coupl(nGC_87) + 2d0*coupl(nGC_87)**2d0) + &
                Ten733*cMS*(2d0*cMC*coupl(nGC_134)*coupl(nGC_174) + cMS*coupl( &
                nGC_134)**2d0 + cMS*coupl(nGC_174)**2d0 + 2d0*cMS*coupl(nGC_80 &
                )**2d0) + 2d0*Ten734*cMC*cMS*coupl(nGC_131)*coupl(nGC_170) -   &
                2d0*Ten735*cMS**2d0*coupl(nGC_171)*coupl(nGC_172) - 2d0*Ten736*&
                cMS**2d0*coupl(nGC_173)**2d0 - 2d0*Ten737*cMS**2d0*coupl(      &
                nGC_169)**2d0 + 4d0*Ten738*cMS**2d0*coupl(nGC_1)**2d0 + 2d0*   &
                Ten739*cMS**2d0*(coupl(nGC_175)*coupl(nGC_176) + coupl(nGC_84  &
                )**2d0 + coupl(nGC_87)**2d0) + Ten740*cMS**2d0*(coupl(nGC_134  &
                )**2d0 + coupl(nGC_174)**2d0 + 2d0*coupl(nGC_80)**2d0) - Ten741&
                *cMS**2d0*(coupl(nGC_131)**2d0 + coupl(nGC_170)**2d0) - coupl( &
                nGC_1)**2d0 - coupl(nGC_84)**2d0)/(16d0*pi**2d0)
    dZsR_QED2 = cone*real(dZsR_QED2,kind=dp)
  end if 
end subroutine set_ctparameter25
end module ctparameter25
