!******************************************************************************!
!                                                                              !
!    ctparameter58.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter58.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 14:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter58
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter58()
  if (dZcL_QED2_scheme .eq. 0) then
    dZcL_QED2 = (2d0*Ten654*coupl(nGC_2)**2d0 + Ten655*(coupl(nGC_135)*coupl(  &
                nGC_136) + 2d0*coupl(nGC_88)**2d0) + Ten656*(coupl(nGC_174)**  &
                2d0 + 2d0*coupl(nGC_80)**2d0) + Ten657*coupl(nGC_132)**2d0 -   &
                Ten658*coupl(nGC_133)**2d0 - Ten659*coupl(nGC_130)**2d0 + 2d0* &
                Ten660*coupl(nGC_2)**2d0 + Ten661*(coupl(nGC_135)*coupl(nGC_136&
                ) + 2d0*coupl(nGC_88)**2d0) + Ten662*(coupl(nGC_174)**2d0 + 2d0&
                *coupl(nGC_80)**2d0) - Ten663*coupl(nGC_170)**2d0 + 2d0*Ten668*&
                cMC*coupl(nGC_132)**2d0*rMC + 2d0*Ten669*cMC*coupl(nGC_133)**  &
                2d0*rMC + 2d0*Ten670*cMC*coupl(nGC_130)**2d0*rMC + 4d0*Ten671* &
                coupl(nGC_2)**2d0*rMC*(-2d0*cMC + rMC) + Ten672*rMC*(cMC*coupl(&
                nGC_135)**2d0 + cMC*coupl(nGC_136)**2d0 - 8d0*cMC*coupl(nGC_85 &
                )*coupl(nGC_88) + 2d0*coupl(nGC_135)*coupl(nGC_136)*rMC + 2d0* &
                coupl(nGC_85)**2d0*rMC + 2d0*coupl(nGC_88)**2d0*rMC) + Ten673* &
                rMC*(2d0*cMS*coupl(nGC_134)*coupl(nGC_174) + coupl(nGC_134)**  &
                2d0*rMC + coupl(nGC_174)**2d0*rMC + 2d0*coupl(nGC_80)**2d0*rMC &
                ) + 2d0*Ten674*cMS*coupl(nGC_131)*coupl(nGC_170)*rMC + 2d0*    &
                Ten675*coupl(nGC_132)**2d0*rMC**2d0 - 2d0*Ten676*coupl(nGC_133 &
                )**2d0*rMC**2d0 - 2d0*Ten677*coupl(nGC_130)**2d0*rMC**2d0 + 4d0&
                *Ten678*coupl(nGC_2)**2d0*rMC**2d0 + 2d0*Ten679*rMC**2d0*(coupl&
                (nGC_135)*coupl(nGC_136) + coupl(nGC_85)**2d0 + coupl(nGC_88)**&
                2d0) + Ten680*rMC**2d0*(coupl(nGC_134)**2d0 + coupl(nGC_174)** &
                2d0 + 2d0*coupl(nGC_80)**2d0) - Ten681*rMC**2d0*(coupl(nGC_131 &
                )**2d0 + coupl(nGC_170)**2d0) - coupl(nGC_2)**2d0 - coupl(     &
                nGC_80)**2d0 - coupl(nGC_88)**2d0)/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZcL_QED2 = cone*real(dZcL_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter58
end module ctparameter58
