!******************************************************************************!
!                                                                              !
!    ctparameter84.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter84.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 14:57             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter84
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter84()
  if (dMU_QED2_scheme .eq. 0) then
    dMU_QED2 = cima*(coupl(nGC_192)*dtHl_QED1/cMHL**2d0 + coupl(nGC_195)*      &
               dtHh_QED1/cMHH**2d0) + (2d0*Ten586*cMU*coupl(nGC_2)**2d0 +      &
               Ten587*cMU*(-coupl(nGC_197)**2d0 - 2d0*coupl(nGC_197)*coupl(    &
               nGC_198) - coupl(nGC_198)**2d0 - 2d0*coupl(nGC_85)**2d0 + 8d0*  &
               coupl(nGC_85)*coupl(nGC_88) - 2d0*coupl(nGC_88)**2d0)/2d0 -     &
               Ten588*(2d0*cMD*coupl(nGC_150)*coupl(nGC_196) + cMU*coupl(      &
               nGC_150)**2d0 + cMU*coupl(nGC_196)**2d0 + 2d0*cMU*coupl(nGC_80  &
               )**2d0)/2d0 - Ten589*cMU*coupl(nGC_194)**2d0 + Ten590*cMU*coupl(&
               nGC_195)**2d0 + Ten591*cMU*coupl(nGC_192)**2d0 - 2d0*Ten592*cMU*&
               coupl(nGC_2)**2d0 - Ten593*cMU*(coupl(nGC_197)*coupl(nGC_198) + &
               coupl(nGC_85)**2d0 + coupl(nGC_88)**2d0) - Ten594*cMU*(coupl(   &
               nGC_150)**2d0 + coupl(nGC_196)**2d0 + 2d0*coupl(nGC_80)**2d0)/  &
               2d0 + Ten595*cMU*(coupl(nGC_146)**2d0 + coupl(nGC_193)**2d0)/2d0&
                - Ten596*cMU*coupl(nGC_194)**2d0 - Ten597*cMU*coupl(nGC_195)** &
               2d0 - Ten598*cMU*coupl(nGC_192)**2d0 - Ten599*cMD*coupl(nGC_146 &
               )*coupl(nGC_193) + cMU*(-2d0*coupl(nGC_2)**2d0 + coupl(nGC_80)**&
               2d0 + coupl(nGC_85)**2d0 - 4d0*coupl(nGC_85)*coupl(nGC_88) +    &
               coupl(nGC_88)**2d0)/2d0)/(16d0*pi**2d0)
    dMU_QED2 = cone*real(dMU_QED2,kind=dp)
  end if 
end subroutine set_ctparameter84
end module ctparameter84
